<?php

namespace App\Http\Controllers\Admin\Master;

use Illuminate\Routing\Controller as BaseController;
use Illuminate\Http\Request;
use Hash;
use Session;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use App\Models\Master\Zone;
use Illuminate\Support\Facades\Validator;
use App\Http\Controllers\AppController;
use View;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Validation\Rule;


class ZoneController extends AppController
{
    public function __construct()
    {
        
        parent::__construct();
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\View\View
     */
    public function index()
    {
        $zoneList = Zone::whereNull('deleted_at')->get();
        return view('admin.master.zone.index', compact('zoneList'));
    }
    public function tab_index(Request $request){
        $requestData = $request->all();
        
        $zoneList = ((new Zone())->createQuery($request))->skip($requestData['start'])->take($requestData['length'])->get();
        $totalRecords = ((new Zone())->createQuery($request))->count();
        $data = [
            'draw' => $requestData['draw'],
            'iTotalRecords' => $totalRecords,
            'iTotalDisplayRecords' => $totalRecords,
        ];
        if ($zoneList->isEmpty()) {
            
        }else{
            foreach($zoneList as $zone){
                $data['data'][] = [
                    'id' => $zone->id,
                    'zone' => $zone->zone,
                    'created_at' => date($this->siteSettings['timestamp_format'], strtotime($zone->created_at)) ,
                    'updated_at' => date($this->siteSettings['timestamp_format'], strtotime($zone->updated_at)) ,
                    'action' => '<a href="'. route('zones.edit', ['zone' => $zone->id]) . '"><i class="mdi mdi-pencil font-size-16 text-success me-1"></i></a>
                    <a  href="#" class="delete" data-url="'.  route('zones.destroy', ['zone' => $zone->id]) .'">  <i  class="mdi mdi-trash-can font-size-16 text-danger me-1"></i> </a>
                    
                    '
                ];
            }
        }
        return response()->json($data, 200);
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\View\View
     */
    public function validate(Request $request)
    {echo 'sdf'; exit;
        if(isset($request->all()['id'])){
            $validate = Validator::make($request->all(), [
                'zone' => [
                    'required',
                    Rule::unique('master_zone')->ignore($request->all()['id']),
                ],
            ]);
        }else{
            $validate = Validator::make($request->all(), [
                'zone' => 'required|unique:master_zone,zone',
            ]);
        }
        if($validate->fails()){
            return response()->json([
                'status' => false,
                'message' => 'Validation errors in your request',
                'errors' => $validate->errors()
            ], 400);
        }
        return response()->json([
            'status' => true,
            'message' => 'sucess',
            'errors' => ''
        ], 200);
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\View\View
     */
    public function create()
    {
        return view('admin.master.zone.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     *
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function store(Request $request)
    {
        
        $requestData = $request->all();
        $zone = Zone::create($requestData);
        return redirect('admin/zones')->with('flash_message', 'Zone added!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     *
     * @return \Illuminate\View\View
     */
    public function show($id)
    {
        $zone = Zone::findOrFail($id);
        return view('admin.master.zone.show', compact('zone'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     *
     * @return \Illuminate\View\View
     */
    public function edit($id)
    {
        $zone = Zone::findOrFail($id);
        
        return view('admin.master.zone.edit', compact('zone'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param  int  $id
     *
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(Request $request, $id)
    {
        $requestData = $request->all();
        $zone = Zone::findOrFail($id);
        
        $zone->update($requestData);

        return redirect('admin/zones')->with('flash_message', 'Zone updated!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     *
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function destroy($id)
    {
        Zone::destroy($id);

        return redirect('admin/zones')->with('flash_message', 'Zone deleted!');
    }
}
