<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Routing\Controller as BaseController;
use Illuminate\Http\Request;
use Hash;
use Session;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use App\Models\User;
use App\Models\Assets\Vehicle as Reg;
use App\Models\Assets\Battery as battery;
use App\Models\Users\UserData;
use App\Models\Users\UserLocation;
use App\Models\Users\UserDocuments;
use App\Models\Users\UserCorporate;
use App\Models\Users\WalletHistory;
use App\Models\Users\UserSubscription;
use App\Models\Users\UserSubscriptionParts;
use App\Models\Users\UserSubscriptionVAService;
use App\Models\Users\UserStaffLocation;
use App\Models\Users\UserStaffLocationClassification;
use App\Models\PLAttendance;
use Illuminate\Support\Facades\Validator;
use App\Http\Controllers\AppController;
use App\Http\Controllers\Api\v1\AttendanceController;
use View;
use DB;
use Maatwebsite\Excel\Facades\Excel;
use App\Imports\ImportUser;
use App\Exports\ExportUser;
use App\Imports\ReportImport;
use App\Imports\PLReportImport;
use App\Models\Master\BusinessModels;
use App\Models\Master\BusinessCategory;
use App\Models\Location;
use App\Models\PLReport;
use App\Models\Master\ZoneState;
use App\Models\Master\ZoneDistrict;
use App\Models\Master\ZoneCity;
use App\Models\Master\Zone;
use App\Models\Master\ProductType;
use App\Models\SubscriptionPlan\Vehicle;
use App\Models\Master\VerificationType;
use Illuminate\Validation\Rule;
use App\Models\Master\VAServiceType;
use App\Models\Master\BillingType;
use App\Models\Master\Designation;
use App\Models\Master\LocationClassification;
use App\Models\Master\Duration;
use App\Models\Assets\Vehicle as assetVehicle;
use App\Models\Assets\Battery as assetBattery;
use App\Models\Assets\Charger;
use App\Models\Orders\OrderBattery;
use App\Models\Users\Permission;
use App\Models\Assets\vendoroem_model;
use Carbon\Carbon;
use DateTime;



class UserController extends AppController
{
    public function __construct()
    {
        $permissionList = Permission::get();
        $locationList = Location::whereNull('deleted_at')->get();
        $durationList = Duration::whereNull('deleted_at')->get();
        $zones = Zone::whereNull('deleted_at')->get();
        $states = ZoneState::whereNull('deleted_at')->get();
        $districts = ZoneDistrict::whereNull('deleted_at')->get();
        $city = ZoneCity::whereNull('deleted_at')->get();
        $businessCategoryList = BusinessCategory::whereNull('deleted_at')->get();
        $businessModelsList = BusinessModels::whereNull('deleted_at')->get();
        $verificationParams = VerificationType::whereNull('deleted_at')->get();
        $subscriptionPlans = Vehicle::whereNull('deleted_at')->get();
        $assetTypeList = ProductType::whereNull('deleted_at')->get();
        $vAServiceTypeList = VAServiceType::whereNull('deleted_at')->get();
        $billingTypeList = BillingType::whereNull('deleted_at')->get();
        $designationList = Designation::whereNull('deleted_at')->get();
        $locationClassificationList = LocationClassification::whereNull('deleted_at')->get();
        $batteryList = assetBattery::whereNull('deleted_at')->groupBy('model_name')->get();
        $batteryvin=battery::whereNull('deleted_at')->get();
        $vehicleList = assetVehicle::whereNull('deleted_at')->groupBy('model_name')->get();
        $vehicles=vendoroem_model::get();
        $chargerList = Charger::whereNull('deleted_at')->groupBy('model_name')->get();
        View::share([
            'businessModelsList' => $businessModelsList, 
            'businessCategoryList' => $businessCategoryList, 
            'zones' => $zones, 
            'states' => $states, 
            'districts' => $districts, 
            'cities' => $city, 
            'durationList' => $durationList, 
            'locationList' => $locationList, 
            'verificationParams' => $verificationParams, 
            'subscriptionPlans' => $subscriptionPlans, 
            'assetTypeList' => $assetTypeList, 
            'vAServiceTypeList' => $vAServiceTypeList,
            'billingTypeList' => $billingTypeList,
            'designationList' => $designationList,
            'locationClassificationList' => $locationClassificationList,
            'batteryList' => $batteryList,
            'chargerList' => $chargerList,
            'vehicleList' => $vehicleList,
            'vehicles' =>$vehicles,
            'batteryvin'  =>$batteryvin,
            'permissionList' => $permissionList,
        ]);
        parent::__construct();
    }

    public function vehicleRegister(Request $request)
{
    $id = $_POST['id'];
    $productss = Reg::where('model_name', $id)->select('id', 'registeration_number')->get();
    return response()->json($productss);
}

public function vehiclevinnumber(Request $request)
{
  $id = $request->input('id');
  $vinnumber = Reg::where('id', $id)->select('id', 'vin_number')->get();
   return response()->json($vinnumber);
}

public function batteryvinnumber(Request $request)
{
  //$id = $_POST['id'];
  $id = $request->input('id');
  //dd($id);
  $batterynumber = battery::where('id', $id)->select('id', 'model_number')->get();
   return response()->json($batterynumber);
}
    
    /**
     * Customer List View
     */
    public function customers($slug){
        
        $users = User::with('UserData')->where('user_type', '=', $slug)->get();
        return view('admin.users.riders.customers', compact('users', 'slug'));
    }
    public function tab_customers(Request $request, $slug){
        $requestData = $request->all();
//dd($requestData);
        $userCall  = str_replace(url('/'), '', url()->previous());
        $requestData['user_type'] = $slug;
       // dd($requestData['user_type']);

        $users = ((new User())->createQuery($requestData))->skip($requestData['start'])->take($requestData['length'])->get();
       // dd($users); 
        $totalRecords = ((new User())->createQuery($request))->count();
        $data = [
            'draw' => $requestData['draw'],
            'iTotalRecords' => $totalRecords,
            'iTotalDisplayRecords' => $totalRecords,
        ];
        if ($users->isEmpty()) {
            
        }else{
            foreach($users as $user){
                $data['data'][] = [
                    'id' => $user->id,
                    'user_type' => $user->user_type,
                    'name' => $user->name,
                    'email' => $user->email,
                    'phone_number' => $user->phone_number,
                    'wallet_balance' => isset($user->userData) ? $user->userData->wallet_amount : '',
                    'status' => isset($user->userData) ?  $user->userData->status : '',
                    'created_at' => date($this->siteSettings['timestamp_format'], strtotime($user->created_at)) ,
                    'updated_at' => date($this->siteSettings['timestamp_format'], strtotime($user->updated_at)) ,
                    'action' => ' <a href="'. route('edit_customer', ['id' => $user->id, 'slug' => $slug]) . '"><i
                            class="mdi mdi-pencil font-size-16 text-success me-1"></i></a>
                            <a href="'. route('user.show', ['id' => $user->id, 'slug' => $slug] ).'"><i class="mdi mdi-eye font-size-16  text-info me-1"></i></a>
                            <a href="'. route('user.destroy', ['id' => $user->id, 'slug' => $slug]).'"><i
                                class="mdi mdi-trash-can font-size-16 text-danger me-1"></i></a>
                    
                    '
                ];
            }
        }
        return response()->json($data, 200);
    }
    public function tab_wallet_history(Request $request, $user_id){
        $requestData = $request->all();
        $requestData['user_id'] = $user_id;
        $walletHistoryList = ((new WalletHistory())->createQuery($requestData))->skip($requestData['start'])->take($requestData['length'])->get();
        $totalRecords = ((new WalletHistory())->createQuery($request))->count();
        $data = [
            'draw' => $requestData['draw'],
            'iTotalRecords' => $totalRecords,
            'iTotalDisplayRecords' => $totalRecords,
        ];
        if ($walletHistoryList->isEmpty()) {
            
        }else{
            foreach($walletHistoryList as $walletHistory){
                $data['data'][] = [
                    'id' => $walletHistory->id,
                //    'name' => $walletHistory->user->name,
                //    'email' => $user->email,
                    'amount' => $walletHistory->amount,
                    'transaction_type' => $walletHistory->transaction_type,
                    'wallet_balance' => isset($walletHistory->user) ? $walletHistory->user->userData->wallet_amount : '',
                    'purpose' => $walletHistory->purpose,
                ];
            }
        }
        return response()->json($data, 200);
    }
    /**
     * Render Customer add form in GET Method
     */
    public function add_customer($slug){

        $user = new User();
        $userDocuments = new UserDocuments();
        $userSubscriptions = new UserSubscription();
        

        return view('admin.users.riders.edit_customer', compact('user', 'userDocuments', 'userSubscriptions','slug'));
    }
    /**
     * Render Angels add form in GET Method
     */
    public function add_angel(){

       // return view('admin.users.riders.add_customer');
    }
    /**
     *  Validate New user form request in User Model
     *  return json responsr with HTTP status
     */
    // public function new_user_form_validate(Request $request){
    //     $user = new User();
    //     return $user->signupValidate($request);
    // }
    public function new_user_form_validate(Request $request)
    {
        if(isset($request->all()['id'])){
            $validate = Validator::make($request->all(), [
                'name' => [
                    'required',
                    Rule::unique('users')->ignore($request->all()['id']),
                ],
                'phone_number' => [
                    'required',
                    Rule::unique('users')->ignore($request->all()['id']),
                ],
                'email' => [
                    'required',
                    Rule::unique('users')->ignore($request->all()['id']),
                ],
               // 'business_model_id' => 'required',
            //    'location_id' => 'required',
                'city_id' => 'required',
                'district_id' => 'required',
                'state_id' => 'required'
            ]);
        }else{
            $validate = Validator::make($request->all(), [
                'name' => 'required|unique:users,name',
                'phone_number' => 'required|unique:users,phone_number',
                'email' => 'required|unique:users,email',
             //   'business_model_id' => 'required',
            //   'location_id' => 'required',
                'city_id' => 'required',
                'district_id' => 'required',
                'state_id' => 'required',
            ]);
        }
        if($validate->fails()){
            return response()->json([
                'mode' => false,
                'message' => 'Validation errors in your request',
                'errors' => $validate->errors()
            ], 400);
        }
        $requestData = $request->all();
        if(isset($requestData['subscription_plan_list'])){

            foreach($requestData['subscription_plan_list'] as $subsPlanList){
                $requiredData = [
                  //  'model_name' => 'required',
                   // 'subscription_plan_id' => 'required',
                   // 'asset_type_id' => 'required',
                ];

                if($subsPlanList['registration_number']){
                    $requiredData['registration_number'] = 'exists:a_vehicle,registeration_number' ;
                }
                // if($subsPlanList['vin_number']){
                //     $requiredData['vin_number'] = 'exists:a_vehicle,vin_number';
                // }
             
                $validate = Validator::make($subsPlanList, $requiredData);

                if($validate->fails()){
                    return response()->json([
                        'mode' => false,
                        'toast' => true,
                        'message' => 'Validation errors in your request',
                        'errors' => $validate->errors()
                    ], 400);
                }
            }
        }
        return response()->json([
            'mode' => true,
            'message' => 'sucess',
            'errors' => ''
        ], 200);
    }
    /**
     *  Store New Subscriber or Corporate user to table from Admin portal
     *  User, UserData, UserDocuments, Update Wallet History if wallet amount added
     */
    public function storeData($requestData){
        $user = [
            'name' => $requestData['name'],
            'email' => $requestData['email'],
            'phone_number' => $requestData['phone_number'],
            'user_type' => $requestData['user_type'],
        //    'password' => '123456',
            'role' => ($requestData['user_type'] == 'Subscribers' || $requestData['user_type'] == 'Corporate' || $requestData['user_type'] == 'Staff') ? 4 :'',
        ];
        $user = User::create($user);

        $userData = [
            'user_id' => $user['id'],
            'user_country_code' => isset($requestData['user_country_code']) ? $requestData['user_country_code'] : $this->siteSettings['country_code'],
        //    'first_name' => $requestData['first_name'],
        //    'last_name' => $requestData['last_name'],
            'phone_number' => $requestData['phone_number'],
            'employee_id' => isset($requestData['employee_id']) ? $requestData['employee_id'] : '',
            'designation_id' => isset($requestData['designation_id']) ? $requestData['designation_id'] : '',
            'business_category_id' => isset($requestData['business_category_id']) ? $requestData['business_category_id'] : 0,
            'business_model_id' => $requestData['business_model_id'] ?? null,            'contact_person' => isset($requestData['contact_person']) ? $requestData['contact_person'] : '',
            'wallet_amount' => ( $requestData['wallet_amount'] > 0) ? $requestData['wallet_amount'] : 0
        ];
        $userData = UserData::create($userData);

        $userAddressData = [
            'user_id' => $user['id'],
            'name' => 'Main',
            'location_id' => isset($requestData['location_id']) ? $requestData['location_id'] : 0,
            'country' => $requestData['country'],
            'postal_code' => isset($requestData['postal_code']) ? $requestData['postal_code'] : '',
            'city_id' => $requestData['city_id'],
            'district_id' => $requestData['district_id'],
            'state_id' => $requestData['state_id'],
            'zone_id' => $requestData['zone_id'],
            'address' => $requestData['address'],
        ];
        $userAddress = UserLocation::create($userAddressData);
       // dd($userAddress);

        if($requestData['user_type'] == 'Rider' || $requestData['user_type'] == 'Corporate Rider'){

            if(isset($requestData['doc_front_page'])){
                foreach($requestData['doc_name'] as $key => $docName){
                    
                    $file = $requestData['doc_front_page'][$docName];
                    $doc_front_page ='';
                    $doc_back_page ='';
                    if($file){
                        $savedAs = $docName.'_'. 'front' . '_' . rand('11', '99'). '_'. time() .'.'.$file->extension();
                        $path = '/uploads/users/' . $user->id . '/' .  $savedAs;
                        $filePath = $this->uploadFile($path, $file);
                        $doc_front_page =  $path;
                    } 
                    $file = $requestData['doc_back_page'][$docName];
                    if($file){
                        $savedAs = $docName.'_'. 'back' . '_' . rand('11', '99'). '_'. time() .'.'.$file->extension();
                        $path = '/uploads/users/'. $user->id .'/'.  $savedAs;
                        $filePath = $this->uploadFile($path, $file);
                        $doc_back_page =  $path;
                    }
                    $userDocData = [
                        'user_id' => $user['id'],
                        'doc_name' => $docName,
                        'doc_number' => $requestData['doc_number'][$key],
                        'doc_front_page' => $doc_front_page,
                        'doc_back_page' => $doc_back_page,
                        'verify' => isset($userDoc['verify']) ? $userDoc['verify'] : '0',
                    ];
                    $userDocs = UserDocuments::create($userDocData);

                }
            }
            if(isset($requestData['subscription_plan_list'])){

                foreach($requestData['subscription_plan_list'] as $subsPlanList){

                    if($subsPlanList['subscription_plan_id']){

                        $userSubscriptionData = [
                            'user_id' => $user->id,
                            'subscription_plan_id' => $subsPlanList['subscription_plan_id'],
                            'asset_type_id' =>$subsPlanList['asset_type_id'],
                            'model_name' => $subsPlanList['model_name'],
                            'registration_number' => $subsPlanList['registration_number'],
                            'vin_number' => $subsPlanList['vin_number'],
                            'battery_model_name' => $subsPlanList['battery_model_name'],
                            'battery_model_number' => $subsPlanList['battery_model_number'],
                            'charger_model_name' => $subsPlanList['charger_model_name'],
                            'charger_model_number' => $subsPlanList['charger_model_number'],
                            //'asset_id' => $subsPlanList['asset_id'],
                            'billing_cycle' => $subsPlanList['billing_cycle'],
                            'billing_type_id' => $subsPlanList['billing_type_id'],
                            'cost' => $subsPlanList['cost'],
                        ];
                        $userSubscription = UserSubscription::create($userSubscriptionData);
                        
                        // if(isset($subsPlanList['battery'])){
                        //     foreach($subsPlanList['battery'] as $battery){
                        //         $userSubscriptionPartsData = [
                        //             'user_id' => $user->id,
                        //             'user_subscription_id' => $userSubscription->id,
                        //             'asset_id' => $subsPlanList['asset_id'],
                        //             'part_id' => $battery,
                        //             'part_type' => 'battery',
                        //         ];
                        //         $userSubscriptionParts = UserSubscriptionParts::create($userSubscriptionPartsData);
                        //     }
                        // }
                        
                        // if($subsPlanList['charger']){
                        //     $userSubscriptionPartsData = [
                        //         'user_id' => $user->id,
                        //         'user_subscription_id' => $userSubscription->id,
                        //         'asset_id' => $subsPlanList['asset_id'],
                        //         'part_id' => $subsPlanList['charger'],
                        //         'part_type' => 'charger',
                        //     ];
                        //     $userSubscriptionParts = UserSubscriptionParts::create($userSubscriptionPartsData);
                        
                        // }
                        if(isset($subsPlanList['va_service_type_id'])){
                            foreach($subsPlanList['va_service_type_id'] as $va_service_type_id){
                                $userSubscriptionVAServicesData = [
                                    'user_id' => $user->id,
                                    'user_subscription_id' => $userSubscription->id,
                                    'va_service_type_id' => $va_service_type_id,
                                ];
                                $vehicleAssetVAService = UserSubscriptionVAService::create($userSubscriptionVAServicesData);
                            }
                        }
                    }
                }
            }

            if($requestData['wallet_amount'] > 0){
                $walletHistory = [
                    'user_id' => $user['id'],
                    'purpose' => $requestData['reason'],
                    'amount' => $requestData['wallet_amount'],
                    'transaction_type' => 'Credited',
                ];
                
                $walletHistory = WalletHistory::create($walletHistory);
            }
        }elseif($requestData['user_type'] == 'Staff'){
            
            if(isset($requestData['staff_location_list'])){

                foreach($requestData['staff_location_list'] as $staffLocationList){

                    if($staffLocationList['location_id']){
                        $staffLocationData = [
                            'user_id' => $user->id,
                            'location_id' => $staffLocationList['location_id'],
                        ];
                        $staffLocation = UserStaffLocation::create($staffLocationData);
                    }
                    
                    if(isset($staffLocationList['location_classification_id'])){
                        foreach($staffLocationList['location_classification_id'] as $location_classification_id){
                            $staffLocationClassificationData = [
                                'user_id' => $user->id,
                                'staff_location_id' => $staffLocation->id,
                                'location_classification_id' => $location_classification_id,
                            ];
                            $staffLocationClassification = UserStaffLocationClassification::create($staffLocationClassificationData);
                        }
                    }
                }
            }

        
        
           //dd($requestData['permission']);
         
            if(isset($requestData['permission'])){
               // $hasPermission = $user->Permissions->pluck('name');
             //  dd($hasPermission);
                // foreach($hasPermission as $permissions){
                //     if(!in_array($permissions, $requestData['permission'])){
                //         $user->revokePermissionTo($permissions);
                //     }
                // }
                // foreach($requestData['permission'] as $permission){
                //     $user->givePermissionTo($permission);
                // }
                foreach ($requestData['permission'] as $permissionName) {
                    $permission = new Permission(['name' => $permissionName]);
                    

                }
            }

        }elseif($requestData['user_type'] == 'Corporate Client'){
            
            $userCorporateData = [
                'user_id' => $user->id,
                'business_model_id' => $requestData['business_model_id'] ?? null,            'contact_person' => isset($requestData['contact_person']) ? $requestData['contact_person'] : '',
                'billing_cycle' => $requestData['billing_cycle'],
                'billing_type_id' => $requestData['billing_type_id'],
                'business_location_id' => $requestData['business_location_id'],
                'business_for' => isset($requestData['business_for']) ? $requestData['business_for'] : '',
            ];
            $staffLocation = UserCorporate::create($userCorporateData);
        }
        return true;
        //return Redirect::to(route('admin.customers', ['slug' => $requestData['user_type']]));
    }
    public function store_customer(Request $request, $slug){
        $requestData = $request->all();
        $requestData['user_type'] = $slug;
        
        $this->storeData($requestData);
       
        return redirect('/users/subscribers/Rider   ' . $slug)->with('flash_message', 'User added!');
    }
    
    /**
     * Render Customer Edit form in GET Method
     */
    public function edit_customer($id, $slug){
        $user = User::with(['UserData'])->where('id', '=', $id)->first();
        //$userDocuments = UserDocuments::where('user_id', $id)->get()->keyBy('doc_page')->toArray();
        $userDocuments = UserDocuments::where('user_id', $id)->get()->keyBy('doc_name')->toArray();
       // $userSubscriptions = UserSubscription ::where('user_id', $id)->get();
        return view('admin.users.riders.edit_customer', compact('user', 'userDocuments', 'id', 'slug'));
    }
    /**
     *  Update Subscriber or Corporate user to table from Admin portal
     *  User, UserData, UserDocuments, Update Wallet History if wallet amount added
     */

     public function updataData($requestData, $id){
        $userPost = [
            'name' => $requestData['name'],
            'email' => $requestData['email'],
            'phone_number' => $requestData['phone_number'],
            'user_type' => $requestData['user_type'],
        //    'password' => '123456',
            'role' => ($requestData['user_type'] == 'Subscribers' || $requestData['user_type'] == 'Corporate') ? 4 :'',
        ];
        $user = User::findOrFail($id);
        $user->update($userPost);

        $userDataPost = [
            'user_id' => $user['id'],
            'user_country_code' => isset($requestData['user_country_code']) ? $requestData['user_country_code'] : $this->siteSettings['country_code'],
        //    'first_name' => $requestData['first_name'],
        //    'last_name' => $requestData['last_name'],
            'phone_number' => $requestData['phone_number'],
            'employee_id' => isset($requestData['employee_id']) ? $requestData['employee_id'] : '',
            'business_category_id' => isset($requestData['business_category_id']) ? $requestData['business_category_id'] : '',
            'business_model_id' => $requestData['business_model_id'] ?? null,            'contact_person' => isset($requestData['contact_person']) ? $requestData['contact_person'] : '',
            'contact_person' => isset($requestData['contact_person']) ? $requestData['contact_person'] : '',
            'wallet_amount' => ( $requestData['wallet_amount'] > 0) ? $requestData['wallet_amount'] : 0
        ];
        
        if(isset($user->userData->id)){
            $userData = $user->userData->update($userDataPost);
        }else{
            $userData = UserData::create($userDataPost);
        }
        
        if($requestData['city_id']){
            $userAddressData = [
                'user_id' => $user['id'],
                'name' => 'Main',
                'location_id' => isset($requestData['location_id']) ? $requestData['location_id'] : 0,
                'country' => $requestData['country'],
                'postal_code' => isset($requestData['postal_code']) ? $requestData['postal_code'] : '',
                'city_id' => $requestData['city_id'],
                'district_id' => $requestData['district_id'],
                'state_id' => $requestData['state_id'],
                'zone_id' => $requestData['zone_id'],
                'address' => $requestData['address'],
            ];
            if(isset($user->address->id)){
                $userAddress = $user->address->update($userAddressData);
            }else{
                $userAddress = UserLocation::create($userAddressData);
            }
        }

        if($requestData['user_type'] == 'Rider' || $requestData['user_type'] == 'Corporate Rider'){

        
            if(isset($requestData['doc_name'])){
                foreach($requestData['doc_name'] as $key => $docName){
                    
                    $userDocument = UserDocuments::where('user_id', $id)->where('doc_name', $docName)->first();
                    $doc_front_page = isset($userDocument->doc_front_page) ? $userDocument->doc_front_page  :'';
                    $doc_back_page = isset($userDocument->doc_back_page) ? $userDocument->doc_back_page  :'';
                    if(isset($requestData['doc_front_page'])){
                        $file = $requestData['doc_front_page'][$docName];
                        if($file){
                            $savedAs = $docName.'_'. 'front' . '_' . rand('11', '99'). '_'. time() .'.'.$file->extension();
                            $path = '/uploads/users/' . $user->id . '/' .  $savedAs;
                            $filePath = $this->uploadFile($path, $file);
                            $doc_front_page =  $path;
                        } 
                    }
                    if(isset($requestData['doc_back_page'])){
                        $file = $requestData['doc_back_page'][$docName];
                        if($file){
                            $savedAs = $docName.'_'. 'back' . '_' . rand('11', '99'). '_'. time() .'.'.$file->extension();
                            $path = '/uploads/users/'. $user->id .'/'.  $savedAs;
                            $filePath = $this->uploadFile($path, $file);
                            $doc_back_page =  $path;
                        }
                    }
                    $userDocData = [
                        'user_id' => $user['id'],
                        'doc_name' => $docName,
                        'doc_number' => $requestData['doc_number'][$key],
                        'doc_front_page' => $doc_front_page,
                        'doc_back_page' => $doc_back_page,
                        'verify' => isset($userDoc['verify']) ? $userDoc['verify'] : '0',
                    ];
                    if(isset($userDocument->id)){
                        $userDocs = $userDocument->update($userDocData);
                    }else{
                        $userDocs = UserDocuments::create($userDocData);
                    }
                }
            }
            
            if(isset($requestData['subscription_plan_list'])){

                foreach($requestData['subscription_plan_list'] as $subsPlanList){

                    if($subsPlanList['subscription_plan_id']){
                        $userSubscription = UserSubscription::where('id', $subsPlanList['user_subscription_plan_id'])->first();

                        $vehicle = assetVehicle::where('registeration_number', $subsPlanList['registration_number'])->where('vin_number', $subsPlanList['vin_number'])->first();

                        $battery = assetBattery::where('model_number', $subsPlanList['battery_model_number'])->first();

                        $orderData = []; 

                        $userSubscriptionData = [
                            'user_id' => $user->id,
                            'subscription_plan_id' => $subsPlanList['subscription_plan_id'],
                            'asset_type_id' => $subsPlanList['asset_type_id'],
                           // 'asset_id' => $subsPlanList['asset_id'],
                            'model_name' => $subsPlanList['model_name'],
                            'registration_number' => $subsPlanList['registration_number'],
                            'vin_number' => $subsPlanList['vin_number'],
                            'battery_model_name' => $subsPlanList['battery_model_name'],
                            'battery_model_number' => $subsPlanList['battery_model_number'],
                            'charger_model_name' => $subsPlanList['charger_model_name'],
                            'charger_model_number' => $subsPlanList['charger_model_number'],
                            'billing_cycle' => $subsPlanList['billing_cycle'],
                            'billing_type_id' => $subsPlanList['billing_type_id'],
                            'asset_id' => $vehicle->id ?? null,
                            'cost' => $subsPlanList['cost'],
                        ];

                        if(isset($userSubscription->id)){
                            $userSubscription->update($userSubscriptionData);
                        }else{
                            $userSubscription = UserSubscription::create($userSubscriptionData);
                        }



                        if($userSubscription->order){
                            $order = $userSubscription->order;
                            if($vehicle){
                                if(isset($order->id)){
                                    
                                    $sourceAddress = $vehicle->city->city . ', ' .  $vehicle->district->district . ', ' . $vehicle->state->state;
                                    
                                    $sourcePincode = $order->source_postal_code;
                                    $sourceLatitide = $order->source_latitude;
                                    $sourceLongtitude = $order->source_longitude;
                                    $sourcePlaceId = $order->source_place_id;
                                    
                                    if($sourceAddress && empty($sourcePincode)){
                                        $sourceGeocodeUrl = "https://maps.googleapis.com/maps/api/geocode/json?address=". urlencode($sourceAddress) ;
                                        $sourceGeocodeResponse = $this->mapCall($sourceGeocodeUrl);
                                        $sourceGeocodeResponse = json_decode($sourceGeocodeResponse, true);
                                        
                                        if($sourceGeocodeResponse){
                                            $sourceLatitide = $sourceGeocodeResponse['results'][0]['geometry']['location']['lat'] ?? null;
                                            $sourceLongtitude = $sourceGeocodeResponse['results'][0]['geometry']['location']['lng'];
                                            $sourcePlaceId = $sourceGeocodeResponse['results'][0]['place_id'];
                                            foreach($sourceGeocodeResponse['results'][0]['address_components'] as $addressComp){
                                                if($addressComp['types'][0] == 'postal_code'){
                                                    $sourcePincode = $addressComp['long_name'];
                                                }
                                            }
                                        }

                                        
                                        $distanceUrl = "https://maps.googleapis.com/maps/api/distancematrix/json?destinations=". urlencode( $order->destination_address) . "&origins=" . urlencode($sourceAddress) ;
                                                
                                        $distanceResponse = $this->mapCall($distanceUrl);


                                        $result = json_decode($distanceResponse, true);
                                                
                                        $estimate_distance = round(($result['rows'][0]['elements'][0]['distance']['value'])/1000);
                                        
                                        $orderData = [
                                            'asset_id' => $vehicle->id,
                                            'source_latitude' => $sourceLatitide,
                                            'source_longitude' => $sourceLongtitude,
                                            'source_place_id' => $sourcePlaceId,
                                            'source_address' => $sourceAddress,
                                            'source_postal_code' => $sourcePincode,
                                            'distance' => $estimate_distance,
                                        ];
                                    }
                                
                                }
                                $vehicle->status = 1;
                                $vehicle->update();

                            }
                            
                            if($battery){

                                if($order->orderBattery->count() > 0){
                                    foreach($order->orderBattery  as $batterySwap){
                                        $orderSwapData = [];
                                        if($batterySwap->status == 0){
                                            $orderData['battery_id'] = $battery->id;

                                            $sourceAddress = $battery->city->city . ', ' .  $battery->district->district . ', ' . $battery->state->state;
                                    
                                            $sourcePincode = $batterySwap->source_postal_code;
                                            $sourceLatitide = $batterySwap->source_latitude;
                                            $sourceLongtitude = $batterySwap->source_longitude;
                                            $sourcePlaceId = $batterySwap->source_place_id;
                                            $estimate_distance = $batterySwap->distance;
                                            
                                            if($sourceAddress && empty($sourcePincode)){
                                                $sourceGeocodeUrl = "https://maps.googleapis.com/maps/api/geocode/json?address=". urlencode($sourceAddress) ;
                                                $sourceGeocodeResponse = $this->mapCall($sourceGeocodeUrl);
                                                $sourceGeocodeResponse = json_decode($sourceGeocodeResponse, true);
                                                
                                                if($sourceGeocodeResponse){
                                                    $sourceLatitide = $sourceGeocodeResponse['results'][0]['geometry']['location']['lat'] ?? null;
                                                    $sourceLongtitude = $sourceGeocodeResponse['results'][0]['geometry']['location']['lng'];
                                                    $sourcePlaceId = $sourceGeocodeResponse['results'][0]['place_id'];
                                                    foreach($sourceGeocodeResponse['results'][0]['address_components'] as $addressComp){
                                                        if($addressComp['types'][0] == 'postal_code'){
                                                            $sourcePincode = $addressComp['long_name'];
                                                        }
                                                    }
                                                }
        
                                                
                                                $distanceUrl = "https://maps.googleapis.com/maps/api/distancematrix/json?destinations=". urlencode( $batterySwap->destination_address) . "&origins=" . urlencode($sourceAddress) ;
                                                        
                                                $distanceResponse = $this->mapCall($distanceUrl);
        
        
                                                $result = json_decode($distanceResponse, true);
                                                if($result){
                                                    $estimate_distance = round(($result['rows'][0]['elements'][0]['distance']['value'])/1000);
                                                }
                                                
                                            }
                                            $previousOrder = OrderBattery::where('order_id', $batterySwap->order_id)->where('status',  1)->first();
                                            $orderSwapData = [
                                                'battery_id' => $battery->id,
                                                'dry_battery_id' => $previousOrder->battery_id ?? null,
                                                'source_latitude' => $sourceLatitide,
                                                'source_longitude' => $sourceLongtitude,
                                                'source_place_id' => $sourcePlaceId,
                                                'source_address' => $sourceAddress,
                                                'source_postal_code' => $sourcePincode,
                                                'distance' => $estimate_distance,
                                                'status' => 1,
                                            ];

                                        }else{
                                            if($batterySwap->status == 1){
                                                $orderSwapData = ['status' => 2];
                                            }
                                        }
                                        $batterySwap->update($orderSwapData);
                                        
                                    }
                                }else{
                                    $orderBatteryData = [
                                        'order_number' => 'GZ' . rand(00000, 99999),
                                        'order_id' => $order->id,
                                        'battery_id' => $battery->id,
                                        'model_name' => $battery->model_name,
                                        'status' => 1,
                                    ];
                                    
                                    $orderData['battery_id'] = $battery->id;
                                    $orderBattery = OrderBattery::create($orderBatteryData);
                                    
                                }
                            }
                            
                            if($orderData){
                                $order->update($orderData);
                            }
                            
                        }
                        // if(isset($subsPlanList['battery'])){
                        //     foreach($subsPlanList['battery'] as $battery){
                                
                        //         $userSubscriptionParts = UserSubscriptionParts::where('user_id', $id)->where('part_id', $battery)->where('part_type', 'battery')->first();
                        //         $userSubscriptionPartsData = [
                        //             'user_id' => $user->id,
                        //             'user_subscription_id' => $userSubscription->id,
                        //             'asset_id' => $subsPlanList['asset_id'],
                        //             'part_id' => $battery,
                        //             'part_type' => 'battery',
                        //         ];
                        //         if(isset($userSubscriptionParts->id)){
                        //             $userSubscriptionParts->update($userSubscriptionPartsData);
                        //         }else{
                        //             $userSubscriptionParts = UserSubscriptionParts::create($userSubscriptionPartsData);
                        //         } 
                        //     }
                        // }
                        
                        // if($subsPlanList['charger']){
                            
                        //     $userSubscriptionParts = UserSubscriptionParts::where('user_id', $id)->where('part_id', $subsPlanList['charger'])->where('part_type', 'charger')->first();
                        //     $userSubscriptionPartsData = [
                        //         'user_id' => $user->id,
                        //         'user_subscription_id' => $userSubscription->id,
                        //         'asset_id' => $subsPlanList['asset_id'],
                        //         'part_id' => $subsPlanList['charger'],
                        //         'part_type' => 'charger',
                        //     ];
                        
                        //     if(isset($userSubscriptionParts->id)){
                        //         $userSubscriptionParts->update($userSubscriptionPartsData);
                        //     }else{
                        //         $userSubscriptionParts = UserSubscriptionParts::create($userSubscriptionPartsData);
                        //     } 
                        // }
                        if(isset($subsPlanList['va_service_type_id'])){
                            foreach($subsPlanList['va_service_type_id'] as $va_service_type_id){
                                $vehicleAssetVAService = UserSubscriptionVAService::where('user_id', $id)->where('va_service_type_id', $va_service_type_id)->first();
                                $userSubscriptionVAServicesData = [
                                    'user_id' => $user->id,
                                    'user_subscription_id' => $userSubscription->id,
                                    'va_service_type_id' => $va_service_type_id,
                                ];
                                if(isset($vehicleAssetVAService->id)){
                                    $vehicleAssetVAService->update($userSubscriptionVAServicesData);
                                }else{
                                    $vehicleAssetVAService = UserSubscriptionVAService::create($userSubscriptionVAServicesData);
                                }
                            }
                        }
                    }
                }
                
            }
            if($requestData['wallet_amount'] != $user->userData->wallet_amount){
                $amount  = $userData['wallet_amount'] > $requestData['wallet_amount'] ? $userData['wallet_amount'] - $requestData['wallet_amount'] : $requestData['wallet_amount'] - $userData['wallet_amount'];
                $transaction_type  = $userData['wallet_amount'] > $requestData['wallet_amount'] ? 'Debited' : 'Credited';
                $walletHistory = [
                    'user_id' => $user['id'],
                    'purpose' => $requestData['reason'],
                    'amount' => $amount,
                    'transaction_type' => $transaction_type,
                ];
                
                $walletHistory = WalletHistory::create($walletHistory);
            }
        }elseif($requestData['user_type'] == 'Staff'){
           // $user->assignRole('Staff');
            if(isset($requestData['staff_location_list'])){

                foreach($requestData['staff_location_list'] as $staffLocationList){
                    $staffLocation = isset($staffLocationList['staff_location_id']) ? ( UserStaffLocation::findOrFail($staffLocationList['staff_location_id']) ) : [];
                    

                    if($staffLocationList['location_id']){
                        $staffLocationData = [
                            'user_id' => $user->id,
                            'location_id' => $staffLocationList['location_id'],
                        ];
                        if(isset($staffLocation->id)){
                            $staffLocation->update($staffLocationData);
                        }else{
                            $staffLocation = UserStaffLocation::create($staffLocationData);
                        }
                    }
                    if(isset($staffLocationList['location_classification_id'])){
                        foreach($staffLocationList['location_classification_id'] as $location_classification_id){
                            
                            $staffLocationClassification = UserStaffLocationClassification::where('user_id', $id)->where('location_classification_id', $location_classification_id)->first();

                            $staffLocationClassificationData = [
                                'user_id' => $user->id,
                                'staff_location_id' => $staffLocation->id,
                                'location_classification_id' => $location_classification_id,
                            ];
                            if(isset($staffLocationClassification->id)){
                                $staffLocationClassification->update($staffLocationClassificationData);
                            }else{
                                $staffLocationClassification = UserStaffLocationClassification::create($staffLocationClassificationData);
                            }
                        }
                    }
                }
            }
            
            if(isset($requestData['permission'])){
                $hasPermissions = $user->permissions->pluck('name');
                foreach($hasPermissions as $permissions){
                    if(!in_array($permissions, $requestData['permission'])){
                        $user->revokePermissionTo($permissions);
                    }
                }
        

                foreach ($requestData['permission'] as $permission) {
                    $user->permissions()->create(['name' => $permission]);

                }
            }
        }elseif($requestData['user_type'] == 'Corporate Client'){
            
            $userCorporateData = [
                'user_id' => $user->id,
                'business_model_id' => $requestData['business_model_id'] ?? null,            'contact_person' => isset($requestData['contact_person']) ? $requestData['contact_person'] : '',
                'billing_cycle' => $requestData['billing_cycle'],
                'billing_type_id' => $requestData['billing_type_id'],
                'business_location_id' => $requestData['business_location_id'],
                'business_for' => isset($requestData['business_for']) ? $requestData['business_for'] : '',
            ];
            $staffLocation = UserCorporate::create($userCorporateData);
        }
        return true;
    }
    public function update_customer(Request $request, $id, $slug){
        
        $requestData = $request->all();
       // dd($requestData);
        $requestData['user_type'] = $slug;
        $this->updataData($requestData, $id);
        
        return Redirect::to(route('admin.customers', ['slug' => $slug]));
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     *
     * @return \Illuminate\View\View
     */
    public function show($id, $slug){

        $user = User::with(['UserData'])->where('id', '=', $id)->first();
        $userDocuments = UserDocuments::where('user_id', $id)->get()->toArray();
        $walletHistories = WalletHistory::where('user_id', $id)->get();
        $userCorporate = UserCorporate::where('user_id', $id)->get()->toArray();


        return view('admin.users.riders.show', compact('user', 'userDocuments', 'walletHistories', 'userCorporate', 'slug'));
    }
    public function admin_login(Request $request){
        if (Auth::check()) {
            return Redirect::to('admin/dashboard');
        }else{
            $request->validate([
                'email' => 'required',
                'password' => 'required',
            ]);
    
            $credentials = $request->only('email', 'password');
            if (Auth::attempt($credentials)) {
                return Redirect::to('admin/dashboard');
            }else{
                return Redirect::to('admin/login');
            }
        }
  
        
    }
    public function signup(){
        
    }
    public function destroy($id, $slug)
    {
        $a=DB::table('users')->where('id',$id)->delete(); 

    
        $userDocs = UserDocuments::where('user_id', $id)->get()->toArray();
        foreach($userDocs as $userDoc){
            $this->destroyUserDoc($userDoc['id']);
        } 
        $userData = UserData::where('user_id', $id)->first();
        if($userData){
            UserData::destroy($userData['id']);
        }
        $userCorporate = UserCorporate::where('user_id', $id)->first();
        if($userCorporate){
            UserCorporate::destroy($userCorporate['id']);
        }
        $walletHistory = WalletHistory::where('user_id', $id)->get()->toArray();
        foreach($walletHistory as $history){
            WalletHistory::destroy($history['id']);
        } 

        user::destroy($id);
        return redirect('admin/users/subscribers/' . $slug)->with('flash_message', 'User deleted!');
    }
    public function destroyUserDoc($id){
        if(UserDocuments::destroy($id)){
            return true;
        }
    }
    public function user_by_phone_number(Request $request){
        $user = User::with(['UserData', 'address', 'address.city',  'address.state',  'address.district',  'address.zone'])->where('phone_number', '=', $request->phone_number)->first();
        if($user){
            return $this->success_response('User Data', $user);
        }else{
            return  $this->user_not_found();
        }
    }



    public function Attendance()
    {
        $data=PLAttendance::all();
        
        return view('admin.users.3pl.index',compact('data'));

    }

    public function attendancedata(Request $request){

        $requestData = $request->all();
        $userCall = str_replace(url('/'), '', url()->previous());
        
        $query = PLAttendance::query();
        
        if (!empty($requestData['search'])) {
            $searchValue = $requestData['search'];
            $query->where(function ($q) use ($searchValue) {
                $q->where('user_name', 'LIKE', "%$searchValue%")
                 ;
            });
        }
        
        $workreports = $query->skip($requestData['start'])->take($requestData['length'])->get();
        $totalRecords = $query->count();
        
        $data = [
            'draw' => $requestData['draw'],
            'iTotalRecords' => $totalRecords,
            'iTotalDisplayRecords' => $totalRecords,
        ];
        
        if ($workreports->isEmpty()) {

        } else {
            foreach ($workreports as $workreport) {
                $date = isset($workreport['created_at']) ? $workreport['created_at']->format('d/m/Y') : '';
                $checkinTime = isset($workreport->checkin) ? new DateTime($workreport->checkin) : null;
            //    $checkoutTime = isset($workreport->checkout) 
            //     ? new DateTime($workreport->checkout) : null;
                

                $checkoutTime = isset($workreport->checkout) 
                ? new DateTime($workreport->checkout) 
                : (new DateTime($workreport['created_at']))->setTime(23, 59, 59);
        


                $checkDuration = $checkinTime && $checkoutTime
                    ? $checkinTime->diff($checkoutTime)->format('%H:%I')
                    : '';
        
                $data['data'][] = [
                    'id' => $workreport->id,
                    'date' => $date,
                    'user_id' => $workreport->user_id,
                    'business_category_model' => $workreport->business_category_model,
                    'user_name' => $workreport->user_name,
                    'checkin' => $workreport->checkin,
                    'checkout' => $workreport->checkout,
                    'report' => $checkDuration,
                ];
            }
        }
        
        return response()->json($data, 200);
        
        

    }

    public function flipkartattendance()
    {

        $data = PLAttendance::all();
        $groupedData = $data->groupBy(function ($item) {
        // Check if 'created_at' exists and is not null
    return isset($item['created_at']) ? $item['created_at']->format('Y-m-d') : '';
});

$result = [];

// Iterate through each group
foreach ($groupedData as $date => $records) {
    foreach ($records as $record) {
        // Check if 'checkin' property exists before accessing it
        $checkin = isset($record->checkin) ? $record->checkin : null;
        $checkout = isset($record->checkout) ? $record->checkout : null;

        // Handle $checkin as needed
    }
//dd($records[0]->user_id);
    // Calculate check-in to checkout differences for each group
    $durations = $records->map(function ($item) {
        $checkinTime = isset($item->checkin) ? new DateTime($item->checkin) : null;
        $checkoutTime = isset($item->checkout) ? new DateTime($item->checkout) : null;

        // Calculate duration
        $checkDuration = $checkinTime && $checkoutTime
            ? $checkinTime->diff($checkoutTime)->format('%H:%I')
            : '';

        return $checkDuration;
    });
    

    $user_id = isset($records[0]->user_id) ? $records[0]->user_id : null;
//dd($user_id);
    $username = User::join('user_data', 'user_data.user_id', '=', 'users.id')
    ->select('user_data.employee_id','users.name')->where('users.id',$user_id)
    ->get();

   // dd($username);



    $result[] = [
        'user_id' => $user_id,
        'date' => $date,
        'durations' => $durations->all(),
    ];
}

// Adjust the above code based on the actual structure of your data

        
    //     $data = PLAttendance::all();

    //     $groupedData = $data->groupBy(function ($item) {
    //         // Check if 'created_at' exists and is not null
    //         return isset($item['created_at']) ? $item['created_at']->format('Y-m-d') : '';
    //     });
    //     foreach ($groupedData as $date => $records) {
    //         foreach ($records as $record) {
    //             // Check if 'checkin' property exists before accessing it

    //             $checkin = isset($record->checkin) ? $record->checkin : null;
    //             $checkout = isset($record->checkout) ? $record->checkout : null;

    //             // Handle $checkin as needed
    //         }
    //     }
        
    //     $result = [];
        
    //     // Iterate through each group
    //     foreach ($groupedData as $groupKey => $group) {
    //         // Split the group key into user_id, checkin, and checkout
    //         [$user_id, $date] = $groupKey;

        
    //         // Calculate check-in to checkout differences for each group
    //         $durations = $group->map(function ($item) {
                
    //             $checkinTime = isset($item->checkin) ? new DateTime($item->checkin) : null;
    //             $checkoutTime = isset($item->checkout) ? new DateTime($item->checkout) : null;
    //    // dd($checkinTime);   
              
    //             // Calculate duration
    //             $checkDuration = $checkinTime && $checkoutTime
    //                 ? $checkinTime->diff($checkoutTime)->format('%H:%I')
    //                 : '';
                    
    //   //  dd($checkDuration);
    //             return $checkDuration;
    //         });

        
    //         // Add the results to the final array
    //         $result[] = [
    //             'user_id' => $user_id,
    //             'date' => $data[0]['created_at'],

    //             'durations' => $durations->all(),
    //         ];

    //       //  dd($result);

    //     }
        
        // Now $result contains the calculated durations for each user on each date
        

return view('admin.report.3pl.attendance.index',compact('result'));

    }

    public function import(Request $request) 
    {
        Excel::import(new PLReportImport, $request->file('file'));

        return redirect()->back()->with('success', 'Flipkart Report Successfully Added!');

    }

    public function export(Request $request){

        return Excel::download(new ExportUser, 'plreports.xlsx');
    }

    public function workreport()
    {

        $datareport=PLReport::all();
        
        return view('admin.users.3pl.report.index',compact('datareport'));

    }
    

    public function workdata(Request $request)
    {
        $requestData = $request->all();
        $userCall = str_replace(url('/'), '', url()->previous());

        $query = PLReport::query();

        if (!empty($requestData['search'])) {
        $searchValue = $requestData['search'];
        $query->where(function ($q) use ($searchValue) {
            $q->where('RunsheetId', 'LIKE', "%$searchValue%")
                ->orWhere('ShipmentUpdate', 'LIKE', "%$searchValue%")
                ->orWhere('AgentName', 'LIKE', "%$searchValue%")
                ->orWhere('EmployeeID', 'LIKE', "%$searchValue%")
                ->orWhere('ShipmentStatus', 'LIKE', "%$searchValue%")
                ->orWhere('ShipmentId', 'LIKE', "%$searchValue%");
        });

        $workreports = $query->skip($requestData['start'])->take($requestData['length'])->get();
        $totalRecords = $query->count();
        }

        else{
        $workreports = ((new PLReport()))->skip($requestData['start'])->take($requestData['length'])->get();
        $totalRecords = ((new PLReport()))->count();
        }

        $data = [
            'draw' => $requestData['draw'],
            'iTotalRecords' => $totalRecords,
            'iTotalDisplayRecords' => $totalRecords,
        ];

            if ($workreports->isEmpty()) {
            } else {
                foreach ($workreports as $workreport) {
                    $data['data'][] = [
                        'id' => $workreport->id,
                        'RunsheetId' => $workreport->RunsheetId,
                        'ShipmentUpdate' => $workreport->ShipmentUpdate,
                        'AgentName' => $workreport->AgentName,
                        'EmployeeID' => $workreport->EmployeeID,
                        'DeliveryHub' => $workreport->DeliveryHub,
                        'City' => $workreport->City,
                        'Zone' => $workreport->Zone,
                        'State' => $workreport->State,
                        'ShipmentId' => $workreport->ShipmentId,
                        'ShipmentType' => $workreport->ShipmentType,
                        'ShipmentPrice' => $workreport->ShipmentPrice,
                        'ShipmentStatus' => $workreport->ShipmentStatus,
                    ];
                }
            }
            return response()->json($data, 200);
    }
    }