<?php

namespace App\Http\Controllers\Api\v1;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use App\Models\User;
use App\Models\PLAttendance;
use App\Models\PLReport;
use App\Models\Users\UserData;
use App\Http\Resources\User as UserResource;
use Carbon\Carbon;
use DB;


class AttendanceController extends Controller
{
    public function index(Request $request)
    {
        $user = $request->user('api');
        $attendance=PLReport::all();
     //   $attendance=PLAttendance::where('user_id',$UserDetails[0]['user_id'])->get();
     
        // $report=DB::table('pl_reports')
        
        // ->join('3pl_attendance','3pl_attendance.user_id','=','pl_reports.user_id')
        // ->first();
    
        if ($user) {
            $UserDetails = UserData::where('user_id', $user["id"])->get();
             $attendance=PLAttendance::where('3pl_attendance.user_id',$UserDetails[0]['user_id'])
           ->get();
         
        }

        return response()->json([
            'status' => true,
            'message' => 'Attendance Details',
            'data' => $attendance
        ], 200);
    }

    public function Checkin(Request $request)
    {
        $user = $request->user('api');
  
        if ($user) {
            $UserDetails = UserData::where('user_id', $user["id"])->get();
            
           // $checkin=Carbon::now()->toDateTimeString();

           $checkoutPreCheck=PLAttendance::where('user_id', $user["id"])->whereNull('checkout')->get()->first();
            if($checkoutPreCheck== null)
            {
                $checkin=Carbon::now()->toDateTimeString();

               // dd(hi);

                $check =new PLAttendance;
                $check->user_id=$user->id;
                $check->user_name=$user->name;
                $check->location_latitude=$request->location_latitude;
                $check->location_longitude=$request->location_longitude;
                $check->user_time=$request->user_time;
                $check->business_category_model=$UserDetails[0]['business_model_id'];

                $check->checkin =$checkin;
            
                $check->save();
                return response()->json([
                    'status' => true,
                    'message' => 'Checkin Successfully',
                    'data' => $check
                ], 200);
            }
            else{
                
                $checkout=Carbon::now()->toDateTimeString();
         
                $check=PLAttendance::where('id', $checkoutPreCheck['id'])->update(array('checkout' => $checkout));
                 return response()->json([
                     'status' => true,
                     'message' => 'Checkout Successfully',
         
                 ], 200);
                // $test=
                // $checkOut = PLAttendance::where('user_id', $test->user_id)
                // ->whereNull('check_out')
                // ->update(['check_out' => now()]);
                // // $checkout=Carbon::now()->toDateTimeString();

                //  $test=PLAttendance::find($id)->latest()->get();
                // // dd(test);
                // // $checkout=Carbon::now()->toDateTimeString();
         
                // $check=PLAttendance::where('id', $test->user_id)->update(array('checkout' => $checkout));
                //  return response()->json([
                //      'status' => true,
                //      'message' => 'Checkout Successfully',
                //      'id' => $user->id,
                //      'data' => $test->user_id,
                //      'checkout'=>$checkout
         
                //  ], 200);

            }
     
        }
      
    }

    public function workreport(Request $request)
    {
        
        $user = $request->user('api');

        //dd($user);
       
        $users = User::join('user_data', 'user_data.user_id', '=', 'users.id')
        ->select('user_data.employee_id','users.name')->where('user_type','Rider')
        ->where('users.id',$user->id)
        ->get();

       // dd($users);

        $data = [];


        foreach ($users as $user) {
            $employeeId = $user->employee_id;

            $codCount = PLReport::where('EmployeeID', $employeeId)->where('ShipmentType', 'COD')->count();
            $ppCount = PLReport::where('EmployeeID', $employeeId)->where('ShipmentType', 'PP')->count();
            $rvpCount = PLReport::where('EmployeeID', $employeeId)->where('ShipmentType', 'RVP')->count();
            $totalShipments = PLReport::where('EmployeeID', $employeeId)->whereNotNull('ShipmentId')->count();
            $Delivery = PLReport::where('EmployeeID', $employeeId)->where('ShipmentStatus', 'Delivered')->count();
            $codTotal = PLReport::where('EmployeeID', $employeeId)->where('ShipmentType', 'COD')->sum('ShipmentPrice');
            $undelivered = $totalShipments - $Delivery;

            $userData = [
                'employee_id' => $employeeId,
                'registration_number' => $user->registration_number,
                'name' => $user->name,
                'cod_count' => $codCount,
                'pp_count' => $ppCount,
                'rvp_count' => $rvpCount,
                'total_shipments' => $totalShipments,
                'cod_total' => $codTotal,
                'total_delivery' => $Delivery,
                'non_delivery' => $undelivered,
            ];

            // Add user-wise data to the main data array
            $data[] = $userData;
        }
     //   return view('admin.report.3pl.flipkart.index', compact('data'));

        return response()->json([
            'status' => true,
            'message' => 'Attendance Details',
            'data' => $data
        ], 200);
    }


    public function create(Request $request)
    {
        $requestData = $request->all();  
        $userss = $request->user('api');
      
        
        $start = Carbon::parse($request->date_from);
        $startDate = $start->format('m/d/Y');
        $end = Carbon::parse($request->date_to);
        $endDate = $end->format('m/d/Y');

        $user = PLReport::all();

        $u = PLReport::where('ShipmentUpdate',$startDate)->get();
 
        $users = PLReport::join('user_data', 'user_data.employee_id', '=', 'pl_reports.EmployeeID')
        ->join('users', 'user_data.user_id', '=', 'users.id')

        ->whereBetween('ShipmentUpdate', [$startDate, $endDate])
        ->get();

        $username = User::join('user_data', 'user_data.user_id', '=', 'users.id')
        ->select('user_data.employee_id','users.name')->where('users.id',$userss->id)
        ->get();

        $data = [];

        foreach ($username as $user) {   
            $employeeId = $user->employee_id;
        
            $codCount = PLReport::where('EmployeeID', $employeeId)->whereBetween('ShipmentUpdate', [$startDate, $endDate])->where('ShipmentType', 'COD')->count();
        
            $ppCount = PLReport::where('EmployeeID', $employeeId)->whereBetween('ShipmentUpdate', [$startDate, $endDate])->where('ShipmentType', 'PP')->count();
        
            $rvpCount = PLReport::where('EmployeeID', $employeeId)->whereBetween('ShipmentUpdate', [$startDate, $endDate])->where('ShipmentType', 'RVP')->count();
        
            $totalShipments = PLReport::where('EmployeeID', $employeeId)->whereBetween('ShipmentUpdate', [$startDate, $endDate])->whereNotNull('ShipmentId')->count();
        
            $Delivery = PLReport::where('EmployeeID', $employeeId)->whereBetween('ShipmentUpdate', [$startDate, $endDate])->where('ShipmentStatus', 'Delivered')->count();
        
            $codTotal = PLReport::where('EmployeeID', $employeeId)->whereBetween('ShipmentUpdate', [$startDate, $endDate])->where('ShipmentType', 'COD')->sum('ShipmentPrice');
        
            $undelivered = $totalShipments - $Delivery;
        
            $userData = [
                'employee_id' => $employeeId,
                'name' => $user->name, // Access 'name' property on the individual user instance
                'cod_count' => $codCount,
                'pp_count' => $ppCount,
                'rvp_count' => $rvpCount,
                'total_shipments' => $totalShipments,
                'cod_total' => $codTotal,
                'total_delivery' => $Delivery,
                'non_delivery' => $undelivered,
            ];
        
            $data[] = $userData;
        }
        

        return response()->json([
            'status' => true,
            'message' => 'Attendance Details',
            'data' => $data
        ], 200);    
    }



}