<?php

namespace App\Http\Controllers\Api\v1;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Models\User;
use App\Http\Controllers\Api\v1\AppController;
use App\Models\CMS\Menu;
use DB;
use App\Models\Users\UserData;
use App\Models\CMS\FaqCategory;
use App\Models\CMS\Faq;
use App\Models\CMS\Forms;
use App\Models\CMS\FormButtons;
use App\Models\CMS\FormFields;
use App\Http\Resources\CMS\Forms  as FormResource;
use App\Http\Resources\CMS\Onboard as OnboardResource;
use App\Http\Resources\User as UserResource;
use App\Models\CMS\Onboard;
use App\Models\CMS\Banner;
use App\Models\CMS\Announcement;
use App\Models\CMS\IncidentalInfo;
use App\Http\Resources\CMS\Banner as BannerResource;
use App\Http\Resources\CMS\IncidentalInfo as IncidentalInfoResource;
use App\Http\Resources\CMS\Announcement as AnnouncementResource;
use App\Http\Resources\CMS\Menu as MenuResource;
use App\Http\Resources\CMS\FaqCategory as FaqResource;
use App\Models\Assets\Vehicle;


class CmsController extends AppController
{
    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function get_forms(Request $request, $slug, $id= ''){
        ini_set('float', 2);
        $user = $request->user('api');
        $allow = false;
        $form = Forms::where('slug', $slug)->first();
        if($form){
            if($form->is_before_login == '1'){
                $allow = true;
            }elseif($user){
                $allow = true;
            }
        }else{
            return response()->json([
                'status' => false,
                'message' => 'Invalid Route'
            ], 404);
        }
        if($allow == true){
            return new FormResource($form);
        }else{
            return response()->json([
                'status' => false,
                'message' => 'You are not allowed to view this page'
            ], 400);
        }
    }
    // public function get_module_forms(Request $request, $slug, $id){
    //     $user = $request->user('api');
    //     $asset = [];
    //     if($id){
    //         $form = Forms::where('slug', $slug)->first();
    //         if($slug == 'ev-booking'){
    //             $asset = Vehicle::where('id', $id)->first();
    //         }
    //         return new FormResource($form);
    //     }else{
    //         return $this->not_found();
    //     }
    //     return new FormResource($form);
    // }
    public function get_onboard(Request $request){
        $user = $request->user('api'); 
        $onboard = Onboard::findOrFail(1);
        return new OnboardResource($onboard);
    }
    public function home(Request $request){
        $user = $request->user('api');
        $requestData = $request->all();
        $announcements = Announcement::where('mobile_user', $requestData['user'])->get();
        $announcements = AnnouncementResource::collection($announcements);
        
        $banners = Banner::where('mobile_user', $requestData['user'])->get();
        $banners = BannerResource::collection($banners);

        $incidentalInfo = IncidentalInfo::where('mobile_user', $requestData['user'])->get();
        $incidentalInfo = IncidentalInfoResource::collection($incidentalInfo);
        return  [
            'banners' => $banners,
            'announcements' =>  $announcements,
            'incidental_information' =>  $incidentalInfo
        ];

    }
    public function menu_list(Request $request){
        $requestData = $request->all();
        $user = $request->user('api');
        $menuList = Menu::where('mobile_user', 'customer app')->get();
        $menuForNonLoggedinUser = collect($menuList)->where('business_category_id', null)->all();
        if ($user) {
            $loggedInUserDetails = UserData::where('user_id', $user["id"])->get();
            $loggedInUserBasedMenuList=collect($menuList)->where('business_category_id', $loggedInUserDetails[0]["business_category_id"])->where('business_model_id', $loggedInUserDetails[0]["business_model_id"]);
            $menuListData = collect($menuForNonLoggedinUser)->merge($loggedInUserBasedMenuList);
            return $this->success_response(MenuResource::collection($menuListData));
        }else{
            return $this->success_response(MenuResource::collection($menuForNonLoggedinUser));
        }
    }
    public function faq(Request $request){
        $requestData = $request->all();
        
        $faqCategory = FaqCategory::whereNull('deleted_at')->where('mobile_user', $requestData['user'])->get();
        print_r( $faqCategory); exit;
        $faqList = Faq::where('faq_category_id', $faqCategory->id)->get();
        return view('app.cms.faqs', compact('faqCategoryList'));
        
        return $faq;
    }
    public function faq_by_category(Request $request, $category){
        $requestData = $request->all();
        
        $faqCategory = FaqCategory::whereNull('deleted_at')->where('mobile_user', $requestData['user'])->where('faq_category', $category)->first();
        $faqList = Faq::where('faq_category_id', $faqCategory->id)->get();
        return view('app.cms.faqs', compact('faqList'));
    }
    public function about_us(Request $request){
        $requestData = $request->all();
        return view('app.cms.about_us');

    }
    public function privacy_policy(Request $request){
        $requestData = $request->all();
        return view('app.cms.privacy_policy');

    }
    public function terms_condition(Request $request){
        $requestData = $request->all();
        return view('app.cms.terms_condition');
    }
    
    public function faq_question(Request $request){
        $requestData = $request->all();
        if(!isset($requestData['search'])){
            $requestData['search'] = '';
        }
        if(!isset($requestData['user'])){
            $requestData['user'] = 'Customer App';
        }
        $query = FaqCategory::whereNull('deleted_at')->where('mobile_user', $requestData['user']);
      
        if($requestData['search']){
          //$query->where('category', 'like', '%'.$requestData['search'].'%');
          $query->where('faq_category', 'like', '%'.$requestData['search'].'%');
          $query->orwhereRelation('faqs', 'question', 'like', '%'.$requestData['search'].'%');
          $query->orwhereRelation('faqs', 'search_answer', 'like', '%'.$requestData['search'].'%');
             
        }
        $faqCategoryList  = $query->get();
        
        return view('app.cms.faq_questions', compact('faqCategoryList'));
        
   }
 
   public function faqs(Request $request){
        $requestData = $request->all();
        if(!isset($requestData['user'])){
            $requestData['user'] = 'Customer App';
        }
        $faqCategoryList = FaqCategory::whereNull('deleted_at')->where('mobile_user', $requestData['user'])->get();
      
        return view('app.cms.faq', compact('faqCategoryList'));
   }
}
