<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
//use Illuminate\Support\Facades\Auth;
use App\Models\Settings;
use View;
use Config;
use Storage; 
use App\Models\User;
use Auth;


class AppController extends BaseController
{
    public $siteSettings ;
    public $user ;
    public function __construct()
    {
        $settings = Settings::get()->keyBy('key');
        $siteSettings[] = $settings->map(function($settings, $key) {
            return $siteSettings[] = $settings->value;
            });
        $this->siteSettings = $siteSettings[0];

        View::share('settings',$this->siteSettings);
        $routePrefix = request()->route()->getPrefix(); 
        // if (str_contains($routePrefix, 'admin')) {
            
        //     echo 'sd'; 
        //     print_r(request()->session()); exit;
        //     if (auth('web')->user()) {
        //     }else{
        //         //Redirect::to('admin/login')->send();
        //     }
        // }
    }
    /*Language Translation*/
    public function lang($locale)
    {
        if ($locale) {
            App::setLocale($locale);
            Session::put('lang', $locale);
            Session::save();
            return redirect()->back()->with('locale', $locale);
        } else {
            return redirect()->back();
        }
    }
    public function dashboard(){
        return view('admin.index');
    }
    public function admin(){
        if (Auth::check()) {
            return Redirect::to('admin/dashboard');
        }else{
            return Redirect::to('admin/login');
        }
    }
    public function logout(){
        if (Auth::check()) {
            Auth::logout();
        }
        return Redirect::to('admin/login');
    }
    public function checkredirect(){
        if (Auth::check()) {

        }
    }
    public function uploadFile($path, $file){
        if($this->siteSettings['file_disk'] == 'local'){
            $filePath = Storage::disk('public')->put($path, file_get_contents($file));
            $filePath = Storage::disk('public')->url($path);
        }else{            
            $filePath = Storage::disk('s3')->put($path, $file);
            $filePath = Storage::disk('s3')->url($path);
        }
        return $filePath;
    }
    
    public function deleteFile($file){
        if($this->siteSettings['file_disk'] == 'local'){
            $filePath = Storage::disk('public')->delete($file);
        }else{
            $filePath = Storage::disk('s3')->delete($file);
        }
        return $filePath;
        Storage::disk('s3')->delete('folder_path/file_name.jpg');
    }
    public function user_not_found(){
        $msg = "User Not found";
        return response()->json([
            'status' => false,
            'message' => $msg,
        ], 401);
    }
    public function validation_fail($errors){
        $msg = "User Not found";
        return response()->json([
            'status' => false,
            'message' => 'validation error',
            'errors' => $errors
        ], 400);
    }
    public function throw_catch_error($e){
        return response()->json([
            'status' => false,
            'message' => $e->getMessage()
        ], 500);
    }
    public function success_response($msg='', $data){
        
        if($msg == ''){
            $msg = 'success';
        }
        return response()->json([
            'status' => true,
            'message' => $msg,
            'data' => $data,
        ], 200);
    }
    public function mapCall($url){
        $url = $url . '&key=' .$this->siteSettings['google_map_api_id'];
        $headers = array(
            "Cache-Control: no-cache",
            "Content-Type: application/json",
            );
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_PROXYPORT, 3128);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
            $response = curl_exec($ch);
            curl_close($ch);

            return $response;
    }
}
