<?php

namespace App\Http\Resources\Assets;

use App\Http\Resources\JsonResource;

use App\Models\Master\VerificationType;

class ChargingStation extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    
     public function order($order){
        $this->order = $order;
        return $this;
    }


    public function toArray($request)
    {
        $user = auth('api')->user();
        $response = [
            'asset_id' => $this->id,
            'product_type' => $this->product?->product_type,
            'property_type' => $this->property?->property_type,
            'model_name' => $this->model_name,
            'description' => '',
        ];

        $response['images'] = [];
        if($this->images->count() > 0){
            foreach($this->images as $images){
                $response['images'][] =  base64_encode(file_get_contents(public_path().'/storage'.$images->path, true)) ;
            }
        }else{
            $response['images'][] =  base64_encode(file_get_contents(public_path().'/images/logo.png', true)) ;            
        }
        
        
        $response['ratings'] = [];
        if($this->ratings){
            $response['ratings'][] =  [
                'star_rating' => $this->ratings->avg('star_rating') ?? 0,
                'count' => count($this->ratings) ?? 0
            ];
            
        }
        $response['charging_equopments'] = 0;
        if($this->chargingEquipments->count() > 0){
            $response['charging_equopments'] = $this->chargingEquipments->count();
        }
        
        if($this->order){
            if($this->order->asset_type == 'charging-station'){

                $response['charging_station_id'] = $this->order->charging_station_id;
                $response['charging_equipment_id'] = $this->order->charging_equipment_id;
                $response['charging_equipment_part_id'] = $this->order->charging_equipment_part_id;
                $response['charging_equipment_model_name'] = $this->order->chargingEquipment->model_name ?? null;
                $response['adapter_name'] = $this->order->chargingEquipmentPart->adapter_name ?? null;
                $response['adapter_id'] = $this->order->chargingEquipmentPart->adapter_id ?? null;
                $response['adapter_model'] = $this->order->chargingEquipmentPart->adapter_model ?? null;
                $response['plug_pin_points'] = $this->order->chargingEquipmentPart->plug_pin_points ?? null;
                $response['adapter_description'] = $this->order->chargingEquipmentPart->adapter_description ?? null;
                $response['vehicle_oem'] = $this->order->chargingEquipmentPart->vehicle_oem ?? null;
                $response['market_vehicle_oem'] = $this->order->chargingEquipmentPart->market_vehicle_oem ?? null;
                $response['market_vehicle_model'] = $this->order->chargingEquipmentPart->market_vehicle_model ?? null;
            }
        }

        return $response;
    }
}
