<?php

namespace App\Http\Resources\Assets;

use App\Http\Resources\JsonResource;

use App\Models\Master\VerificationType;

class Vehicle extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $user = auth('api')->user();
        if($this->subscriptionPlanAsset){
            $response = [
                'id' => $this->id,
                'product_type' => $this->product->product_type,
                'model_name' => $this->model_name,
                'description' => '',
            ];

            $response['images'] = [];
            if($this->images){
                foreach($this->images as $images){
                    $response['images'][] =  base64_encode(file_get_contents(public_path().'/storage'.$images->path, true)) ;
                    //$response['images'][] =  public_path().'/storage'.$images->path;
                }
            }
                $price = [];
                foreach($this->subscriptionPlanAsset as $subscriptionPlanAsset){
                    $price[] =  $subscriptionPlanAsset->fixed_price;
                }
                $response['price'] = $price ? min($price) : 0;
                $response['discount_price'] = 0;
            $response['ratings'] = [];
            
            if($this->ratings){
                $response['ratings'][] =  [
                    'star_rating' => $this->ratings->avg('star_rating'),
                    'count' => count($this->ratings)
                ];
                
            }
            return $response;
        }
    }
}
