<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;

class FormButtons extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */

     protected $enable = 'false';

     public function enable($enable){
         $this->enable = $enable;
         return $this;
     }
 
    public function toArray($request)
    {
        $attributes = [];
        if($this->attributes){
            $attributes = json_decode($this->attributes);
            foreach($attributes as $key => $attribute){
                $type = $key . '_type';
                
                $trimmed = str_replace('_type', '', $key) ;
                if($trimmed.'_type' == $key){
                    if($attribute){
                    settype($attributes->$trimmed, $attribute);
                    }
                }
            }
        }
        $response =  [
            'id' => $this->id,
            'name' => $attributes->name ?? null,
            'type' => $attributes->type ?? null,
            'title' => $attributes->title ?? null,
            'on_submit' => $attributes->on_submit ?? null,       
            'on_pressed' => $attributes->on_pressed ?? null,
            'padding' => $attributes->padding ?? null,
            'width' => $attributes->width ?? null,
            'background_color' => $attributes->background_color ?? null,
            'foreground_color' => $attributes->foreground_color ?? null,
            'color' => $attributes->color ?? null,
            'border_radious' => $attributes->border_radious ?? null,
            'font_size' => $attributes->font_size ?? null,
            'font_weight' => $attributes->font_weight ?? null,
            'postData' => [
                'redirectUrl' => $attributes->redirect_url ?? null
            ]
        ];
        
        if($this->form->slug == 'track-order' && isset($request->order_id)){
            $response['on_submit'] = $request->order_id ? $attributes->on_submit . '/'.$request->order_id : $attributes->on_submit ;
            $response['enable'] = $this->enable ;
        }
        foreach($request->all() as $key => $postData){
            $response ['postData'][$key] = $postData;
        }
        return $response;
       
    }
}
