<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use App\Models\User;
use App\Models\Location;
use App\Models\CMS\FeedbackRating;
use App\Http\Resources\ChargingEquipmentCollection;
use App\Models\Assets\ChargingStation;


class FormFields extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        ini_set('memory_limit', '1024M');
        $a=1;
        $id = $request->route('id');
    
        $user = auth('api')->user();
        if(empty($user)){
            $user = $this->getAuthPwUser($request);
        }
        if( $user){
            $data = User::with(['userData', 'myVehicles', 'address', 'address.city',  'address.state',  'address.district',  'address.zone'])->where('id', '=', $user->id)->first()->toArray();
            //$data = json_decode((new UserResource($user))->toJson(), true);
        }
        
        $response = [
            'id' => $this->id,
            'type' => isset($this->formFieldType) ? $this->formFieldType->field_type : '',
            'title' => $this->title,
            'name' => $this->name,
            'place_holder' => $this->place_holder,
            //'value' =>  (isset($data[$this->name]) ? $data[$this->name] : (isset($data['userData'][$this->name]) ? $data['userData'][$this->name] : '')),

        ];
        if($user && $this->form->fields_have_values == 1){
            
            $value = '';
           if(isset($data['address'])){
                if(isset($data['address']['city'][$this->name])){
                    $value = $data['address']['city'][$this->name];
                }elseif(isset($data['address']['district'][$this->name])){
                    $value = $data['address']['district'][$this->name];
                }elseif(isset($data['address']['state'][$this->name])){
                    $value = $data['address']['state'][$this->name];
                }elseif(isset($data['address'][$this->name])){
                    $value = $data['address'][$this->name];
                }
                
            }
            if(isset($data[$this->name]) && $this->name != 'address'){
                $value = $data[$this->name];
            }
            if(isset($data['user_data'][$this->name])){
                $value = $data['user_data'][$this->name];
            }
            
            if($this->form->slug == 'edit-my-vehicle'){ 
                $vehicleId = $request->route('id'); 
                if(isset($data['my_vehicles'])){         
                    foreach($data['my_vehicles'] as $editVehicle){
                        if($editVehicle['id'] == $vehicleId){
                            $value = $editVehicle[$this->name] ?? null;
                            if($this->name == 'image'){
                                $value = empty($value) ? null : base64_encode(file_get_contents(public_path().'/storage'. $value , true));
                            }
                        }

                    }
                }      
            }
            $response['value'] = $value;
        }
        if($this->option){
            $option = [];
            $optionKeys = explode(",", $this->option);
            if($optionKeys[0] == '{RANGE}'){
                $option = range($option[1], $option[2]);
            }elseif($optionKeys[0] == '{USER_ADDRESS}'){
                //$option = $user->address;
                foreach($user->locations as $location){
                    $option[] = $location->address;
                }
            }elseif($optionKeys[0] == '{NEAREST_ADDRESS}'){
                $locations = Location::whereNull('deleted_at')
                ->where('location_classification_id', 1)
                ->select('id','address')
                ->groupBy('address')
                ->get();
                foreach($locations as $location){
                    $option[] = $location->address;
                }
            }elseif($optionKeys[0] == '{IMPRESSION_POINTS}' && ($this->form->slug == 'fulfillment-feed-back')){
                $feedback = FeedbackRating::where('feedback_rating_for', 2)->first();
                $option = [];
                foreach($feedback->ratingImpression as $impressionPoints){
                    $option[] = $impressionPoints->impression_points;
                }
            }elseif($optionKeys[0] == '{TIME}'){
                
                $time = new \DateTime("00.15");
                $close = new \DateTime("03.00");
                while ($time < $close) {
                    $day[] = $time->format('H:i');
                    $time->modify('+15 minutes');
                }
                foreach($day as $time){
                    $option[] = $time;
                }
            }elseif($optionKeys[0] == '{RANGE_10}'){               
                foreach(range(10, 100, 10) as $time){
                    $option[] = $time;
                }
            }else{
                $option = explode(",", $this->option);
            }
            $response['option'] = $option;
            
        }
        
        if($this->formFieldAttributes){
            
            foreach($this->formFieldAttributes as $inupAttribute){
                $value = $inupAttribute->value;
                $type = $inupAttribute->type;
                settype($value, $type);
                $response[$inupAttribute->key] = $value;

            }
        }
        if($this->formFieldTabMenu){
            //$response['tab_menu'] = explode(",", $this->formFieldTabMenu->menu);
            $response['tab_menu']  = [];  //= TabMenu::collection($this->formFieldTabMenu)->groupBy('formField.id');
            $response['inputs'] = [];
            foreach($this->formFieldTabMenu as $tabMenu){
                if($tabMenu->menu){
                    $response['tab_menu'][] = $tabMenu->menu;
                    $response['inputs'][] = isset($tabMenu->tabMenuInputs) ? TabMenuInput::collection($tabMenu->tabMenuInputs) : '';
                }
            }
            
        }
        if($this->have_condition == 'Yes' && $this->formCondition){
            $response['on_condition'] =[
                'condition_field_id' => $this->formCondition?->condition_field_id,
                'condition_field_name' => $this->formCondition?->conditionField->name,
                'equal_value' => $this->formCondition?->equal_value,
                'field_id_type' => $this->formCondition?->field_id_type,
                'equal_value_type' => $this->formCondition?->equal_value_type,
            ];
        }
        if($this->formFieldType){
            if($this->formFieldType->field_type == 'otp'){
                $response['resend_otp_button'] = [
                    'type' => 'text',
                    'title' => 'Resend OTP',
                    'on_submit' => 'resend-otp',
                    'post_data' => [
                        'phone_number' => isset($user->phone_number) ? $user->phone_number : '',
                    ]
                ];
            }
            $response['connectors'] = [];
            if($this->formFieldType->field_type == 'connectors'){
                $assetId = $request->asset_id;
                if($assetId){
                    $chargingStation  = ChargingStation::where('id',  $assetId)->first();
                    $chargingEquipments = $chargingStation->chargingEquipments;
                    foreach($chargingEquipments as $chargingEquipment){
                        $chargingEquipmentParts = $chargingEquipment->parts;
                        foreach($chargingEquipmentParts as $chargingEquipmentPart){
                            $chargingEquipmentPartSubscription = $chargingEquipmentPart->subscriptionPlan;
                            //$price = $chargingEquipmentPartSubscription->fixed_price ?? 0; 
                            $price = $this->calculate_price($chargingEquipmentPartSubscription, [$chargingStation->location_id]);
                            $basePlan = '' ; 
                            if($chargingEquipmentPartSubscription->base_plan == 'KWH Units'){
                                $basePlan = 'KWH';
                                //$price = $chargingEquipmentPartSubscription->by_units * $price;
                            }elseif($chargingEquipmentPartSubscription->base_plan == 'Duration'){
                                $duration = $chargingEquipmentPartSubscription->charging_duration;
                                $basePlan = $duration .  ($duration == '00:15' || $duration == '00:30' || $duration == '00:45' ) ? 'Mins' : 'Hrs';
                            }
                            $response['connectors'][] = [
                                'id' => $chargingEquipmentPart->id,
                                'subscription_id' => $chargingEquipmentPartSubscription->id,
                                'adapter_name' => $chargingEquipmentPart->adapter_name,
                                'adapter_id' => $chargingEquipmentPart->adapter_id,
                                'adapter_model' => $chargingEquipmentPart->adapter_model,
                                'plug_pin_points' => $chargingEquipmentPart->plug_pin_points,
                                'adapter_description' => $chargingEquipmentPart->adapter_description,
                                'dispesing_units' => $chargingEquipmentPart->dispesing_units,
                                //'price' => $price.'/'. $basePlan,.'/KWH'
                                'price' => $price,
                                'value' => $chargingEquipmentPart->id,
                                "is_checked" => false
                            ];
                        }
                    }
                }
            }
        }
        // if($this->formFieldType->field_type == 'valueAddedService'){
        //     if($request->route('slug') == ''){

        //     }
        //     $asset = 
        //     $response['valueAddedService'] = [

        //     ];
        // }
        return $response;
    }
}