<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\CMS\FormFields;
use App\Http\Resources\CMS\IncidentalInfoLocation;


class IncidentalInfo extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'incidental_name' => $this->incidental_name,
            'incidental_title' => $this->incidental_title,
            'image' => empty($this->image) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->image)) ,
            'link_page' => $this->link_page,
            'location' => $this->location,
        ];
        if($this->location == 'Selected Location'){
            $response['selected_locations'] = IncidentalInfoLocation::collection($this->incidentalInfoLocation);
        }
        return $response;
    }
}
