<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\CMS\FormFields;
use App\Http\Resources\CMS\AnnouncementLocation;


class Menu extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'title' => $this->title,
            'title_color' => $this->title_color,
            'business_category_id'=>$this->business_category_id,
            'business_model_id'=>$this->business_model_id,
        ];
        if($this->have_suffix_title == 'Yes'){        
            $response['suffix'] = [
                'suffix_title' => $this->suffix_title,
                'suffix_title_color' => $this->suffix_title_color,
            ];
        }
        $response['redirect_url'] = $this->redirect_url;
        $response['redirect_type'] = $this->redirect_type;
        return $response;
    }
}
