<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\CMS\OnboardList;
use App\Http\Resources\CMS\OnboardPermission;
use Illuminate\Support\Facades\Storage;



class Onboard extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'app_name' => $this->app_name,
           // 'app_icon' => empty($this->app_icon) ? null : base64_encode(Storage::get($this->app_icon)),
           // 'splash_image' => empty($this->splash_image) ? null : base64_encode(Storage::get($this->splash_image)),

            'app_icon' => empty($this->app_icon) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->app_icon)),
            'splash_image' => empty($this->splash_image) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->splash_image)),
            'onboard' => isset($this->onboardList) ? OnboardList::collection($this->onboardList) : null,
            'onboard_permission' =>  isset($this->onboardPermission) ? OnboardPermission::collection($this->onboardPermission) : null,
        ];
    }
}
