<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use App\Models\User;
use App\Models\Location;

class TabMenuInput extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $a=1;
        $user = auth('api')->user();
        if( $user){
            $data = User::with(['userData', 'address', 'address.city',  'address.state',  'address.district',  'address.zone'])->where('id', '=', $user->id)->first()->toArray();
            //$data = json_decode((new UserResource($user))->toJson(), true);
        }
        $response = [
            'id' => $this->id,
            'type' => isset($this->formFieldType) ? $this->formFieldType->field_type : '',
            'title' => $this->title,
            'name' => $this->name,
            'place_holder' => $this->place_holder,
            //'value' =>  (isset($data[$this->name]) ? $data[$this->name] : (isset($data['userData'][$this->name]) ? $data['userData'][$this->name] : '')),

        ];
        if($this->option){
            $option = [];
            $optionKeys = explode(",", $this->option);
            if($optionKeys[0] == '{RANGE}'){
                $option = range($option[1], $option[2]);
            }elseif($optionKeys[0] == '{USER_ADDRESS}'){
                foreach($user->locations as $location){
                    $option[] = $location->address;
                }
            }elseif($optionKeys[0] == '{NEAREST_ADDRESS}'){
                $locations = Location::whereNull('deleted_at')
                ->where('location_classification_id', 1)                
                ->select('id','address')
                ->groupBy('address')
                ->get();
                foreach($locations as $location){
                    $option[] = $location->address;
                }
            }else{
                $option = explode(",", $this->option);
            }
            $response['option'] = $option;
            
        }
        if($this->have_condition == 'Yes'){
            $response['on_condition'] =[
                'condition_field_id' => $this->formCondition->condition_field_id,
                'condition_field_name' => $this->formCondition->conditionField->name,
                'equal_value' => $this->formCondition->equal_value,
                'field_id_type' => $this->formCondition->field_id_type,
                'equal_value_type' => $this->formCondition->equal_value_type,
            ];
        }
        return $response;
    }
}
