<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use App\Models\User;
use App\Models\Location;
use App\Http\Resources\CMS\WalkaroundCategory;
use App\Http\Resources\SubscriptionPlan\Vehicle as VehicleSubscriptionResource;
use App\Http\Resources\SubscriptionPlan\Battery as BatterySubscriptionResource;

class WalkaroundChecklist extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */

    protected $order;

    public function order($order){
        $this->order = $order;
        return $this;
    }
    public function toArray($request)
    {
        $response = [
            'id' => $this->id,
            'model_name' => $this->product_model,
        ];
        $order = $this->order;
        if($this->order){
            if($this->order->asset_type == 'vehicle'){
                $response['subcription_plan'] = $this->order->vehicleSubscription->plan_name;
                // $response['vin_number'] = $this->order->vehicleAsset->vin_number;
                // $response['registeration_number'] = $this->order->vehicleAsset->registeration_number;
                // $response['parts'] = [];
                // if($this->order->vehicleAsset->parts){
                //    foreach($this->order->vehicleAsset->parts as $parts){
                //         $response['parts'][] = [
                //             'part_name' => $parts->product->product_type,
                //             'part_id' => $parts->part_id
                //         ];
                //    }
                // }

            }
        }
        $response['walkaround_categories'] = [];
        if($this->walkaroundCategories){
            //$response['walkaround_categories'] = WalkaroundCategory::collection($this->walkaroundCategories);
            foreach($this->walkaroundCategories as $walkaroundCategories){
                $response['walkaround_categories'][] = (new WalkaroundCategory($walkaroundCategories))->order($order);

            }
        }
        if(strtolower($order->asset_type) == 'vehicle'){
            $subscriptionData = (new VehicleSubscriptionResource($order->vehicleSubscription))->order($order);
            $response['subscriptionData'] = $subscriptionData;
        }elseif(strtolower($order->asset_type) == 'battery'){
            $subscriptionData = (new BatterySubscriptionResource($order->batterySubscription))->order($order);
            $response['subscriptionData'] = $subscriptionData;
        }
        return $response;
    }
}
