<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use App\Models\User;
use App\Models\Location;

class WalkaroundQuestion extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */

    protected $order;

    public function order($order){
        $this->order = $order;
        return $this;
    }
    public function toArray($request)
    {
        
        $user = auth('api')->user();
        $response = [
            'id' => $this->id,
            'question' => $this->question,
            'instructions' => $this->instructions
        ];
        $response['media'] = [];
        if($this->media){
            $media = explode(",", $this->media);
            foreach($media as $file){
                $file = substr($file, 2);
                $file = substr($file, 0, strpos($file,"\"]"));
                 if ($file && file_exists(public_path().'/storage'.$file)) {
                    $response['media'][] = base64_encode(file_get_contents(public_path().'/storage'. $file) ?? null);
                 }
            }
           // print_r( $response['media']);
            
        }

        $response['is_checked'] = false;
        if($this->order){
            $order = $this->order;
            if($order->orderWalkaround){
               // print_r($order->orderWalkaround); exit;
                foreach($order->orderWalkaround as $orderWalkaround){
                    if($orderWalkaround->walkaround_question == $this->question && $orderWalkaround->is_checked == 1){
                        $response['is_checked'] = true;
                    }
                }

            }
        }
       // exit;
        return $response;
    }
}
