<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource as base;
use App\Models\Auth\PasswordReset;
use App\Models\User;
use App\Models\Settings;
use App\Models\Location;

class JsonResource extends base
{
    
    public $siteSettings ;
    
    public function setSiteSettings()
    {
        $settings = Settings::get()->keyBy('key');
        $siteSettings[] = $settings->map(function($settings, $key) {
            return $siteSettings[] = $settings->value;
            });
        $this->siteSettings = $siteSettings[0];
       // parent::__construct();
        
    }
    public function getAuthPwUser($request){
        //user before set new password or trying to change password
        $token = $request->bearerToken();
        $passwordRest = PasswordReset::where('token', '=', $token)->first();
        $user = '';
        if(empty($passwordRest)){
            return false;
        }
        $user = User::with(['UserData'])->where('phone_number', '=', $passwordRest->phone_number)->first();
        if(empty($user)){
            $user = User::with(['UserData'])->where('email', '=', $passwordRest->email)->first();
        }
        
        return $user;
    }
    public function jsonOptions()
    {
        return JSON_PRESERVE_ZERO_FRACTION;
    }
    
    
    public function calculate_price($plan, $locationIds){
        $price = 0;
        $convenience_price = 0;
        $delivery_charge = 0;
        if($plan->location->count() > 0){
            foreach($plan->location as $location){
                foreach($locationIds as $locationId){
                    if($location->location_id == $locationId){
                        
                        if($location->base_price > 0){
                            $price = $location->base_price;
                            $basePriceTax = 0;
                            $basePriceTaxationProfile = $location->basePriceTaxationProfile;
                            
                            if($basePriceTaxationProfile){
                                $taxes = $basePriceTaxationProfile->taxPercentage;
                                if($taxes->count() > 0){
                                    foreach($taxes as $taxPercentages){
                                        $taxPercentage = $taxPercentages->percentage;
                                        if($taxPercentage > 0){
                                            $basePriceTax = $basePriceTax + ($price * ($taxPercentage/100));
                                        }

                                    }
                                }
                            }
                            $price = $price + $basePriceTax;
                            if($plan->have_convenience_price == 'Yes'){
                                $convenience_price = $location->convenience_fee;
                                
                                $conveniencePriceTax = 0;
                                $convenienceFeeTaxationProfile = $location->convenienceFeeTaxationProfile;
                                
                                if($convenienceFeeTaxationProfile){
                                    $taxes = $convenienceFeeTaxationProfile->taxPercentage;
                                    if($taxes->count() > 0){
                                        foreach($taxes as $taxPercentages){
                                            $taxPercentage = $taxPercentages->percentage;
                                            if($taxPercentage > 0){
                                                $conveniencePriceTax = $conveniencePriceTax + ($convenience_price * ($taxPercentage/100));
                                            }

                                        }
                                    }
                                }
                                $convenience_price = $convenience_price + $conveniencePriceTax;
                                
                            }
                            if($plan->have_delivery_charge == 'Yes'){
                                $delivery_charge = $location->delivery_fee;
                                $deliveryPriceTax = 0;
                                $deliveryFeeTaxationProfile = $location->deliveryFeeTaxationProfile;
                                
                                if($deliveryFeeTaxationProfile){
                                    $taxes = $deliveryFeeTaxationProfile->taxPercentage;
                                    if($taxes->count() > 0){
                                        foreach($taxes as $taxPercentages){
                                            $taxPercentage = $taxPercentages->percentage;
                                            if($taxPercentage > 0){
                                                $deliveryPriceTax = $deliveryPriceTax + ($delivery_charge * ($taxPercentage/100));
                                            }

                                        }
                                    }
                                }
                                $delivery_charge = $delivery_charge + $deliveryPriceTax;
                                
                            }
                        }
                    }
                }
            }
        }
        if($price == 0){
            $price = $plan->fixed_price;
            $priceTax = 0;

            $fixedPriceTaxationProfile = $plan->fixedPriceTaxationProfile;
            
            if($fixedPriceTaxationProfile){
                $taxes = $fixedPriceTaxationProfile->taxPercentage;
                if($taxes->count() > 0){
                    foreach($taxes as $taxPercentages){
                        $taxPercentage = $taxPercentages->percentage;
                        if($taxPercentage > 0){
                            $priceTax = $priceTax + ($price * ($taxPercentage/100));
                        }

                    }
                }
            }
            $price = $price + $priceTax;

            $convenience_price = $plan->convenience_price;
            $conveniencePriceTax = 0;

            $conveniencePriceTaxationProfile = $plan->conveniencePriceTaxationProfile;
            
            if($conveniencePriceTaxationProfile){
                $taxes = $conveniencePriceTaxationProfile->taxPercentage;
                if($taxes->count() > 0){
                    foreach($taxes as $taxPercentages){
                        $taxPercentage = $taxPercentages->percentage;
                        if($taxPercentage > 0){
                            $conveniencePriceTax = $conveniencePriceTax + ($price * ($taxPercentage/100));
                        }

                    }
                }
            }
            $convenience_price = $convenience_price + $conveniencePriceTax;

            $delivery_charge = $plan->delivery_charge;
            $deliveryPriceTax = 0;
            $deliveryChargeTaxationProfile = $plan->deliveryChargeTaxationProfile;
            
            if($deliveryChargeTaxationProfile){
                $taxes = $deliveryChargeTaxationProfile->taxPercentage;
                if($taxes->count() > 0){
                    foreach($taxes as $taxPercentages){
                        $taxPercentage = $taxPercentages->percentage;
                        if($taxPercentage > 0){
                            $deliveryPriceTax = $deliveryPriceTax + ($delivery_charge * ($taxPercentage/100));
                        }

                    }
                }
            }
            $delivery_charge = $delivery_charge + $deliveryPriceTax;
        }

        return [
            'price' => intval($price),
            'convenience_price' => intval($convenience_price),
            'delivery_charge' => intval($delivery_charge),
        ];

    }
    public function mapCall( $url){
        $this->setSiteSettings();
        $url = $url . '&key=' .$this->siteSettings['google_map_api_id'];
        
        $headers = array(
            "Cache-Control: no-cache",
            "Content-Type: application/json",
            );
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_PROXYPORT, 3128);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
            $response = curl_exec($ch);
            curl_close($ch);

            return $response;
    }
    public function getLocationId($address){
        $addressGeocodeUrl = "https://maps.googleapis.com/maps/api/geocode/json?address=". urlencode($address) ;
        
        $addressGeocodeResponse = $this->mapCall($addressGeocodeUrl);
        
        $addressGeocodeResponse = json_decode($addressGeocodeResponse, true);
        // dd($addressGeocodeResponse);
        if($addressGeocodeResponse && isset($addressGeocodeResponse['results']) && $addressGeocodeResponse['results']){
            $latitide = $addressGeocodeResponse['results'][0]['geometry']['location']['lat'] ?? null;
            $longitude = $addressGeocodeResponse['results'][0]['geometry']['location']['lng'];
            $placeId = $addressGeocodeResponse['results'][0]['place_id'];
            foreach($addressGeocodeResponse['results'][0]['address_components'] as $addressComp){
                if($addressComp['types'][0] == 'postal_code'){
                    $pincode = $addressComp['long_name'];
                }
            }
        }
        $locationIds = [];
        if($pincode ?? null){
            $locations = Location::whereNull('deleted_at')->where('postal_code', $pincode)->get();
            if($locations->count() > 0){
                foreach($locations as $location){
                    $locationIds[] = $location->id;
                }
            }
        }
        
        return  $locationIds;

    }

}
