<?php

namespace App\Http\Resources\SubscriptionPlan;

use App\Http\Resources\JsonResource;

use App\Models\Master\VerificationType;

class AngelService extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    
    public function order($order){
        $this->order = $order;
        return $this;
    }

    public function toArray($request)
    {
        $user = auth('api')->user();
        
        $locationId = $this->getLocationId($request->address);

        $response = [
            'asset_type' => 'angel-service',
            'subscription_id' => $this->id,
            'plan_name' => $this->plan_name,
            'service_type' => $this->serviceType->service_type,
            'description' => $this->product_overview,
            'image' => $this->serviceType->image ? base64_encode(file_get_contents(public_path().'/storage'.$this->serviceType->image, true)) : '',
            'price' => $this->calculate_price($this, $locationId)['price'],
        ];
        
        return $response;
       
    }
}
