<?php

namespace App\Http\Resources\SubscriptionPlan;

use App\Http\Resources\JsonResource;

use App\Models\Master\VerificationType;

class Battery extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
    */
    

    protected $order;

    public function order($order){
        $this->order = $order;
        return $this;
    }

    public function toArray($request)
    {
        $user = auth('api')->user();
        
        $locationId = $this->getLocationId($request->address);


        $response = [
            'asset_type' => 'battery',
            'subscription_id' => $this->id,
            'plan_name' => $this->plan_name,
            'base_plan' => $this->base_plan,
            'battery_type' => $this->battery_type,
            'kwh_units' => $this->kwh_units,
            'product_type' => $this?->assetType?->product_type,
            'model_name' => $this->model_name,
            'description' => $this->product_overview,
            'price' => $this->calculate_price($this, $locationId)['price'],
        ];
        $asset =  $this->assets[0];
        
        if($this->order){
            if($this->order->battery_id){
                $assignedAsset = $this->order->batteryAsset;
                if($assignedAsset){
                    $response['battery_id'] = $assignedAsset->id;
                    $response['battery_serial_number'] = $assignedAsset->model_number;
                    $response['parts'] = [];
                    if($assignedAsset->parts){
                    foreach($assignedAsset->parts as $parts){
                            $response['parts'][] = [
                                'part_name' => $parts?->product?->product_type,
                                'part_id' => $parts?->part_id
                            ];
                    }
                    }
                }

            }
        }

        //foreach($this->assets as $key =>  $asset){
            //$response = $data;
            //$response['asset_id'] = $asset->id;
            $response['images'] = [];
            if(count($asset->images) > 0){
                foreach($asset->images as $images){
                    $response['images'][] =  base64_encode(file_get_contents(public_path().'/storage'.$images->path, true)) ;
                    //$response['images'][] =  public_path().'/storage'.$images->path;
                }
            }else{
                $response['images'][] =  base64_encode(file_get_contents(public_path().'/images/logo.png', true)) ;
                
            }
            $response['discount_price'] = 0;
            $response['ratings'] = [];
            if($asset->ratings){
                $response['ratings'][] =  [
                    'star_rating' => $asset->ratings->avg('star_rating') ?? 0,
                    'count' => count($asset->ratings) ?? 0
                ];
                
            }
        //}
        
        return $response;
       
    }
}
