<?php

namespace App\Http\Resources\SubscriptionPlan;

use App\Http\Resources\JsonResource;

use App\Models\Master\VerificationType;

class ChargingEquipment extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    
    public function order($order){
        $this->order = $order;
        return $this;
    }

    public function toArray($request)
    {
        $user = auth('api')->user();
        
        $locationId = $this->getLocationId($request->address);

        $response = [
            'asset_type' => 'charging-equipment',
            'subscription_id' => $this->id,
            'plan_name' => $this->plan_name,
            'base_plan' => $this->base_plan,
            'product_type' => $this->assetType->product_type,
            'model_name' => $this->model_name,
            'description' => $this->product_overview,
            //'price' => intval($this->fixed_price),
            'price' => $this->calculate_price($this, $locationId)['price'],
        ];
        $asset =  $this->assets ? $this->assets[0] : [];
        
        if($this->order){
            if($this->order->asset_type == 'vehicle'){
                $assignedAsset = $this->order->vehicleAsset;
                if($assignedAsset){
                    $response['vin_number'] = $assignedAsset->vin_number;
                    $response['registeration_number'] = $assignedAsset->registeration_number;
                    $response['parts'] = [];
                    if($assignedAsset->parts){
                    foreach($assignedAsset->parts as $parts){
                            $response['parts'][] = [
                                'part_name' => $parts?->product?->product_type,
                                'part_id' => $parts?->part_id
                            ];
                    }
                    }
                }

            }
        }

        //foreach($this->assets as $key =>  $asset){
            //$response = $data;
            //$response['asset_id'] = $asset->id;
            $response['images'] = [];
            if(count($asset->images) > 0){
                foreach($asset->images as $images){
                    $response['images'][] =  base64_encode(file_get_contents(public_path().'/storage'.$images->path, true)) ;
                    //$response['images'][] =  public_path().'/storage'.$images->path;
                }
            }else{
                $response['images'][] =  base64_encode(file_get_contents(public_path().'/images/logo.png', true)) ;
                
            }
            $response['discount_price'] = 0;
            $response['ratings'] = [];
            if($asset->ratings){
                $response['ratings'][] =  [
                    'star_rating' => $asset->ratings->avg('star_rating') ?? 0,
                    'count' => count($asset->ratings) ?? 0
                ];
                
            }
        //}
        
        return $response;
       
    }
}
