<?php

namespace App\Http\Resources;

use App\Http\Resources\JsonResource;
use App\Http\Resources\Users\UserDocuments as UserDocumentsResource;


class User extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'phone_number' => $this->phone_number,
            'user_type' => $this->user_type,
            'vehicle_id' => $this->vehicle_id,
            'checked_in' => $this->checked_in,
            'business_model_id' => $this->userData->business_model_id,
            'business_category_id' => $this->userData->business_category_id,
            //'email_verified_at' => date('d-m-Y H:i:s A', strtotime($this->email_verified_at)),
            'employee_id' => $this->userData->employee_id,
            'wallet_amount' => $this->userData->wallet_amount,
            'image' => empty($this->userData->image) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->userData->image, true)),
            //'userData' => $this->userData,
        ];
        if($this->address){
            $response['address'] =$this->address->address;
            $response['country'] =$this->address->country;
            $response['postal_code'] =$this->address->postal_code;
        }
        if($this->userDocuments){
            $response['documents'] = UserDocumentsResource::collection($this->userDocuments);
        }
        return $response;
    }
}
