<?php

namespace App\Http\Resources;

use App\Http\Resources\JsonResource;
use App\Http\Resources\CMS\FormFields;
use App\Http\Resources\CMS\AnnouncementLocation;


class UserVehicle extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'vehicle_make' => $this->vehicle_make,
            'model' => $this->model,
            'registration_number' => $this->registration_number,
            'vehicle_identification_number' => $this->vehicle_identification_number,
            'battery_brand' => $this->battery_brand,
            'battery_number' => $this->battery_number,
            'battery_type' => $this->battery_type,
            'battery_volts_value' => $this->battery_volts_value,
            'image' => empty($this->image) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->image, true)),
        ];
        return $response;
    }
}
