<?php

namespace App\Http\Resources\Users;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use Cache;

class UserDevices extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    
    protected $currentUserDevice;

    public function currentUserDevice($currentUserDevice){
        $this->currentUserDevice = $currentUserDevice;
        return $this;
    }

     
    public function toArray($request)
    {
        $user = $request->user('api');

        $response =  [
            'id' => $this->id,
            'device_type' => $this->device_type,
            'manufacturer' => $this->manufacturer,
            'model_name' => $this->model_name,
            'active' => true,
        ];
        
        $response['active'] = false ;
        $deviceId =  request()->header('deviceId');
        if($deviceId){
            $response['active'] = $deviceId == $this->device_id ? true : false ;
        }

        $response['current_device'] = $this->currentUserDevice?->id == $this->id ? true : false;
        $response['logout_url'] = '/user/logout/' . $this->id;
        return $response;
    }
}
