<?php

namespace App\Http\Resources\Users;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;


class UserNotification extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'title' => $this->title,
            'message' => $this->message,
            'image' => empty($this->image) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->image, true)),
            'readed' => $this->readed == 1 ? true : false,
        ];
        return $response;
    }
}
