<?php

namespace App\Models\Assets;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChargingEquipmentInsurancePlan extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'a_charging_equipment_insurance_plan';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'charging_equipment_id',
        'insurance_type_id',
        'insurance_duration',
        'insurance_duration_date',
        'service_reminder',
        'service_reminder_date',
        'deleted_at',
    ];
    
    public function insuranceType(){
        return $this->belongsTo('App\Models\Master\InsuranceType', 'insurance_type_id');
    }
    public function duration(){
        return $this->belongsTo('App\Models\Master\Duration', 'insurance_duration');
    }
}
