<?php

namespace App\Models\Assets;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChargingEquipmentParts extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'a_charging_equipment_parts';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    public $timestamps = false;
    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'charging_equipment_id',
        'adapter_name',
        'adapter_id',
        'adapter_model',
        'plug_pin_points',
        'adapter_description',
        'dispesing_units',
        'vehicle_oem',
        'market_vehicle_oem_id',
        'market_vehicle_oem',
        'market_vehicle_model',
        'product_id',
        'part_id',
        'qr_code',
    ];
    
    public function chargingEquipment(){
        return $this->belongsTo('App\Models\Assets\ChargingEquipment', 'charging_equipment_id');
    }
    public function product(){
        return $this->belongsTo('App\Models\Master\ProductType', 'product_id');
    }
    public function subscriptionPlanPart(){
        return $this->hasone('App\Models\SubscriptionPlan\ChargingEquipmentAssetPart', 'part_id');
    }
    public function subscriptionPlan(){
        return  $this->hasOneThrough(
            \App\Models\SubscriptionPlan\ChargingEquipment::class,
            \App\Models\SubscriptionPlan\ChargingEquipmentAssetPart::class,
            'part_id', // Foreign key on the ChargingEquipmentAssetPart table...
            'id', // Foreign key on the ChargingEquipment table...
            'id', // Local key on the ChargingEquipmentParts table...
            'plan_id' // Local key on the ChargingEquipmentAssetPart table...
        );
    }
}
