<?php

namespace App\Models\Assets;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChargingStationServicePlan extends Model
{
    use HasFactory;
    
   
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'a_charging_station_service_plan';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'charging_station_id',
        'maintenance_type_id',
        'maintenance_duration',
        'maintenance_duration_date',
        'maintenance_cost',
        'service_reminder',
        'service_reminder_date',
        'deleted_at',
    ];
    
    public function maintenanceType(){
        return $this->belongsTo('App\Models\Master\MaintenanceType', 'maintenance_type_id');
    }
    
    public function duration(){
        return $this->belongsTo('App\Models\Master\Duration', 'maintenance_duration');
    }
    
}
