<?php

namespace App\Models\Assets;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VehicleRatings extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }
   
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'a_vehicle_ratings';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'asset_id',
        'star_rating',
        'remark',
        'created_by',
        'updated_by',
        'deleted_at',
    ];
    
    public function impressionPoints(){
        return $this->belongsTo('App\Models\Master\MaintenanceType', 'maintenance_type_id');
    }
    
    public function duration(){
        return $this->belongsTo('App\Models\Master\Duration', 'maintenance_duration');
    }
    
}
