<?php

namespace App\Models\Assets;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VehicleRatingsPoints extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }
   
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'a_vehicle_rating_points';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'vehicle_rating_id',
        'impression_point_id',
    ];
    
    public function rating(){
        return $this->belongsTo('App\Models\Assets\VehicleRatings', 'vehicle_rating_id');
    }
    public function imressionPoint(){
        return $this->belongsTo('App\Models\CMS\FeedbackRatingImpression', 'impression_point_id');
    }
    
}
