<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Faq extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'cms_faq';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    public $timestamps = false;
    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'faq_category_id',
        'question_priority',
        'question',
        'search_tag',
        'search_answer',
    ];
    
    public function faqCategory(){
        return $this->belongsTo('App\Models\CMS\FaqCategory', 'faq_category_id');
    }
}
