<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FormFields extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'cms_form_fields';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'form_id',
        'group_id',
        'type_id',
        'type',
        'title', 
        'name', 
        'place_holder', 
        'option',
        'have_condition',
        'priority',
    ];

    public function form(){
        return $this->belongsTo('App\Models\CMS\Forms', 'form_id');
    }
    public function formFieldTabMenu(){
        return $this->hasMany('App\Models\CMS\TabMenu', 'form_field_id');
    }
    public function formFieldAttributes(){
        return $this->hasMany('App\Models\CMS\InputAttribute', 'form_field_id');
    }
    public function formCondition(){
        return $this->hasOne('App\Models\CMS\FormFieldCondition', 'field_id');
    }
    public function formFieldGroup(){
        return $this->belongsTo('App\Models\Master\FormFieldGroup', 'group_id');
    }
    public function formFieldType(){
        return $this->belongsTo('App\Models\Master\FormFieldType', 'type_id');
    }

}



