<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OnboardPermission extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'cms_onboard_permission';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'onboard_id',
        'title',
        'request',
        'image',
        'deleted_at',
    ];
    
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        $query->orderBy('id', 'desc');
        return $query;
   }
   public function permissionDescription(){
       return $this->hasMany('App\Models\CMS\PermissionDescription', 'permission_id');
   }
}
