<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TabMenuInput extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'cms_tab_menu_inputs';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'tab_menu_id',
        'priority',
        'type_id',
        'type',
        'title', 
        'name', 
        'place_holder', 
        'option',
        'have_condition',
        'deleted_at',
    ];

    public function formFieldTabMenu(){
        return $this->belongsTo('App\Models\CMS\TabMenu', 'tab_menu_id');
    }
    public function formFieldType(){
        return $this->belongsTo('App\Models\Master\FormFieldType', 'type_id');
    }
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');

        if($requestData['tab_menu_id'] != '' ){
            $query->where('tab_menu_id', $requestData['tab_menu_id']);
        }
        if($requestData['search'] != '' ){
            $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('id', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        $query->groupBy('tab_menu_id');
        return $query;
   }

}



