<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TabMenuInputCondition extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'cms_form_field_condition';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'tab_menu_input_id',
        'condition_input_id',
        'equal_value',
        'field_id_type',
        'equal_value_type',
    ];
    
    public function conditionInput(){
        return $this->belongsTo('App\Models\CMS\TabMenuInput', 'condition_input_id');
    }

}
