<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Mail;
use App\Mail\DynamicMail;

class MailTemplate extends Model
{
    use HasFactory;
    protected $fillable = [
        'title',
        'subject',
        'template_key', 
        'mail_content', 
        'created_by',
        'deleted_at',
        'status',
    ];


    
    
    public function sendEmail($mailData, $user)
    {
        try
        {
            Mail::to($user->email)->send(new DynamicMail($mailData));
            return redirect()->back()->with('success', 'Test email sent successfully');
        }
        catch(\Exception $e)
        {
           print_r($e->getMessage()); exit;
        }
    }


}
