<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\App;

class AngelService extends Model
{
    use HasFactory;
    use App;
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'master_angel_services';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'service_type',
        'image',
        'created_by',
        'updated_by',
        'deleted_at',
    ];
    
    
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        if($requestData['service_type']){
            $query->where('service_type', '=', $requestData['service_type']);
        }
        if($requestData['search'] != '' ){
            $query->where('service_type', 'like', '%'. $requestData['search'].'%');
            $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('updated_at', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
