<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessCategory extends Model 
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            if(auth()){
                if(auth()->user()){
                    $model->created_by = auth()->user()->id;
                }
            }
        });
    }
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'master_business_category';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'business_category',
        'created_by',
        'deleted_at',
    ];

    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        if($requestData['business_category']){
            $query->where('business_category', '=', $requestData['business_category']);
        }
        if($requestData['search'] != '' ){
            $query->where('business_category', 'like', '%'. $requestData['search'].'%');
            $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('updated_at', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
