<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessModels extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
    }
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'master_business_models';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'business_category_id',
        'business_model',
        'asset_types',
        'created_by',
        'deleted_at',
    ];
    
    
    public function businessCategory(){
        return $this->belongsTo('App\Models\Master\BusinessCategory', 'business_category_id');
    }
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::with(['businessCategory'])->whereNull('deleted_at');
        if($requestData['business_category_id'] > 0 ){
            $query->where('business_category_id', '=', $requestData['business_category_id']);
        } 
        if($requestData['business_model']){
            $query->where('business_model', '=', $requestData['business_model']);
        }
         if($requestData['search'] != '' ){
             $query->where('business_model', 'like', '%'.$requestData['search'].'%');
             $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
             $query->orWhere('id', 'like', '%'.$requestData['search'].'%');
             $query->orwhereRelation('businessCategory', 'business_category', 'like', '%'.$requestData['search'].'%');
             // $asset->whereHas('category', function (Builder $query) {
             //     $query->orWhere('category_name', 'like', '%batte%');
             // });
         }
         $query->orderBy('id', 'desc');
         return $query;
    }

}
