<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FormFieldType extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            if(auth()){
                $model->created_by = auth()->user()->id ?? null;
            }
        });
    }
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'master_form_field_type';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'field_type',
        'add_option',
        'created_by',
        'deleted_at',
    ];
    
  
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        if($requestData['field_type']){
            $query->where('field_type', '=', $requestData['field_type']);
        }
        if($requestData['search'] != '' ){
            $query->where('field_type', 'like', '%'. $requestData['search'].'%');
            $query->where('add_option', 'like', '%'. $requestData['search'].'%');
            $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('updated_at', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
