<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TaxPercentage extends Model
{
    use HasFactory;
    
   
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'master_tax_percentage';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'taxation_profile_id',
        'tax_name',
        'percentage',
        'created_by',
        'updated_by',
        'deleted_at',
    ];
    
    public function taxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'taxation_profile_id');
    }
    public function createdUser(){        
        return $this->belongsTo('App\Models\User', 'created_by');
    }
    public function updatedUser(){        
        return $this->belongsTo('App\Models\User', 'updated_by');
    }
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        if($requestData['taxation_profile_id']){
            $query->where('taxation_profile_id', '=', $requestData['taxation_profile_id']);
        }
        if($requestData['tax_name']){
            $query->where('tax_name', '=', $requestData['tax_name']);
        }
        if($requestData['search'] != '' ){
            $query->where('tax_name', 'like', '%'.$requestData['search'].'%');
            $query->where('percentage', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('id', 'like', '%'.$requestData['search'].'%');
            $query->orwhereRelation('taxationProfile', 'taxation_profile', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
