<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Taxationprofile extends Model
{
    use HasFactory;
    
   
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'master_taxation_profile';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'taxation_profile',
        'created_by',
        'updated_by',
        'deleted_at',
    ];
    
    public function taxPercentage(){
        return $this->hasMany('App\Models\Master\TaxPercentage', 'taxation_profile_id');
    }
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        if($requestData['taxation_profile']){
            $query->where('taxation_profile', '=', $requestData['taxation_profile']);
        }
        if($requestData['search'] != '' ){
            $query->where('taxation_profile', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('id', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
