<?php

namespace App\Models\Orders;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\App;

class OrderWalkaroundCategory extends Model
{
    use App;

    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'order_walkaround_category';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'order_id',
        'order_battery_id',
        'walkaround_category_id',
        'category_name',
        'media',
        'created_by',
        'updated_by',
        'deleted_at'
    ];
    
    public function order(){
        return $this->belongsTo('App\Models\Order', 'order_id');
    }
    public function orderBattery(){
        return $this->belongsTo('App\Models\Orders\OrderBattery', 'order_battery_id');
    }
}
