<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Users\UserData;
use App\Models\Users\UserVehicle;
use App\Models\User;
class PLReport extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $table = 'pl_reports';

    protected $fillable = [

        'RunsheetId',
        'ShipmentUpdate',
        'AgentName',
        'DeliveryHub',
        'EmployeeID',
        'City',
        'Zone',
        'State',
        'ShipmentId',
        'ShipmentType',
        'ShipmentPrice',
        'ShipmentStatus',
      
     
    ];

    protected $dateFormat = 'm/d/Y';

protected $dates = ['ShipmentUpdate', 'created_at', 'updated_at', 'deleted_at','start','end','date_from','date-to'];

protected $casts = [
    'ShipmentUpdate'     => 'date:Y-m-d',
 
];

public function userdata(){

    return $this->hasOne(UserData::class);
}

}
