<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\App;

class Battery extends Model
{
    use HasFactory;
    use App;
   
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_battery';


    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_name',
        'business_category_id',
        'business_model_id',
        'asset_type_id',
        'oem_id',
        'battery_type',
        'model_name',
        'kwh_units',
        'product_overview',
        'fixed_price',
        'base_plan',
        'billing_period_id',
        'grace_time_hr',
        'grace_time',
        'lock_bike',
        'have_convenience_price',
        'convenience_price',
        'have_delivery_charge',
        'delivery_charge',
        'created_by',
        'updated_by',
        'deleted_at',
        'fixed_price_taxation_profile_id',
        'convenience_price_taxation_profile_id',
        'delivery_charge_taxation_profile_id',
    ];
    
    public function businessCategory(){
        return $this->belongsTo('App\Models\Master\BusinessCategory', 'business_category_id');
    }
    public function businessModel(){
        return $this->belongsTo('App\Models\Master\BusinessModels', 'business_model_id');
    }
    public function assetType(){
        return $this->belongsTo('App\Models\Master\ProductType', 'asset_type_id');
    }
    public function location(){
        return $this->hasMany('App\Models\SubscriptionPlan\BatteryLocation', 'plan_id');
    }
    public function terms(){
        return $this->hasMany('App\Models\SubscriptionPlan\BatteryTermsCondition', 'plan_id');
    }
    public function parts(){
        return $this->hasMany('App\Models\SubscriptionPlan\BatteryAssetPart', 'plan_id');
    }
    public function vaService(){
        return $this->hasMany('App\Models\SubscriptionPlan\BatteryAssetVAService', 'plan_id');
    }
    public function duration(){
        return $this->belongsTo('App\Models\Master\Duration', 'billing_period_id');
    }
    public function assets(){
        return $this->hasMany('App\Models\Assets\Battery',  'model_name', 'model_name');
    }
    public function fixedPriceTaxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'fixed_price_taxation_profile_id');
    }
    public function conveniencePriceTaxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'convenience_price_taxation_profile_id');
    }
    public function deliveryChargeTaxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'delivery_charge_taxation_profile_id');
    }
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        // if($requestData['city_id']){
        //     $query->where('city_id', '=', $requestData['city_id']);
        // }
        if($requestData['search'] != '' ){
           
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
