<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BatteryAssetVAService extends Model
{
    use HasFactory;
    
    public $timestamps = false;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_battery_va_service';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_id',
        'asset_id',
        'va_service_type_id',
    ];
    
    public function plan(){
        return $this->belongsTo('App\Models\SubscriptionPlan\Battery', 'plan_id');
    }
    public function asset(){
        return $this->belongsTo('App\Models\Assets\Battery', 'asset_id');
    }
    public function vaService(){
        return $this->belongsTo('App\Models\Master\VAServiceType', 'va_service_type_id');
    }
}
