<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BatteryTermsCondition extends Model
{
    use HasFactory;
    
    public $timestamps = false;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_battery_terms_condition';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_id',
        'image',
        'terms_condition',
    ];
    
    public function plan(){
        return $this->belongsTo('App\Models\SubscriptionPlan\Battery', 'plan_id');
    }
}
