<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChargingEquipmentAssetPart extends Model
{
    use HasFactory;
    
    public $timestamps = false;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_charging_equipment_parts';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_id',
        'part_id',
    ];
    
    public function plan(){
        return $this->belongsTo('App\Models\SubscriptionPlan\ChargingEquipment', 'plan_id');
    }
    public function asset(){
        return $this->belongsTo('App\Models\Assets\ChargingEquipment', 'asset_id');
    }
    public function vehicleParts(){
        return $this->belongsTo('App\Models\Assets\ChargingEquipmentParts', 'part_id');
    }
}
