<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChargingEquipmentLocation extends Model
{
    use HasFactory;
    
    public $timestamps = false;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_charging_equipment_location';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_id',
        'location_id',
        'base_price',
        'taxation_profile_id',
        'convenience_fee',
        'delivery_fee',
        'base_price_taxation_profile_id',
        'convenience_fee_taxation_profile_id',
        'delivery_fee_taxation_profile_id',
    ];
    
    public function plan(){
        return $this->belongsTo('App\Models\SubscriptionPlan\Vehicle', 'plan_id');
    }
    public function basePriceTaxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'base_price_taxation_profile_id');
    }
    public function convenienceFeeTaxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'convenience_fee_taxation_profile_id');
    }
    public function deliveryFeeTaxationProfile(){
        return $this->belongsTo('App\Models\Master\Taxationprofile', 'delivery_fee_taxation_profile_id');
    }
}
