<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VehicleAsset extends Model
{
    use HasFactory;
    
    public $timestamps = false;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_vehicle_asset';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_id',
        'asset_type_id',
        'oem_id',
        'model_name',
        'asset_id',
        'vehicle_model',
    //    'va_service_type_id',
        'product_overview',
    ];
    
    public function plan(){
        return $this->belongsTo('App\Models\SubscriptionPlan\Vehicle', 'plan_id');
    }
    public function assetType(){
        return $this->belongsTo('App\Models\Master\ProductType', 'asset_type_id');
    }
    public function assets(){
        return $this->hasMany('App\Models\Assets\Vehicle',  'model_name', 'model_name');
    }
    public function parts(){
        return $this->hasMany('App\Models\SubscriptionPlan\VehicleAssetPart', 'asset_id');
    }
    public function vaService(){
        return $this->hasMany('App\Models\SubscriptionPlan\VehicleAssetVAService', 'asset_id');
    }
    public function asset(){
        return $this->belongsTo('App\Models\Assets\Vehicle', 'asset_id');
    }
    // public function valueAddedService(){
    //     return $this->belongsTo('App\Models\Master\VAServiceType', 'va_service_type_id');
    // }
}
