<?php

namespace App\Models\SubscriptionPlan;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VehicleBasePlan extends Model
{
    use HasFactory;
    
    public $timestamps = false;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'subs_vehicle_base_plan';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'plan_id',
        'fixed_price',
        'base_plan',
        'billing_period_id',
        'grace_time_hr',
        'grace_time',
        'lock_bike',
        'have_convenience_price',
        'convenience_price',
        'have_delivery_charge',
        'delivery_charge'
    ];
    
    public function plan(){
        return $this->belongsTo('App\Models\SubscriptionPlan\Vehicle', 'plan_id');
    }
    public function duration(){
        return $this->belongsTo('App\Models\Master\Duration', 'billing_period_id');
    }
}
