<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Permission\Models\Permission as baseModel;

class Permission extends baseModel
{
    use HasFactory;
    /**
     * The database table used by the model.
     *
     * @var string
     */
    const parentList = [
        'masters' => 'Masters',
        'location-management' => 'Location Management',
        'vendor-management' => 'Vendor Management',
        'asset-management' => 'Asset Management',
        'purchased-services' => 'Purchased Services',
        'subscription-management' => 'Subscription Management',
        'client-management' => 'Client/ Subscriber Management',
        'rider-management' => 'User/ Employee Management',
        'order-management' => 'Order Management',
        'marketting' => 'Marketing Essentials',
    ];
    
    protected $fillable = [
        'name',
        'guard_name',
        'parent',
    ];
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNotNull('created_at');
        if($requestData['name']){
            $query->where('name', '=', $requestData['name']);
        }
        if($requestData['search'] != '' ){
            $query->where('name', 'like', '%'. $requestData['search'].'%');
            $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('updated_at', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }

}
