<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Permission\Models\Role as baseModel;

class Role extends baseModel
{
    use HasFactory;
    /**
     * The database table used by the model.
     *
     * @var string
     */
    
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNotNull('created_at');
        if($requestData['name']){
            $query->where('name', '=', $requestData['name']);
        }
        if($requestData['search'] != '' ){
            $query->where('name', 'like', '%'. $requestData['search'].'%');
            $query->orWhere('created_at', 'like', '%'.$requestData['search'].'%');
            $query->orWhere('updated_at', 'like', '%'.$requestData['search'].'%');
        }
        $query->orderBy('id', 'desc');
        return $query;
   }

}
