<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class UserDocuments extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }

     /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'user_id',
        'doc_name',
        'doc_number',
        'doc_front_page',
        'doc_back_page',
        'description',
        'verify',
        'created_by'
    ];

    
    public function createdBy(){
        return $this->hasOne('App\Models\Users\UserData', 'user_id');
    }

    public function uploadFile($userDoc, $user, $postData = []){
        ini_set('memory_limit', '1024M');
        ini_set('max_execution_time', 180); //3 minutes
        
        $file = $userDoc['doc'];
        $savedAs = $userDoc['doc_name'].'_'.$userDoc['doc_page'].'_'.rand('11', '99'). '_'. time() .'.'.$file->extension();
        //$filePath = $file->storeAs('uploads/users/'.$user['id'], $savedAs, 'public');
        $path = 'users/'.$user->id.  $savedAs;
        $filePath = $this->uploadFile($path, $file);
        $userDocs = [
            'user_id' => $user['id'],
            'doc_name' => $userDoc['doc_name'],
            'doc_number' => $userDoc['doc_number'],
            'doc_page' =>  $userDoc['doc_page'],
            'description' => isset($userDoc['description']) ? $userDoc['description'] : '',
            'path' => '/'.$filePath,
            'uploaded_name' => $file->getClientOriginalName(),
            'saved_as' => $savedAs,
            'verify' => isset($userDoc['verify']) ? $userDoc['verify'] : '0',
            'created_by' => Auth::id(),
        ];
        $userDocs = self::create($userDocs);
        return $userDocs;
    }
}
