<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserLocation extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_location';
    
    public $timestamps = false;

    protected $fillable = [
        'user_id',
        'name',
        'location_id',
        'address',
        'city_id',
        'district_id',
        'state_id',
        'zone_id',
        'postal_code',
        'country',
        'sourcelatitude',
        'sourcelongitude',
        'google_place_id'

    ];
    public function zone(){
        return $this->belongsTo('App\Models\Master\Zone', 'zone_id');
    }
    public function state(){
        return $this->belongsTo('App\Models\Master\ZoneState', 'state_id');
    }
    public function district(){
        return $this->belongsTo('App\Models\Master\ZoneDistrict', 'district_id');
    }
    public function city(){
        return $this->belongsTo('App\Models\Master\ZoneCity', 'city_id');
    }
    
}
