<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserSubscription extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_subscription';
    

    protected $fillable = [
        'user_id',
        'subscription_plan_id',
        'asset_type_id',
        'asset_id',
        'model_name',
        'registration_number',
        'vin_number',
        'battery_model_name',
        'battery_model_number',
        'charger_model_name',
        'charger_model_number',
        'billing_cycle',
        'billing_type_id',
        'order_id',
        'cost',
        'created_by',
        'updated_by',
    ];
    
    public function userSubscriptionParts(){
        return $this->hasMany('App\Models\Users\UserSubscriptionParts', 'user_subscription_id');
    }
    public function userSubscriptionVAService(){
        return $this->hasMany('App\Models\Users\UserSubscriptionVAService', 'user_subscription_id');
    }
    public function order(){
        return $this->belongsTo('App\Models\Order', 'order_id');
    }

    public function vendorOeemsmodelS(){
        return $this->belongsTo('App\Models\Assets\Vendoroem_model', 'model_name');
    }

}
