<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserVehicle extends Model
{
    use HasFactory;
    
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_vehicle';
    

    protected $fillable = [
        'user_id',
        'vehicle_make',
        'model',
        'registration_number',
        'vehicle_identification_number',
        'battery_brand',
        'battery_number',
        'battery_type',
        'battery_volts_value',
        'image',
        'created_by',
        'updated_by',
        'deleted_at',
    ];
}
