<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WalletHistory extends Model
{
    use HasFactory;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */

    protected $table = 'user_wallet_history';

    protected $fillable = [
        'user_id',
        'purpose',
        'transaction_type',
        'transaction_id',
        'transaction_details',
        'amount',
        'status',
        'paid_date'
    ];

    public function user(){
        return $this->belongsTo('App\Models\User', 'user_id');
    }
    public function createQuery($requestData){
        $query = self::with('user');
       
        if($requestData['user_id']){
            $query->where('user_id', '=', $requestData['user_id']);
        }
        $query->orderBy('id', 'desc');
        return $query;
    }
}
