<?php

namespace App\Models\Vendors;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VendorCategory extends Model
{
    use HasFactory;
    
    protected static function booted()
    {
        static::creating(function ($model) {
            if(auth()){
                if(auth()->user()){
                    $model->created_by = auth()->user()->id;
                }
            }
        });
    }
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'vendor_category';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'vendor_category',
        'add_oem',
        'created_by',
        'deleted_at',
    ];
    
    public function createQuery($request){
        $requestData = $request->all();
        $query = self::whereNull('deleted_at');
        if($requestData['vendor_category']){
            $query->where('vendor_category', '=', $requestData['vendor_category']);
        }
        $query->orderBy('id', 'desc');
        return $query;
   }
}
