<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Config;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        
        if (Schema::hasTable('settings'))
        {
            $siteSettings = DB::table('settings')->get()->keyBy('key');
            $siteSettings = $siteSettings->map(function($siteSettings, $key) {	
                return $settings[$key] = $siteSettings->value;
                });
            $settings = $siteSettings;
            if($settings){
                $config = [
                    'driver'        => $settings['smtp_transport'] ?? '',
                    'host'          => $settings['smtp_host'] ?? '',
                    'port'          => $settings['smtp_port'] ?? '',
                    'encryption'    => $settings['smtp_encryption'] ?? '',
                    'username'      => $settings['smtp_user'] ?? '',
                    'password'      => $settings['smtp_password'] ?? '',
                    'from'          => [
                        'address' => $settings['from_mail'] ?? '',
                        'name' => 'GO-ZAP',
                    ],
                ];
                //print_r($config); exit;
                Config::set('mail', $config);
            }
        }
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
