<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_data', function (Blueprint $table) {             
            $table->id();
            $table->unsignedBigInteger('user_id')->unique();
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->enum('gender', ['Male', 'Female', 'Other'])->default('Male');
            $table->string('user_country_code', '10')->nullable();
            $table->string('phone_number', '100')->nullable();
            $table->integer('business_model_id')->nullable();
            $table->string('business_category_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->string('contact_person')->nullable();
            $table->string('referral_code', '100')->nullable();
            $table->integer('referred_by')->nullable();
            $table->double('wallet_amount', 10,2)->default(0);
            $table->double('old_wallet_amount', 10,2)->default(0);
            $table->string('image')->nullable();
            $table->enum('device_type', ['Android', 'iOS'])->default('Android');
            $table->string('device_id')->nullable();
            $table->integer('designation_id')->nullable();
            $table->string('otp', '100')->nullable();
            $table->enum('otp_verify', ['Yes', 'No'])->default('No');
            $table->timestamps();

            
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_data');
    }
};
