<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_wallet_history', function (Blueprint $table) {            
            $table->id();
            $table->integer('user_id')->nullable();
            $table->string('purpose')->nullable();
            $table->enum('transaction_type', ['Debited','Credited','Refunded'])->default('Credited');
            $table->string('transaction_id')->nullable();
            $table->string('transaction_details')->nullable();
            $table->double('amount',10,2)->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_wallet_history');
    }
};
