<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('master_tax_percentage', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('taxation_profile_id')->nullable();
            $table->string('tax_name')->nullable();
            $table->double('percentage', 10,2)->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();

            $table->foreign('taxation_profile_id')->references('id')->on('master_taxation_profile')->onDelete('cascade');


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('master_tax_percentage');
    }
};
