<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_battery', function (Blueprint $table) {
            $table->id();
            $table->integer('product_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('battery_type')->nullable();
            $table->string('model_name')->nullable();
            $table->string('kwh_units')->nullable();
            $table->string('model_number')->nullable();
            $table->text('qr_code')->nullable();
            $table->integer('oem_id')->nullable();
            $table->integer('battery_dealer_id')->nullable();
            $table->string('purchased_invoice_number')->nullable();
            $table->timestamp('purchased_date')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('zone_id')->nullable();
            $table->tinyInteger('status')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_battery');
    }
};
