<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mr_reward', function (Blueprint $table) {
            $table->id();
            $table->string('reward_name')->nullable();
            $table->integer('business_category_id')->nullable();
            $table->text('image')->nullable();
            $table->string('link_page')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('zone_id')->nullable();
            $table->string('reward_point')->nullable();
            $table->string('redemption_cost')->nullable();
            $table->integer('redemption_duration')->nullable();
            $table->integer('redemption_validity')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mr_reward');
    }
};
