<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_banner', function (Blueprint $table) {
            $table->id();
            $table->string('banner_name')->nullable();
            $table->string('mobile_user')->nullable();
            $table->text('image')->nullable();
            $table->string('link_page')->nullable();
            $table->enum('location',['All Locations','Selected Location'])->nullable()->default('All Locations');
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_banner');
    }
};
