<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subs_vehicle', function (Blueprint $table) {
            $table->id();
            $table->string('plan_name')->nullable();
            $table->integer('business_category_id')->nullable();
            $table->integer('business_model_id')->nullable();
            $table->integer('asset_type_id')->nullable();
            $table->integer('oem_id')->nullable();
            $table->string('model_name')->nullable();
            $table->string('product_overview')->nullable();
            $table->double('fixed_price', 10,2)->nullable();
            $table->integer('fixed_price_taxation_profile_id')->nullable();
            $table->enum('have_convenience_price',['Yes','No'])->nullable()->default('No');
            $table->double('convenience_price', 10,2)->nullable();
            $table->integer('convenience_price_taxation_profile_id')->nullable();
            $table->enum('have_delivery_charge',['Yes','No'])->nullable()->default('No');
            $table->double('delivery_charge', 10,2)->nullable();
            $table->integer('delivery_charge_taxation_profile_id')->nullable();
            $table->string('base_plan')->nullable();
            $table->integer('billing_period_id')->nullable();
            $table->string('grace_time_hr')->nullable();
            $table->string('grace_time')->nullable();
            $table->string('lock_bike')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subs_vehicle');
    }
};
