<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subs_charging_equipment_location', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('plan_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->string('location_dealer')->nullable();
            $table->double('base_price', 10,2)->nullable();
            $table->integer('base_price_taxation_profile_id')->nullable();
            $table->double('convenience_fee', 10,2)->nullable();
            $table->integer('convenience_fee_taxation_profile_id')->nullable();
            $table->double('delivery_fee', 10,2)->nullable();
            $table->integer('delivery_fee_taxation_profile_id')->nullable();

            
            $table->foreign('plan_id')->references('id')->on('subs_charging_equipment')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subs_charging_equipment_location');
    }
};
