<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('order_number')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('angel_id')->nullable();
            $table->string('is_subscription')->nullable();
            $table->integer('subscription_id')->nullable();
            $table->string('ref_number')->nullable();
            $table->string('customer_name')->nullable();
            $table->string('customer_email')->nullable();
            $table->string('customer_phone')->nullable();
            $table->string('source_latitude')->nullable();
            $table->string('source_longitude')->nullable();
            $table->string('destination_latitude')->nullable();
            $table->string('destination_longitude')->nullable();
            $table->string('flat_no')->nullable();
            $table->string('google_address')->nullable();
            $table->string('address')->nullable();
            $table->string('landmark')->nullable();
            $table->string('state_name')->nullable();
            $table->string('city_name')->nullable();
            $table->string('source_postal_code')->nullable();
            $table->string('destination_postal_code')->nullable();
            $table->string('source_google_place_id')->nullable();
            $table->string('destination_google_place_id')->nullable();
            $table->string('location_name')->nullable();
            $table->string('user_type')->nullable();
            $table->string('order_type')->nullable();
            $table->string('vehicle_number')->nullable();
            $table->string('table_number')->nullable();
            $table->string('pickup_type')->nullable();
            $table->string('assoonas')->nullable();
            $table->string('contact_less_delivery')->nullable();
            $table->string('order_description')->nullable();
            $table->string('order_assign_datetime')->nullable();
            $table->string('delivery_date')->nullable();
            $table->string('delivery_time')->nullable();
            $table->string('time_to_prepare')->nullable();
            $table->string('delivery_time_slot')->nullable();
            $table->string('delivered_time')->nullable();
            $table->float('offer_percentage', 10,2)->nullable();
            $table->float('offer_amount', 10,2)->nullable();
            $table->float('tax_percentage', 10,2)->nullable();
            $table->float('tax_amount', 10,2)->nullable();
            $table->integer('show_tax_value')->nullable();
            $table->float('delivery_charge', 10,2)->nullable();
            $table->string('tip_percentage', '10')->nullable();
            $table->float('tip_amount', 10,2)->nullable();
            $table->float('order_sub_total', 10,2)->nullable();
            $table->float('order_grand_total', 10,2)->nullable();
            $table->float('cardfee_percentage', 10,2)->nullable();
            $table->float('cardfee_price', 10,2)->nullable();
            $table->enum('device_type', ['P','NP'])->default('NP');
            $table->string('payment_method')->nullable();
            $table->string('payment_method_id')->nullable();
            $table->string('card_id')->nullable();
            $table->string('paid_full')->nullable();
            $table->enum('split_payment', ['Yes','No'])->default('No');
            $table->float('wallet_amount', 10,2)->nullable();
            $table->string('transaction_id')->nullable();
            $table->string('distance')->nullable();
            $table->string('angel_invoice')->nullable();
            $table->string('angel_invoice_number')->nullable();
            $table->string('angel_deliver_date')->nullable();
            $table->string('angel_charge')->nullable();
            $table->string('angel_cash_in_hand_status')->nullable();
            $table->text('failed_reason')->nullable();
            $table->enum('reward_used', ['Yes','No'])->default('No');
            $table->float('reward_offer', 10,2)->nullable();
            $table->float('reward_offer_percentage', 10,2)->nullable();
            $table->string('voucher_code')->nullable();
            $table->integer('voucher_id')->nullable();
            $table->string('voucher_mode')->nullable();
            $table->float('voucher_percentage', 10,2)->nullable();
            $table->float('voucher_amount', 10,2)->nullable();
            $table->enum('status', ['Pending','Accepted','Angel Accepted','Angel Auto Assigning','Rejected','No Angel Accepted','Angel Rejected','Angel Stuck','Admin Rejected','Collected','Enroute to Shop','Waiting','Picked Up','Enroute to Cutomer','On the way','Delivered','Failed','Deleted','Returned','Customer Confirmed'])->default('Pending');
            $table->string('order_mode')->nullable();
            $table->string('accepted_by')->nullable();
            $table->string('ip')->nullable();
            $table->string('otp')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
};
