<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ps_manpower', function (Blueprint $table) {
            $table->id();
            $table->integer('purchased_service_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('vendor_manpower_id')->nullable();
            $table->string('resource_name')->nullable();
            $table->string('work_call')->nullable();
            $table->integer('designation_id')->nullable();
            $table->string('gozap_prefix')->nullable();
            $table->string('gozap_number')->nullable();
            $table->string('gozap_id')->nullable();
            $table->integer('duration_id')->nullable();
            $table->string('bill_number')->nullable();
            $table->double('service_cost',10,2)->nullable();
            $table->timestamp('start_date')->nullable();
            $table->timestamp('end_date')->nullable();
            $table->string('remarks')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ps_manpower');
    }
};
