<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        
        Schema::table('user_corporate', function($table) {
            
            $table->integer('business_model_id')->nullable()->change();
            $table->integer('billing_cycle')->nullable()->after('business_model_id');
            $table->integer('billing_type_id')->nullable()->after('billing_cycle');
            $table->integer('business_location_id')->nullable()->after('billing_type_id');

            $table->unsignedBigInteger('user_id')->nullable()->change();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_corporate');
    }
};
