<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_terms_condition', function (Blueprint $table) {
            $table->id();
            $table->string('terms_condition_title')->nullable();
            $table->string('mobile_user')->nullable();
            $table->text('terms_condition_doc')->nullable();
            $table->string('html_link_page')->nullable();
            $table->enum('publish',['Document','HTML'])->nullable()->default('Document');
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_terms_condition');
    }
};
