<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_faq', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('faq_category_id')->nullable();
            $table->tinyInteger('question_priority')->nullable();
            $table->text('question')->nullable();
            $table->text('search_tag')->nullable();
            $table->text('search_answer')->nullable();

            $table->foreign('faq_category_id')->references('id')->on('cms_faq_category')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_faq');
    }
};
