<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_feedback_rating', function (Blueprint $table) {
            $table->id();
            $table->string('feedback_rating_for')->nullable();
            $table->string('mobile_user')->nullable();
            $table->integer('star_rating')->nullable();
            $table->enum('allow_remark', ['Yes','No'])->nullable()->default('Yes');
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_feedback_rating');
    }
};
