<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_menu', function (Blueprint $table) {
            $table->id();
            $table->string('mobile_user')->nullable();
            $table->string('title')->nullable();
            $table->string('title_color')->nullable();
            $table->integer('business_model_id')->nullable();
            $table->string('business_category_id')->nullable();
            $table->enum('have_suffix_title', ['Yes','No'])->default('Yes');
            $table->string('suffix_title')->nullable();
            $table->string('suffix_title_color')->nullable();
            $table->string('redirect_url')->nullable();
            $table->string('redirect_type')->nullable();
            $table->tinyInteger('priority')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_menu');
    }
};
