<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_tab_menu_inputs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('tab_menu_id')->nullable();
            $table->tinyInteger('priority')->nullable();
            $table->integer('type_id')->nullable();
            $table->string('name')->nullable();
            $table->string('title')->nullable();
            $table->string('place_holder')->nullable();
            $table->text('option')->nullable();
            $table->enum('have_condition',['Yes','No'])->nullable()->default('No');
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();

            $table->foreign('tab_menu_id')->references('id')->on('cms_form_field_tab_menu')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_tab_menu_inputs');
    }
};
