<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::dropIfExists('orders');

        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('order_number')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('angel_id')->nullable();
            $table->string('ref_number')->nullable();
            $table->string('user_type')->nullable();
            $table->string('customer_name')->nullable();
            $table->string('customer_email')->nullable();
            $table->string('customer_phone')->nullable();
            $table->string('duration')->nullable();
            $table->date('duration_start')->nullable();
            $table->string('duration_start_time')->nullable();
            $table->date('duration_end')->nullable();
            $table->string('duration_end_time')->nullable();
            $table->string('source_latitude')->nullable();
            $table->string('source_longitude')->nullable();
            $table->string('source_place_id')->nullable();
            $table->string('source_address')->nullable();
            $table->string('source_postal_code')->nullable();
            $table->string('destination_latitude')->nullable();
            $table->string('destination_longitude')->nullable();
            $table->string('destination_place_id')->nullable();
            $table->string('destination_address')->nullable();
            $table->string('destination_postal_code')->nullable();
            $table->string('distance')->nullable();
            $table->string('flat_no')->nullable();
            $table->string('user_address')->nullable();
            $table->string('landmark')->nullable();
            $table->string('country')->nullable();
            $table->string('district')->nullable();
            $table->string('state_name')->nullable();
            $table->string('city_name')->nullable();
            $table->string('location_name')->nullable();
            $table->string('order_type')->nullable();
            $table->enum('asset_type', ['vehicle','battery','charging-slot','angel'])->default('vehicle');
            $table->integer('asset_id')->nullable();
            $table->integer('battery_id')->nullable();
            $table->integer('charger_id')->nullable();
            $table->integer('model_name')->nullable();
            $table->integer('subscription_id')->nullable();
            $table->integer('value_added_service_id')->nullable();
            $table->string('delivery_type')->nullable();
            $table->string('order_description')->nullable();
            $table->timestamp('angel_assign_datetime')->nullable();
            $table->date('delivery_date')->nullable();
            $table->string('delivery_time')->nullable();
            $table->string('delivered_time')->nullable();
            $table->double('cost', 10,2)->nullable();
            $table->double('value_added_service_amount', 10,2)->nullable();
            $table->double('discount', 10,2)->nullable();
            $table->double('angel_tips', 10,2)->nullable();
            $table->integer('convenience_fee')->nullable();
            $table->double('delivery_charge', 10,2)->nullable();
            $table->double('order_sub_total', 10,2)->nullable();
            $table->double('order_grand_total', 10,2)->nullable();
            $table->string('payment_method')->nullable();
            $table->integer('payment_method_id')->nullable();
            $table->enum('split_payment', ['Yes','No'])->default('No');
            $table->double('wallet_amount', 10,2)->nullable();
            $table->text('failed_reason')->nullable();
            $table->integer('status_id')->nullable();
            $table->string('status')->nullable();
            $table->string('payment_status')->nullable();
            $table->string('payment_type')->nullable();
            $table->string('ip')->nullable();
            $table->string('device_id')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
};
