<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_devices', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->string('device_type')->nullable();
            $table->string('device_id')->nullable();
            $table->text('fcm_token')->nullable();
            $table->string('model_name')->nullable();
            $table->string('version')->nullable();
            $table->string('is_physical_device')->nullable();
            $table->string('screen_resolution')->nullable();
            $table->string('last_vesited_date')->nullable();
            $table->string('last_vesited_page')->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_devices');
    }
};
