<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_angel_service', function (Blueprint $table) {
            $table->id();
            $table->string('order_number')->nullable();
            $table->unsignedBigInteger('order_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('angel_id')->nullable();
            $table->timestamp('booking_date')->nullable();
            $table->string('source_latitude')->nullable();
            $table->string('source_longitude')->nullable();
            $table->string('source_place_id')->nullable();
            $table->string('source_address')->nullable();
            $table->string('source_postal_code')->nullable();
            $table->string('destination_latitude')->nullable();
            $table->string('destination_longitude')->nullable();
            $table->string('destination_place_id')->nullable();
            $table->string('destination_address')->nullable();
            $table->string('destination_postal_code')->nullable();
            $table->string('distance')->nullable();
            $table->string('order_type')->nullable();
            $table->string('asset_type')->default('charging-station');
            $table->string('model_name')->nullable();
            $table->integer('subscription_id')->nullable();            
            $table->string('charging_units_by')->nullable();
            $table->integer('value_added_service_id')->nullable();
            $table->string('delivery_type')->nullable();
            $table->string('order_description')->nullable();
            $table->timestamp('angel_assign_datetime')->nullable();
            $table->date('delivery_date')->nullable();
            $table->string('delivery_time')->nullable();
            $table->string('delivered_time')->nullable();
            $table->double('cost', 10,2)->nullable();
            $table->double('value_added_service_amount', 10,2)->nullable();
            $table->double('discount', 10,2)->nullable();
            $table->double('angel_tips', 10,2)->nullable();
            $table->integer('convenience_fee')->nullable();
            $table->double('delivery_charge', 10,2)->nullable();
            $table->double('order_sub_total', 10,2)->nullable();
            $table->double('order_grand_total', 10,2)->nullable();
            $table->string('payment_method')->nullable();
            $table->integer('payment_method_id')->nullable();
            $table->enum('split_payment', ['Yes','No'])->default('No');
            $table->double('wallet_amount', 10,2)->nullable();
            $table->text('failed_reason')->nullable();
            $table->integer('status_id')->nullable();
            $table->string('status')->nullable();
            $table->string('payment_status')->nullable();
            $table->string('payment_type')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_angel_service');
    }
};
