<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mr_cashback', function (Blueprint $table) {
            $table->id();
            $table->string('cashback_condition');
            $table->integer('business_category_id');
            $table->string('image');
            $table->string('link_page')->nullable();
            $table->integer('city_id');
            $table->integer('district_id');
            $table->integer('state_id');
            $table->integer('zone_id');
            $table->integer('subscription_plan_id')->nullable();
            $table->string('minimum_order_cost')->nullable(); 
            $table->string('cashback')->nullable();
            $table->string('add_cashback_to')->nullable(); 
            $table->string('expiry_date')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mr_cashback');
    }
};
