<?php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Master\BusinessCategory;

/**
 * Class VendorCategorySeeder
 *
 * @author Andrey Girnik <girnikandrey@gmail.com>
 */
class BusinessCategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     * @return void
     */
    public function run()
    {
    
      $this->createRecord(1,'B2B', 'b2b');
      $this->createRecord(2,'B2C', 'b2c');

    }

    /**
     * Create permission record in database.
     * @param string $slug
     * @param string $description
     * @return void
     */
    private function createRecord(int $id, string $business_category, string $business_category_key): void
    {
		  $businessCategory = BusinessCategory::where('id', $id)->first();
		
      if($businessCategory){
        if($businessCategory->business_category_key != $business_category_key){
          $businessCategory->business_category_key = $business_category_key;
          $businessCategory->update();
        }
      } else {
        BusinessCategory::create([
          'id' => $id,
          'business_category' => $business_category,
          'business_category_key' => $business_category_key,
        ]);
      }
    }
}
