<?php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Master\FormFieldType;

/**
 * Class PermissionSeeder
 *
 * @author Andrey Girnik <girnikandrey@gmail.com>
 */
class FormFieldTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * @return void
     */
    public function run()
    {
	    $this->createRecord('text','No');
	    $this->createRecord('password','No');
	    $this->createRecord('textarea','No');
	    $this->createRecord('radio','Yes');
	    $this->createRecord('otp','No');
	    $this->createRecord('email','No');
	    $this->createRecord('phoneNumber','No');
	    $this->createRecord('dropdown','Yes');
	    $this->createRecord('date','No');
	    $this->createRecord('time','No');
	    $this->createRecord('dateTime','No');
	    $this->createRecord('dateRange','No');
	    $this->createRecord('rangeSlider','No');
	    $this->createRecord('switchInput','No');
	    $this->createRecord('checkbox','Yes');
	    $this->createRecord('segmented','No');
	    $this->createRecord('timeSlot','No');
	    $this->createRecord('tab','Yes');
	    $this->createRecord('valueAddService','No');
	    $this->createRecord('dateSlider','No');
	    $this->createRecord('multipleImageUpload','No');
	    $this->createRecord('singleImageUpload','No');
	    $this->createRecord('rating','No');
	    $this->createRecord('chipsSingle','Yes');
	    $this->createRecord('chipsMultiple','Yes');

    }

    /**
     * Create permission record in database.
     * @param string $slug
     * @param string $description
     * @return void
     */
    private function createRecord(string $field_type, string $add_option): void
    {
		  $formFieldType = FormFieldType::where('field_type', $field_type)->first();
		
        if(empty($formFieldType)){
          FormFieldType::create([
          'field_type' => $field_type,
          'add_option' => $add_option,
          'created_by' => 1
        ]);
		}
    }
  
}
