<?php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\CMS\Onboard;
use App\Models\CMS\OnboardList;
use App\Models\CMS\OnboardPermission;
use App\Models\CMS\PermissionDescription;

/**
 * Class PermissionSeeder
 *
 * @author Andrey Girnik <girnikandrey@gmail.com>
 */
class OnboardSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * @return void
     */
    public function run()
    {
        
	 	$this->createOnboard('GOZAP');
    }

    /**
     * Create permission record in database.
     * @param string $slug
     * @param string $description
     * @return void
     */
    private function createOnboard(string $value): void
    {
		$onboard = Onboard::where('id', 1)->first();
		if(empty($onboard)){
			$onboard = Onboard::create([
				'id' => 1,
				'app_name' => $value,
			]);
		}
		
    }
}
