<?php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Settings;

/**
 * Class PermissionSeeder
 *
 * @author Andrey Girnik <girnikandrey@gmail.com>
 */
class SettingsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * @return void
     */
    public function run()
    {
    
	 $this->createRecord('site_url','gozap.loc');
	 $this->createRecord('site_name','GoZap');
	 $this->createRecord('site_title','GoZap');
	 $this->createRecord('site_logo','test');
	 $this->createRecord('mobile_logo','test');
	 $this->createRecord('site_email_logo','test');
	 $this->createRecord('site_icon','test');
	 $this->createRecord('site_copyright','© 2023 GoZap');
	 $this->createRecord('admin_email','rosy.dev96@gmail.com');
	 $this->createRecord('contact_us_email','rosy.dev96@gmail.com');
	 $this->createRecord('base_price','50');
	 $this->createRecord('default_lang','en');
	 $this->createRecord('currency','$');
	 $this->createRecord('google_map_api_id','test');
	 $this->createRecord('google_map_secret_key','test');
	 $this->createRecord('facebook_link','test');
	 $this->createRecord('twitter_link','test');
	 $this->createRecord('instagram_link','test');
	 $this->createRecord('linkedin_link','test');
	 $this->createRecord('google_play_store','test');
	 $this->createRecord('apple_store','test');
	 $this->createRecord('time_format','12');
	 $this->createRecord('date_format','Y-m-d');
	 $this->createRecord('page_privacy','');
	 $this->createRecord('login_by','email,phone,both');
	 $this->createRecord('start_hour','00:00');
	 $this->createRecord('end_hour','23:59');
	 $this->createRecord('country_code','+91');
	 $this->createRecord('smtp_user','airvistara@brandmidas.com');
	 $this->createRecord('smtp_password','Bul77687');
	 $this->createRecord('smtp_host','smtp.office365.com');
	 $this->createRecord('smtp_port','587');
	 $this->createRecord('tes65','test');
	 $this->createRecord('timestamp_format','Y-m-d H:i:s');
	 $this->createRecord('smtp_encryption','tls');
	 $this->createRecord('smtp_transport','smtp');
	 $this->createRecord('from_mail','airvistara@brandmidas.com');
	 $this->createRecord('file_disk','local');
	 $this->createRecord('s3_access_key_id','local');
	 $this->createRecord('s3_secret_access_key','test');
	 $this->createRecord('s3_default_region','test');
	 $this->createRecord('s3_bucket','test');
	 $this->createRecord('s3_url','test');
	 $this->createRecord('s3_endpoint','test');
	 $this->createRecord('google_map_api_id','test');
	 $this->createRecord('form_button_attributes','key,type,value');
	 $this->createRecord('rider_refund','');
	 $this->createRecord('corporate_rider_refund','');

    }

    /**
     * Create permission record in database.
     * @param string $slug
     * @param string $description
     * @return void
     */
    private function createRecord(string $key, string $value): void
    {
		$settings = Settings::where('key', $key)->first();
		
        if(empty($settings)){
				Settings::create([
				'key' => $key,
				'value' => $value
			]);
		}
    }
}
