<?php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Vendors\VendorCategory;

/**
 * Class VendorCategorySeeder
 *
 * @author Andrey Girnik <girnikandrey@gmail.com>
 */
class VendorCategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     * @return void
     */
    public function run()
    {
    
      $this->createRecord(1,'Vehicles', 'Yes');
      $this->createRecord(2,'Battery', 'Yes');
      $this->createRecord(3,'Charging Station', 'Yes');
      $this->createRecord(4,'Man Power', 'No');

    }

    /**
     * Create permission record in database.
     * @param string $slug
     * @param string $description
     * @return void
     */
    private function createRecord(int $id, string $vendor_category, string $add_oem): void
    {
		  $vendorCategory = VendorCategory::where('id', $id)->first();
		
      if($vendorCategory){
        if($vendorCategory->vendor_category != $vendor_category){
          $vendorCategory->vendor_category = $vendor_category;
          $vendorCategory->update();
        }
      } else {
        VendorCategory::create([
          'id' => $id,
          'vendor_category' => $vendor_category,
          'add_oem' => $add_oem
        ]);
      }
    }
}
