@extends('layouts.master')

@section('title') @lang('Asset Charging Equipment') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->

    <style>
        .asset-row{            
            line-height: 2.5;
            font-size: 16px;
            font-weight: 600;
        }
    </style>
@endsection
@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">ASSets- Charging Equipment</h4>
    </div>
    <div class="col-sm-8">
        <div class="text-sm-end">
            <a href="{{ route('asset.charging-equipment.create')}} " class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i> Create New</a>
        </div>
    </div>
</div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <input id="category_id" name="category_id" type="hidden"  value="3">
                            <select id="oem_id" class="form-control select2">
                                <option value=''>--By OEM--</option>
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="charging_equipment_dealer_id" class="form-control select2">
                                <option value=''>--By Dealer--</option>
                                @foreach($dealerList as $dealer)
                                    <option value="{{ $dealer->id }}">{{ $dealer->station_dealer}}</option>
                                @endforeach 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="zone_id" class="form-control select2">
                                <option value=''>--By Zone--</option>
                                @foreach($zones as $zone)
                                    <option value="{{ $zone->id }}">{{ $zone->zone}}</option>
                                @endforeach 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="state_id" class="form-control select2">
                                <option value=''>--By State--</option>
                                @foreach($states as $state)
                                    <option value="{{ $state->id }}">{{ $state->state}}</option>
                                @endforeach 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="district_id" class="form-control select2">
                                <option value=''>--By District--</option>
                                @foreach($districts as $district)
                                    <option value="{{ $district->id }}">{{ $district->district}}</option>
                                @endforeach 
                            </select>
                        </div>
                        
                        <div class="col-sm-2">
                            <select id="city_id" class="form-control select2">
                                <option value=''>--By City--</option>
                                @foreach($cities as $city)
                                    <option value="{{ $city->id }}">{{ $city->city}}</option>
                                @endforeach 
                            </select>
                        </div><!-- end col-->
                    </div>
                    <div class="row mb-2">
                        <!--<label class="col-sm-1" >Search: </label>-->
                        <div class="col-sm-2">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                        </div>
                        <div class="col-sm-7">
                        </div>
                        <div class="col-sm-3">
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> ID No</th>
                                    <th> Asset Type</th>
                                    <th> OEM</th>
                                    <th> Charger Type</th>
                                    <th> Model</th>
                                    <th> Model Number</th>
                                    <th> KWH Units</th>
                                    <th> Gun Type</th>
                                    <th> Asset QR</th>
                                    <th> Vendor Name</th>
                                    <th> Purchased Invoice Number</th>
                                    <th> Parts</th>
                                    <th> Location</th>
                                    <th> Servive Plan</th>
                                    <th> Insurance Plan</th>
                                    <th> Created At </th>
                                    <th> Created By </th>
                                    <th> Updated At </th>
                                    <th> Updated By </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
                        
            @section('modal')
            <div class="modal fade" id="qr_code_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            </div>
            @endsection
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            
            $(document).on('click', '.view_asset_qr', function(event) {
                event.preventDefault();
                id = $(this).attr('id');
                $.ajax({
                    type: "GET",
                    url: 'asset-charging-equipment-asset-qr/' + id,
                    success: function(data){ 
                        $('#qr_code_modal').html(data);
                        $('#qr_code_modal').modal('show');
                    },
                    error: function (data) {
                        console.log('An error occurred.');
                    },
                });
            });
            $(document).on('click', '.view_asset_parts_qr', function(event) {
                event.preventDefault();
                id = $(this).attr('id');
                $.ajax({
                    type: "GET",
                    url: 'asset-charging-equipment-asset-qr/' + id + '?parts=1',
                    success: function(data){ 
                        $('#qr_code_modal').html(data);
                        $('#qr_code_modal').modal('show');
                    },
                    error: function (data) {
                        console.log('An error occurred.');
                    },
                });
            });
  
            $(document).on('click', '.close-asset-modal', function(event) {
                event.preventDefault();
                $('#qr_code_modal').modal('hide');
            });
            var actionUrl = "{{ route('vendor-oem.oem-by-category') }}";
            var token = "{{ csrf_token() }}";
            updateVendorOemOption(actionUrl, token);
            updateTables();
            $('#charging_equipment_dealer_id').on('change', function() {
                updateTables();
            });
            $('#oem_id').on('change', function() {
                updateTables();
            });
            $('#city_id').on('change', function() {
                updateTables();
            });
            $('#district_id').on('change', function() {
                updateTables();
            });
            $('#state_id').on('change', function() {
                updateTables();
            });
            $('#zone_id').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "{{ csrf_token() }}"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "{{ route('asset.charging-equipment.tab-index') }}",
                    "type": "POST",
                    'data': {
                        "oem_id": $('#oem_id').val(),
                        "charging_equipment_dealer_id": $('#charging_equipment_dealer_id').val(),
                        "city_id": $('#city_id').val(),
                        "district_id": $('#district_id').val(),
                        "state_id": $('#state_id').val(),
                        "zone_id": $('#zone_id').val(),
                        "search": $('#search').val(),
                        "_token": "{{ csrf_token() }}"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "product_id" },
                    { "data": "oem_id" },
                    { "data": "charger_type" },
                    { "data": "model_name" },
                    { "data": "model_number" },
                    { "data": "kwh_units" },
                    { "data": "gun_type" },
                    { "data": "qr_code" },
                    { "data": "charging_equipment_dealer_id" },
                    { "data": "purchased_invoice_number" },
                    { "data": "parts" },
                    { "data": "location_id" },
                    { "data": "service_plan" },
                    { "data": "insurance_plan" },
                    { "data": "created_at" },
                    { "data": "created_by" },
                    { "data": "updated_at" },
                    { "data": "updated_by" },
                    { "data": "action" }

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
@endsection
