@extends('layouts.master')

@section('title') @lang('translation.Vehicle') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/css/custom-dropzone.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Vehicle @endslot
@slot('title') Add Vehicle @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <a href="{{ url()->previous() }}" class="btn btn-primary waves-effect waves-light">Go Back</a>
                    <a href="{{ route('asset.vehicles.edit', ['vehicle' => $vehicle->id])  }}" class="btn btn-primary waves-effect waves-light">Edit</a>
                    <a  href="#" class="btn btn btn-primary-borderd waves-effect waves-light delete" data-url="{{ route('asset.vehicles.destroy', ['vehicle' => $vehicle->id]) }}">  Delete</i> </a>

                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Asset Details</h5><br>
                <div class="mb-3 row"> 
                    <label for="product_id" class="col-md-2 col-form-label">Asset/Electric Product</label>
                    <div class="col-md-6">
                       {{ isset($vehicle->product) ? $vehicle->product->product_type :'' }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="model_name" class="col-md-2 col-form-label">Name the Model</label>
                    <div class="col-md-6">
                        {{  $vehicle->model_name  }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="registeration_number" class="col-md-2 col-form-label">Registeration Number</label>
                    <div class="col-md-6">
                    {{  $vehicle->registeration_number  }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="vin_number" class="col-md-2 col-form-label">VIN number</label>
                    <div class="col-md-6">
                    {{  $vehicle->vin_number  }}
                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="qr_code" class="col-md-2 col-form-label">OR Code of the Asset</label>
                    <div class="col-md-6">
                    <!--<button type="button" id="view_QR" class="btn btn-primary waves-effect waves-light" onclick="window.print()">Print QR</button>-->
                    <button type="button" id="view_QR"  class="btn btn-primary waves-effect waves-light">View QR</button>
                    </div>
                </div> 
            </div>
        </div>
        <div class="card">
                <div class="card-body">

                    <h4 class="card-title">Asset Documents</h4>
                    <div>
                        @if(isset($vehicle->images))
                            @foreach($vehicle->images as $images)
                                <img src="/storage{{ $images->path }}" alt="{{ $images->saved_as }}" class="img-thumbnail" style="width: 200px;"/>
                                
                                <input type="button" class="delete-image btn btn-primary-borderd" value="Delete" data-url="{{ route('assets.vehicles.delete-image', ['id' => $images->id]) }}">
                            @endforeach 
                        @endif
                    </div>
                </div>
            </div>
        <div class="card">
            <div class="card-body">
                <h5>OEM/Dealer Details</h5><br>
                <div class="mb-3 row">
                    <input id="category_id" name="category_id" type="hidden"  value="1">
                    <label for="oem_id" class="col-md-2 col-form-label">OEM</label>
                    <div class="col-md-6">
                       {{ isset($vehicle->vendorOem) ? $vehicle->vendorOem->vendor_oem :'' }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="vehicle_dealer_id" class="col-md-2 col-form-label">Dealer</label>
                    <div class="col-md-6">
                        {{ isset($vehicle->vehicleDealer) ? $vehicle->vehicleDealer->vehicle_dealer :'', }}
                       
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="purchased_invoice_number" class="col-md-2 col-form-label">Purchase Invoice Number</label>
                    <div class="col-md-6">
                        {{  $vehicle->purchased_invoice_number  }}                       
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="purchased_date" class="col-md-2 col-form-label">Purchased Date</label>
                    <div class="col-md-6">
                        {{  $vehicle->purchased_date  }} 
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Parts</h5>
                        </div>
                    </div>
                    <hr>
                    @if(isset($vehicle->parts))
                        @if(isset($vehicle->parts[0]))
                        @foreach($vehicle->parts as $parts)
                        <div class="mb-3 row">
                            <label for="asset_part" class="col-md-2 col-form-label">Asset/Electric Part</label>
                            <div class="col-md-6">
                                    {{ $parts->product->product_type }}
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="part_id" class="col-md-2 col-form-label">Part Id</label>
                            <div class="col-md-6">
                            {{ $parts->part_id}}
                            </div>
                        </div>
                        @endforeach
                         @else
                        <p>No Parts Added yet</p>
                    @endif
                    @else
                        <p>No Parts Added yet</p>
                    @endif
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Assign Location</h5><br>
                
                <div class="mb-3 row">
                    <label for="location_id" class="col-md-2 col-form-label">Location Name</label>
                    <div class="col-md-6">
                        {{ isset($vehicle->location) ? $vehicle->location->location :'', }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        {{ isset($vehicle->city) ? $vehicle->city->city :'', }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        {{ isset($vehicle->district) ? $vehicle->district->district :'', }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        {{ isset($vehicle->state) ? $vehicle->state->state :'', }}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        {{ isset($vehicle->zone) ? $vehicle->zone->zone :'', }}
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Service Maintenance  Plan</h5>
                        </div>
                        <div class="col-md-2">
                        </div>
                    </div>
                    <hr>
                    @if(isset($vehicle->servicePlan))
                        @if(isset($vehicle->servicePlan[0]))
                        @foreach($vehicle->servicePlan as $servicePlan)
                            <div class="mb-3 row">
                                <label for="maintenance_type" class="col-md-2 col-form-label">Service Maintenance Type</label>  
                                <div class="col-md-6">
                                {{  isset($servicePlan->maintenanceTyp) ? $servicePlan->maintenanceType->maintenance_type : '' }}
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_duration" class="col-md-2 col-form-label">Maintenance Duration</label>
                                <div class="col-md-3">
                                {{  isset($servicePlan->duration) ? $servicePlan->duration->duration : '' }}
                                </div>
                                <label for="maintenance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                {{ $servicePlan->maintenance_duration_date }}
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_cost" class="col-md-2 col-form-label">Maintenance Cost</label>
                                <div class="col-md-6">
                                {{ $servicePlan->maintenance_cost }}
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                {{ $servicePlan->service_reminder }}
                                </div>
                                <label for="service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                {{ $servicePlan->service_reminder_date }}
                                </div>
                            </div>
                        @endforeach
                        @else
                        <p> No Service Maintenance Plan and schedule added yet</p>
                        @endif
                    @else
                        <p> No Service Maintenance Plan and schedule added yet</p>
                    @endif
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Insurance Plan</h5>
                        </div>
                        <div class="col-md-2">
                        </div>
                    </div>
                    <hr>
                    @if(isset($vehicle->insurancePlan))
                        @if(isset($vehicle->insurancePlan[0]))
                        @foreach($vehicle->insurancePlan as $insurancePlan)
                    <div data-repeater-list="asset-insurance" class="asset-insurance">
                        <div data-repeater-item class="row asset_insurance_item">
                            <div class="mb-3 row">
                                <label for="insurance_type_id" class="col-md-2 col-form-label">Insurance Type</label>  
                                <div class="col-md-6">
                                {{  isset($insurancePlan->insuranceType) ? $servicePlan->insuranceType->insurance_type : '' }}
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_duration" class="col-md-2 col-form-label">Insurance Duration</label>
                                <div class="col-md-3">
                                {{  isset($insurancePlan->duration) ? $insurancePlan->duration->duration : '' }}
                                </div>
                                <label for="insurance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                {{ $insurancePlan->insurance_duration_date }}
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                {{ $insurancePlan->service_reminder }}
                                </div>
                                <label for="insurance_service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                {{ $insurancePlan->service_reminder_date }}
                                </div>
                            </div>
                        </div>
                    </div>
                    @endforeach
                    @else
                        <p> No Insurance Plan an schedule added yet</p>
                    @endif
                    @else
                        <p> No Insurance Plan an schedule added yet</p>
                    @endif
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->
<!-- end row -->
@endsection

@section('modal')
<div class="modal fade" id="qr_code_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">QR Code</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body" id="printSection">
                {!! QrCode::size(300)->generate( 'Model Name : ' .  $vehicle->model_name . 'VIN Number : ' .  $vehicle->vin_number ) !!}
            </div>
            <div class="modal-footer">
                <button type="button" id="save_description" class="btn btn-primary" onclick="window.print()">Print</button>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script type="text/javascript">
    $(document).ready(function(){  
        $(document).on('click', '#view_QR', function(event) {
            event.preventDefault();
            $('#qr_code_modal').modal('show');
        });

        $(document).on('click', '.delete-image', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl =  $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){
                    location.reload(true);
                },
                error: function (data) {
                    
                },
            });
        });
        $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "{{ csrf_token() }}"
                    }
                }).always(function (data) {
                    window.location.href = "{{ url()->previous() }}";
                });
            });
    });
</script>
@endsection