@extends('layouts.master')

@section('title') @lang('translation.FAQ') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') FAQ @endslot
@slot('title') Edit FAQ @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="{{ route('cms.faq.update', ['faq' => $faqCategory->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('put')
    @csrf
    <input name="id" type="hidden"  value="{{ $faqCategory->id }}" />
    
    <div class="card">
            <div class="card-body">
                <h5>FAQ Details</h5><br>
                <div class="mb-3 row">
                    <label for="faq_category" class="col-md-2 col-form-label">FAQ Category</label>
                    <div class="col-md-6">
                        <input id="faq_category" name="faq_category" type="text" class="form-control" placeholder="FAQ Category" value="{{ $faqCategory->faq_category }}" required>
                        <div  id="faq_category_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App" {{ $faqCategory->mobile_user == 'Customer App' ? 'selected' : '' }}>Customer App</option>
                            <option value="Angel Driver" {{ $faqCategory->mobile_user == 'Angel Driver' ? 'selected' : '' }}>Angel Driver</option>
                            <option value="OPS Angel" {{ $faqCategory->mobile_user == 'OPS Angel' ? 'selected' : '' }}>OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>FAQ Program Details</h5>
                        </div>
                        <div class="col-md-2">
                            <input data-repeater-create type="button"  class="faq-question-add-btn btn btn-primary waves-effect waves-light" value="Add Questions" />
                        </div>
                    </div>
                    <div data-repeater-list="faq-questions" class="faq-questions">
                        @if ($faqCategory->faqs)
                        @foreach ($faqCategory->faqs as $faq)

                        <div data-repeater-item class="row faq_question_item">
                            <div class="add-hr">
                            </div>
                            <div class="mb-3 row">
                                <label for="question_priority" class="col-md-2 col-form-label">Question Priority</label>
                                <div class="col-md-6 faq-question-div">
                                    <input type="hidden" value="{{  $faq->id }}" name="faq_id" />
                                    <select id="question_priority" name="question_priority" class="question_priority form-select" data-selected="{{ $faq->question_priority }}" >
                                        <option value=''>Select...</option>
                                        @foreach (range(1,20) as $option)
                                        <option value='{{ $option }}' {{ $faq->question_priority  == $option ? 'selected' : ''}}>{{ $option }}</option>
                                        @endforeach
                                    </select>
                                    <div  id="question_priority_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="question" class="col-md-2 col-form-label">Type you Question</label>
                                <div class="col-md-6 ">
                                    <input id="question" name="question" type="text" class="form-control" placeholder="Question" value="{{ $faq->question }}"  />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="search_tag" class="col-md-2 col-form-label">Search Tag</label>
                                <div class="col-md-6">
                                    <input id="search_tag" name="search_tag" type="text" class="form-control" placeholder="Search Tag" value="{{ $faq->search_tag }}" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="search_answer" class="col-md-2 col-form-label">Search Answer</label>
                                <div class="col-md-6">
                                    <textarea id="search_answer" name="search_answer" class="form-control" placeholder="Search Answer" />{{ $faq->search_answer }}</textarea>
                                </div>
                            </div>
                            
                        @endforeach
                        @else

                        <div data-repeater-item class="row asset_part_item">
                            <div class="mb-3 row">
                                <label for="question_priority" class="col-md-2 col-form-label">Question Priority</label>
                                <div class="col-md-6">
                                    <select id="question_priority" name="question_priority" class="form-select">
                                        <option value=''>Select...</option>
                                        @foreach (range(1,20) as $option)
                                        <option value='{{ $option }}'>{{ $option }}</option>
                                        @endforeach
                                    </select>
                                    <div  id="question_priority_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="question" class="col-md-2 col-form-label">Type you Question</label>
                                <div class="col-md-6">
                                    <input id="question" name="question" type="text" class="form-control" placeholder="Question" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="search_tag" class="col-md-2 col-form-label">Search Tag</label>
                                <div class="col-md-6">
                                    <input id="search_tag" name="search_tag" type="text" class="form-control" placeholder="Search Tag" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="search_answer" class="col-md-2 col-form-label">Search Answer</label>
                                <div class="col-md-6">
                                    <textarea id="search_answer" name="search_answer" class="form-control" placeholder="Search Answer" /></textarea>
                                </div>
                            </div>
                        </div>
                        @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
   </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-repeater.int.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('cms.faq.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });

        $(document).on('click', '.faq-question-add-btn', function(event) {
            event.preventDefault();
            var total = $('.add-hr').length;
            console.log(total);
            $(".add-hr").each(function(index) {
                if (index === total - 1) {
                    $(this).html('<hr>');
                    // sel = $(this).children('select.question_priority');
                    // sel.
                    // priorityListOption(sel, true);

                }
            });
             
        });

        // $(".question_priority").each(function() {
        //     priorityListOption($(this), false);
        // });
    });
    
    function priorityListOption(sel, newField){
        console.log(sel);
        actionUrl = "{{ route('cms-faq-priority-list') }}";
        $.ajax({
            type: "get",
            url: actionUrl,
            success: function(data){ 
                if(data['data']){
                    if(newField == true){
                        sel.find('option').remove().end();
                        sel.append('<option value="">Select...</option>');                        
                    }
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(item != ''){
                            sel.append('<option value="'+ item +'">'+ item +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    </script>
@endsection