@extends('layouts.master')

@section('title') @lang('translation.Feedback Rating') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
<style>
    .impression-add{
        
    float: right;
    text-align: right;    
    margin-top: -50px !important;
    margin-left: -50px;
    }
    </style>
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Feedback Rating @endslot
@slot('title') Add Feedback Rating @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="{{ route('cms.feedback-rating.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <h5>Feedback Rating Details</h5><br>
                <div class="mb-3 row">
                    <label for="feedback_rating_for" class="col-md-2 col-form-label">Feedback Rating Far</label>
                    <div class="col-md-6">
                        <select id="feedback_rating_for" name="feedback_rating_for" class="form-select">
                            <option value=''>Select...</option>
                            <option value="1">Order Booking Process</option>
                            <option value="2">Order Fullfillment</option>
                            <option value="3">Delivery by Angel</option>
                        </select>
                        <div  id="feedback_rating_for_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App">Customer App</option>
                            <option value="Angel Driver">Angel Driver</option>
                            <option value="OPS Angel">OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Information Details</h5><br>
                
                <div class="mb-3 row">
                    <label for="star_rating" class="col-md-2 col-form-label">Star Rating</label>
                    <div class="col-md-6">
                        <input id="star_rating" name="star_rating" type="text" class="form-control" placeholder="Star Rating" />
                    </div>
                </div>

                <div class="repeater" enctype="multipart/form-data">
                    <div data-repeater-list="impression-points" class="impression-points">
                        <div data-repeater-item class="row">
                            <div class="mb-3 row">
                                <label for="impression_points" class="col-md-2 col-form-label">Impression Points</label>
                                <div class="col-md-6" style="z-index: 1000;">
                                    <input id="impression_points" name="impression_points" type="text" class="form-control" placeholder="Impression Points" />
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    <div class="row">
                    
                        <div class="col-md-9 impression-add">
                            <input data-repeater-create type="button"  class="impression-point-add-btn btn btn-primary waves-effect waves-light" value="Add" />
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="allow_remark" class="col-md-2 col-form-label">Allow Remark</label>
                    <div class="col-md-1">
                        <input class="form-check-input" type="radio" name="allow_remark"  value="Yes" id="allow_remark1">
                        <label class="form-check-label" for="allow_remark1">
                            Yes
                        </label>
                    </div>
                    <div class="col-md-1">
                        <input class="form-check-input" type="radio" name="allow_remark"  value="No" id="allow_remark2">
                        <label class="form-check-label" for="allow_remark2">
                            No
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-repeater.int.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('cms.feedback-rating.validate') }}";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
        
    });
    </script>
@endsection