@extends('layouts.master')

@section('title') @lang('translation.Add_Asset') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />

<link href="{{ URL::asset('/assets/libs/spectrum-colorpicker/spectrum-colorpicker.min.css') }}" rel="stylesheet" type="text/css">
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Ecommerce @endslot
@slot('title') Add Page for mobile @endslot
@endcomponent

<?php
    $typeValues = ['string', 'integer', 'double','float',  'array', 'object', 'boolean']; 
?>
<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="{{ route('cms.forms.update', ['form' => $form->id]) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('PUT')
    @csrf
    <input type="hidden" name="id" value="{{ $form->id }}" />
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Basic Information</h4>
                <p class="card-title-desc">Fill all information below</p>
                    
                <div class="row">
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="is_before_login" value="1" name="is_before_login" {{ $form->is_before_login == '1' ? 'checked' : ''  }} />
                                <label class="form-check-label" for="is_before_login">Allow Befor Login</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="is_back_button" value="1" name="is_back_button"  {{ $form->is_back_button == '1' ? 'checked' : ''  }} />
                                <label class="form-check-label" for="is_back_button">Enable Back Button</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="have_section" value="1" name="have_section" {{ $form->have_section == '1' ? 'checked' : ''  }}>
                                <label class="form-check-label" for="have_section">Fields with in Section</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="fields_have_values" value="1" name="fields_have_values" {{ $form->fields_have_values == '1' ? 'checked' : ''  }} />
                                <label class="form-check-label" for="fields_have_values">User Fields with values</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <label for="slug">Slug</label>
                            <input id="slug" name="slug" type="text" class="form-control" placeholder="Slug"  value="{{ $form->slug }}" required>
                            <div  id="slug_errors" class="invalid-feedback">
                                Required
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="description">Description</label>
                            <textarea name="description" id="description" class="form-control" id="description" rows="2" placeholder="Description">{{ $form->description }}</textarea>
                        </div>
                    </div>

                    <div class="col-sm-6">
                        
                        <div class="mb-3">
                            <label for="title">Title</label>
                            <input id="title" name="title" type="text" value="{{ $form->title }}" class="form-control" placeholder="Title" required>
                            <div  id="slug_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="sub_title">Sub Title</label>
                            <input id="sub_title" name="sub_title" type="text" value="{{ $form->sub_title }}" class="form-control" placeholder="Sub Title" required>
                            <div  id="sub_title_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Form images</h4>
                <p class="card-title-desc">Fill all information below</p>
                    
                <div class="row">
                        <label class="col-sm-2" for="image">Image</label>
                    <div class="col-sm-6 mb-3">
                        <input type="file" name="image" value="{{ $form->image }}" class="form-control" id="image">
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="image_width">Image Width</label>
                    <div class="col-sm-3 mb-3">
                        <input id="image_width" name="image_width" type="text" value="{{ $form->image_width }}" class="form-control" placeholder="Image Width">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="image_width_type" name="image_width_type" class="form-select">
                            <option value=''>Select Type...</option>
                            @foreach ($typeValues as $option)
                            <option value='{{ $option }}' {{ $form->image_width_type == $option ? 'selected' :''}}>{{ $option }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="image_height">Image Height</label>
                    <div class="col-sm-3 mb-3">
                        <input id="image_height" name="image_height" type="text" value="{{ $form->image_height }}" class="form-control" placeholder="Image Height">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="image_height_type" name="image_height_type" class="form-select">
                            <option value=''>Select Type...</option>
                            @foreach ($typeValues as $option)
                            <option value='{{ $option }}' {{ $form->image_height_type == $option ? 'selected' :''}}>{{ $option }}</option>
                            @endforeach
                        </select>
                    </div>
                    @if($form->image)
                    <div class="col-sm-3 mb-4" style="margin-top: -103px;">
                        <div class="hide-image">
                            <img class="form-image" src="/storage{{ $form->image }}" style="width: 100px;height: 100px;" />
                            <input type="button" class="delete-image btn btn-primary-borderd" value="Delete" data-url="{{ route('cms.forms.delete-form-image', ['id' => $form->id, 'field' => 'image']) }}">
                        </div>
                    </div>
                    @endif
                </div>
                <div class="row">
                        <label class="col-sm-2" for="bottom_image">Bottom Image</label>
                    <div class="col-sm-6 mb-3">
                        <input type="file" name="bottom_image" value="{{ $form?->bottom_image }}" class="form-control" id="image">
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="bottom_image_width">Bottom Image Width</label>
                    <div class="col-sm-3 mb-3">
                        <input id="bottom_image_width" name="bottom_image_width" type="text" value="{{ $form->bottom_image_width }}" class="form-control" placeholder="Bottom Image Width">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="bottom_image_width_type" name="bottom_image_width_type" class="form-select">
                            <option value=''>Select Type...</option>
                            @foreach ($typeValues as $option)
                            <option value='{{ $option }}' {{ $form->bottom_image_width_type == $option ? 'selected' :''}}>{{ $option }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="bottom_image_height">Image Height</label>
                    <div class="col-sm-3 mb-3">
                        <input id="bottom_image_height" name="bottom_image_height" type="text" value="{{ $form->bottom_image_height }}" class="form-control" placeholder="Bottom Image Height">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="bottom_image_height_type" name="bottom_image_height_type" class="form-select">
                            <option value=''>Select Type...</option>
                            @foreach ($typeValues as $option)
                            <option value='{{ $option }}' {{ $form->bottom_image_height_type == $option ? 'selected' :''}}>{{ $option }}</option>
                            @endforeach
                        </select>
                    </div>
                    @if($form->bottom_image)
                    <div class="col-sm-3 mb-4" style="margin-top: -103px;">
                        <div class="hide-image">
                            <img class="form-image" src="/storage{{ $form->bottom_image }}" style="width: 100px;height: 100px;" />
                            <input type="button" class="delete-image btn btn-primary-borderd" value="Delete" data-url="{{ route('cms.forms.delete-form-image', ['id' => $form->id, 'field' => 'bottom_image']) }}">
                        </div>
                    </div>
                    @endif
                </div>

            </div>
        </div>

        

        <h4 class="card-title">Form Fields</h4>
        <div class="repeater">
            <div data-repeater-list="form-fields">
                
                @if(isset($formFields[0]))
                @foreach ($formFields as $formFields)
                <?php 
                    //print_r($formFields->FormCondition->field_id); exit;
                 ?>
                <div data-repeater-item class="card data-item">
                    <div class="card-body">
                        <div class="mb-3 row">
                            <label for="group_id" class="col-md-2 col-form-label">Field Gropup</label>
                            <div class="col-md-6 form-field-id-div">
                                <input type="hidden" class="form-field-id" name="form_field_id" value="{{ $formFields->id }}" />
                                <select class="form-control group_id" name="group_id"  data-placeholder="Field Type" id="group_id">
                                    <option value="">Choose...</option>
                                    @foreach($formFieldGroups as $formFieldGroup)
                                        <option value="{{ $formFieldGroup->id }}" {{ $formFieldGroup->id == $formFields->group_id ? 'selected' : ''}}> {{ $formFieldGroup->field_group }}</option>
                                    @endforeach 
                                </select>
                                <div  id="group_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="field_name" class="col-md-2 col-form-label">Field Name</label>
                            <div class="col-md-6">
                                <input type="text" id="field_name" name="field_name" class="form-control" placeholder="Enter Your Field Name" value="{{ $formFields->name }}" />
                                <div  id="field_name_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="type_id" class="col-md-2 col-form-label">Field Type</label>
                            <div class="col-md-6">                            
                                <select class="form-control type_id" name="type_id"  data-placeholder="Field Type" id="type_id">
                                    <option value="">Choose...</option>
                                    @foreach($formFieldTypes as $formFieldType)
                                        <option value="{{ $formFieldType->id }}"  data-option="{{ $formFieldType->add_option }}"  {{ $formFieldType->id == $formFields->type_id ? 'selected' : ''}}> {{ $formFieldType->field_type }}</option>
                                    @endforeach 
                                </select>
                                <div  id="type_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="field_title" class="col-md-2 col-form-label">Field Title</label>
                            <div class="col-md-6">
                                <input type="text" id="field_title" name="field_title" class="form-control" placeholder="Enter Your Field Title" value="{{ $formFields->title }}" />
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="place_holder" class="col-md-2 col-form-label">Place Holder</label>
                            <div class="col-md-6">
                                <input id="place_holder" name="place_holder" type="text" class="form-control" placeholder="Place Holder" value="{{ $formFields->place_holder }}" />
                            </div>
                        </div>
                        
                        <div class="mb-3 row option-field" {{ $formFields->option ? '' : 'style=display:none;' }}>
                            <label for="place_holder" class="col-md-2 col-form-label">Options</label>
                            <div class="col-md-6">
                                <textarea id="option" name="option" type="text" row="2" class="form-control" placeholder="option1,option2,..." >{{ $formFields->option }}</textarea>
                                <small>If you want range in Numbers fill like "Keyword,StartRange,EndRange" - Ex : {RANGE},1,12 - For time interval</small>
                            </div>
                        </div>
                        
                        <div class="mb-3 row">
                            <label for="have_condition" class="col-md-2 col-form-label">Have Condition</label>
                            <div class="col-md-6">
                                <input class="form-check-input have_condition" type="radio" name="have_condition" id="have_condition1" value="Yes" {{ $formFields->have_condition == 'Yes' ? 'checked' : '' }} >
                                <label class="form-check-label" for="have_condition1">Yes</label>
                                <input class="form-check-input have_condition" type="radio" name="have_condition" id="have_condition2" value="No" {{ $formFields->have_condition == 'No' ? 'checked' : '' }} >
                                <label class="form-check-label" for="have_condition2">No</label>
                            </div>
                            
                            <div class="condition-field-form" style=" {{ $formFields->have_condition == 'Yes' ? '' : 'display:none;' }}">
                                <div class="mb-3 row">
                                    <label for="condition_field_name" class="col-md-4 col-form-label">Condition Field Name <i class="fas fa-question-circle" data-toggle="tooltip" data-placement="top" title="Should equal to any above field name"></i></label>
                                    <div class="col-md-6">
                                        <input type="text" id="condition_field_name" name="condition_field_name" class="form-control" placeholder="Condition Field Name"  value="{{ isset($formFields->FormCondition) ? $formFields?->FormCondition?->conditionField?->name : '' }}"  />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="equal_value" class="col-md-4 col-form-label">Equal Value</label>
                                    <div class="col-md-6">
                                        <input type="text" id="equal_value" name="equal_value" class="form-control" placeholder="Equal Value" value="{{ isset($formFields->FormCondition) ? $formFields->FormCondition->equal_value : '' }}" />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="field_id_type" class="col-md-4 col-form-label">Condition Field Type</label>
                                    <div class="col-md-6">
                                        <input type="text" id="field_id_type" name="field_id_type" class="form-control" placeholder="Equal Value" value="{{ isset($formFields->FormCondition) ? $formFields->FormCondition->field_id_type : '' }}" />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="equal_value_type" class="col-md-4 col-form-label">Equal Value Type</label>
                                    <div class="col-md-6">
                                        <input type="text" id="equal_value_type" name="equal_value_type" class="form-control" placeholder="Equal Value" value="{{ isset($formFields->FormCondition) ? $formFields->FormCondition->equal_value_type : '' }}" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <div class="mb-3 row ">
                            <label for="priority" class="col-md-2 col-form-label">Priority</label>
                            <div class="col-md-6 priority-div">
                                <select id="priority" name="priority" class="priority form-select">
                                    <option value=''>Select...</option>
                                    @foreach (range(1,20) as $option)
                                    <option value='{{ $option }}' {{ $formFields->priority == $option ? 'selected' : '' }}>{{ $option }}</option>
                                    @endforeach
                                </select>
                                <div  id="priority_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <div class="col-lg-10">
                            </div>
                            <div class="col-lg-2 align-self-center" style="margin-top: -70px;">
                                <div class="d-grid">
                                    <input data-repeater-delete type="button" class="delete-form-field btn btn-primary-borderd" value="Delete" data-url="{{ route('cms.forms.delete-form-field', ['id' => $formFields->id]) }}"/>
                                
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                @endforeach
                @else
                <div data-repeater-item class="card data-item">
                    <div class="card-body">
                        <div class="mb-3 row">
                            <label for="group_id" class="col-md-2 col-form-label">Field Gropup</label>
                            <div class="col-md-6">
                                <select class="form-control group_id" name="group_id"  data-placeholder="Field Type" id="group_id">
                                    <option value="">Choose...</option>
                                    @foreach($formFieldGroups as $formFieldGroup)
                                        <option value="{{ $formFieldGroup->id }}"> {{ $formFieldGroup->field_group }}</option>
                                    @endforeach 
                                </select>
                                <div  id="group_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="field_name" class="col-md-2 col-form-label">Field Name</label>
                            <div class="col-md-6">
                                <input type="text" id="field_name" name="field_name" class="form-control" placeholder="Enter Your Field Name" />
                                <div  id="field_name_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="type_id" class="col-md-2 col-form-label">Field Type</label>
                            <div class="col-md-6">                            
                                <select class="form-control type_id" name="type_id"  data-placeholder="Field Type" id="type_id">
                                    <option value="">Choose...</option>
                                    @foreach($formFieldTypes as $formFieldType)
                                        <option value="{{ $formFieldType->id }}"  data-option="{{ $formFieldType->add_option }}" > {{ $formFieldType->field_type }}</option>
                                    @endforeach 
                                </select>
                                <div  id="type_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="field_title" class="col-md-2 col-form-label">Field Title</label>
                            <div class="col-md-6">
                                <input type="text" id="field_title" name="field_title" class="form-control" placeholder="Enter Your Field Title" />
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="place_holder" class="col-md-2 col-form-label">Place Holder</label>
                            <div class="col-md-6">
                                <input id="place_holder" name="place_holder" type="text" class="form-control" placeholder="Place Holder" >
                            </div>
                        </div>
                        
                        <div class="mb-3 row option-field" style="display:none;">
                            <label for="place_holder" class="col-md-2 col-form-label">Options</label>
                            <div class="col-md-6">
                                <textarea id="option" name="option" type="text" row="2" class="form-control" placeholder="option1,option2,..." ></textarea>
                            </div>
                        </div>
                        
                        <div class="mb-3 row">
                            <label for="have_condition" class="col-md-2 col-form-label">Have Condition</label>
                            <div class="col-md-6">
                                <input class="form-check-input have_condition" type="radio" name="have_condition" id="have_condition1" value="Yes" >
                                <label class="form-check-label" for="have_condition1">Yes</label>
                                <input class="form-check-input have_condition" type="radio" name="have_condition" id="have_condition2" value="No"  >
                                <label class="form-check-label" for="have_condition2">No</label>
                            </div>
                            
                            <div class="condition-field-form" style="display:none">
                                <div class="mb-3 row">
                                    <label for="condition_field_name" class="col-md-4 col-form-label">Condition Field Name <i class="fas fa-question-circle" data-toggle="tooltip" data-placement="top" title="Should equal to any above field name"></i></label>
                                    <div class="col-md-6">
                                        <input type="text" id="condition_field_name" name="condition_field_name" class="form-control" placeholder="Condition Field Name"  value=""  />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="equal_value" class="col-md-4 col-form-label">Equal Value</label>
                                    <div class="col-md-6">
                                        <input type="text" id="equal_value" name="equal_value" class="form-control" placeholder="Equal Value"  />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="field_id_type" class="col-md-4 col-form-label">Condition Field Type</label>
                                    <div class="col-md-6">
                                        <input type="text" id="field_id_type" name="field_id_type" class="form-control" placeholder="Equal Value" />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="equal_value_type" class="col-md-4 col-form-label">Equal Value Type</label>
                                    <div class="col-md-6">
                                        <input type="text" id="equal_value_type" name="equal_value_type" class="form-control" placeholder="Equal"  />
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="mb-3 row ">
                            <label for="priority" class="col-md-2 col-form-label">Priority</label>
                            <div class="col-md-6 priority-div">
                                <select id="priority" name="priority" class="priority form-select">
                                    <option value=''>Select...</option>
                                    @foreach (range(1,20) as $option)
                                    <option value='{{ $option }}'>{{ $option }}</option>
                                    @endforeach
                                </select>
                                <div  id="priority_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <div class="col-lg-10">
                            </div>
                            <div class="col-lg-2 align-self-center" style="margin-top: -70px;">
                                <div class="d-grid">
                                    <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                @endif
            </div>
            <input data-repeater-create type="button" class="btn btn-success mt-3 mt-lg-0 form-field-add-btn" value="Add" />
        </div>
        


        <div class="card">
            <div class="repeater" enctype="multipart/form-data">
                <div class="mb-3 row"  style="padding: 26px 0 0 20px;">
                    <div class="col-md-10">
                        <h4 class="card-title">Form Button</h4>
                    </div>
                    <div class="col-md-2">
                            <input data-repeater-create type="button" class="add-form-btn-btn btn btn-primary mt-3 mt-lg-0" value="Add Buttons" />
                    </div>
                </div>
                <hr>
                <div data-repeater-list="form-buttons">
                    @if(isset($formButtons[0]))
                    @foreach ($formButtons as $formButton)
                    <?php $attributes  = json_decode($formButton->attributes);
                    
                    ?>
                    <div data-repeater-item class="card data-item">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-5">
                                    <div class="mb-3 row">
                                        <label for="name" class="col-md-4 col-form-label">Button Name</label>
                                        <div class="col-md-4">
                                            <input type="hidden" name="button_id" value="{{ $formButton->id }}"  />
                                            <input type="text" id="name" name="name" class="form-control" placeholder="Value"  value="{{ $attributes->name ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="name_type" name="name_type" class="name_type form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}' {{ $attributes?->name_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="type" class="col-md-4 col-form-label">Button Type</label>
                                        <div class="col-md-4">
                                            <input type="text" id="type" name="type" class="form-control" placeholder="Value"  value="{{ $attributes->type ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="type_type" name="type_type" class="type_type form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}' {{ $attributes?->type_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="title" class="col-md-4 col-form-label">Button Title</label>
                                        <div class="col-md-4">
                                            <input type="text" id="title" name="title" class="form-control" placeholder="Value"  value="{{ $attributes->title ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="title_type" name="title_type" class="title_type form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->title_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="button_submit" class="col-md-4 col-form-label">Button Submit</label>
                                        <div class="col-md-4">
                                            <input type="text" id="on_submit" name="on_submit" class="form-control" placeholder="Value"  value="{{ $attributes->on_submit ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="on_submit_type" name="on_submit_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->on_submit_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="on_pressed" class="col-md-4 col-form-label">On Pressed</label>
                                        
                                        <div class="col-md-4">
                                            <input type="text" id="on_pressed" name="on_pressed" class="form-control" placeholder="Value"  value="{{ $attributes->on_pressed ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="on_pressed_type" name="on_pressed_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->on_pressed_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="padding" class="col-md-4 col-form-label">Padding</label>
                                        
                                        <div class="col-md-4">
                                            <input type="text" id="padding" name="padding" class="form-control" placeholder="Value"  value="{{ $attributes->padding ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="padding_type" name="padding_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->padding_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="width" class="col-md-4 col-form-label">Width</label>
                                        
                                        <div class="col-md-4">
                                            <input type="text" id="width" name="width" class="form-control" placeholder="Value"  value="{{ $attributes->width ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="width_type" name="width_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}' {{ $attributes?->width_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="mb-3 row">
                                        <label for="background_color" class="col-md-4 col-form-label">Background Color</label>
                                        <div class="col-md-4">
                                            <input type="text" id="background_color" name="background_color" class="colorpicker-showinput-intial  form-control" placeholder="Value"  value="{{ $attributes->background_color ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="background_color_type" name="background_color_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}' {{ $attributes?->background_color_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="foreground_color" class="col-md-4 col-form-label">Foreground Color</label>
                                        <div class="col-md-4">
                                            <input type="text" id="foreground_color" name="foreground_color" class="colorpicker-showinput-intial form-control" placeholder="Value"  value="{{ $attributes->foreground_color ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="foreground_color_type" name="foreground_color_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->foreground_color_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="color" class="col-md-4 col-form-label">Color</label>
                                        <div class="col-md-4">
                                            <input type="text" id="color" name="color" class="colorpicker-showinput-intial form-control" placeholder="Value"  value="{{ $attributes->color ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="color_type" name="color_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->color_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="border_radious" class="col-md-4 col-form-label">Border Radious</label>
                                        <div class="col-md-4">
                                            <input type="text" id="border_radious" name="border_radious" class="form-control" placeholder="Value"  value="{{ $attributes->border_radious ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="border_radious_type" name="border_radious_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->border_radious_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="font_size" class="col-md-4 col-form-label">Font Size</label>
                                        
                                        <div class="col-md-4">
                                            <input type="text" id="font_size" name="font_size" class="form-control" placeholder="Value"  value="{{ $attributes->font_size ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="font_size_type" name="font_size_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}' {{ $attributes?->font_size_type == $option ? 'selected' : ''}}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="font_weight" class="col-md-4 col-form-label">Font Weight</label>
                                        <div class="col-md-4">
                                            <input type="text" id="font_weight" name="font_weight" class="form-control" placeholder="Value"  value="{{ $attributes->font_weight ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="font_weight_type" name="font_weight_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}'  {{ $attributes?->font_weight_type == $option ? 'selected' : $option }}>{{ $option }}</option>
                                                @endforeach
                                            </select>

                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="redirect_url" class="col-md-4 col-form-label">Redirect URL</label>
                                        <div class="col-md-4">
                                            <input type="text" id="redirect_url" name="redirect_url" class="form-control" placeholder="Value"  value="{{ $attributes->redirect_url ?? '' }}"  />
                                        </div>
                                        <div class="col-md-4">
                                            <select id="redirect_url_type" name="redirect_url_type" class="form-select">
                                                <option value=''>Select Type...</option>
                                                @foreach ($typeValues as $option)
                                                <option value='{{ $option }}' {{ (isset($attributes->redirect_url_type) ? ($attributes->redirect_url_type == $option ? 'selected' : '') :'')  }}>{{ $option }}>{{ $option }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="col-lg-3 align-self-center">
                                        <div class="d-grid">
                                            <input type="button" data-repeater-delete  class="delete-form-button btn btn-primary-borderd" data-id="{{ $formButton->id }}" value="Delete" data-url="{{ route('cms.forms.delete-form-button', ['id' => $formButton->id]) }}" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    @endforeach
                    @else
                    <div data-repeater-item class="card data-item">
                        <div class="card-body">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="mb-3 row">
                                    <label for="name" class="col-md-4 col-form-label">Button Name</label>
                                    <div class="col-md-4">
                                        <input type="text" id="name" name="name" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="name_type" name="name_type" class="name_type form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="type" class="col-md-4 col-form-label">Button Type</label>
                                    <div class="col-md-4">
                                        <input type="text" id="type" name="type" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="type_type" name="type_type" class="type_type form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}' >{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="title" class="col-md-4 col-form-label">Button Title</label>
                                    <div class="col-md-4">
                                        <input type="text" id="title" name="title" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="title_type" name="title_type" class="title_type form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="button_submit" class="col-md-4 col-form-label">Button Submit</label>
                                    <div class="col-md-4">
                                        <input type="text" id="on_submit" name="on_submit" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="on_submit_type" name="on_submit_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}' >{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="on_pressed" class="col-md-4 col-form-label">On Pressed</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="on_pressed" name="on_pressed" class="form-control" placeholder="Value"  value="{{ $attributes->on_pressed ?? '' }}"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="on_pressed_type" name="on_pressed_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="padding" class="col-md-4 col-form-label">Padding</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="padding" name="padding" class="form-control" placeholder="Value"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="padding_type" name="padding_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}' >{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="width" class="col-md-4 col-form-label">Width</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="width" name="width" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="width_type" name="width_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}' >{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="mb-3 row">
                                    <label for="background_color" class="col-md-4 col-form-label">Background Color</label>
                                    <div class="col-md-4">
                                        <input type="text" id="background_color" name="background_color" class="colorpicker-showinput-intial  form-control" placeholder="Value"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="background_color_type" name="background_color_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="foreground_color" class="col-md-4 col-form-label">Foreground Color</label>
                                    <div class="col-md-4">
                                        <input type="text" id="foreground_color" name="foreground_color" class="colorpicker-showinput-intial form-control" placeholder="Value"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="foreground_color_type" name="foreground_color_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'}>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="color" class="col-md-4 col-form-label">Color</label>
                                    <div class="col-md-4">
                                        <input type="text" id="color" name="color" class="colorpicker-showinput-intial form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="color_type" name="color_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="border_radious" class="col-md-4 col-form-label">Border Radious</label>
                                    <div class="col-md-4">
                                        <input type="text" id="border_radious" name="border_radious" class="form-control" placeholder="Value"/>
                                    </div>
                                    <div class="col-md-4">
                                        <select id="border_radious_type" name="border_radious_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="font_size" class="col-md-4 col-form-label">Font Size</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="font_size" name="font_size" class="form-control" placeholder="Value"/>
                                    </div>
                                    <div class="col-md-4">
                                        <select id="font_size_type" name="font_size_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="font_weight" class="col-md-4 col-form-label">Font Weight</label>
                                    <div class="col-md-4">
                                        <input type="text" id="font_weight" name="font_weight" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="font_weight_type" name="font_weight_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}'>{{ $option }}</option>
                                            @endforeach
                                        </select>

                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="redirect_url" class="col-md-4 col-form-label">Redirect URL</label>
                                    <div class="col-md-4">
                                        <input type="text" id="redirect_url" name="redirect_url" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="redirect_url_type" name="redirect_url_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            @foreach ($typeValues as $option)
                                            <option value='{{ $option }}' {{ $option == 'string' ? 'selected' : '' }}>{{ $option }}</option>
                                            @endforeach
                                        </select>

                                    </div>
                                </div>
                            </div>
                                <div class="col-md-2">
                                    <div class="col-lg-3 align-self-center">
                                        <div class="d-grid">
                                            <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
            </div>
        </div>
        <div class="d-flex flex-wrap gap-2">
            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
            <button type="submit" class="btn btn-secondary waves-effect waves-light">Cancel</button>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    
<script src="{{ URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/spectrum-colorpicker/spectrum-colorpicker.min.js') }}"></script>

<script src="{{ URL::asset('/assets/js/pages/form-repeater.int.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){

        $(".colorpicker-showinput-intial").spectrum({
        showInitial: true,
        showInput: true
        });

        $(document).on('click', '.add-form-btn-btn', function(event) {
            event.preventDefault();
            
            $(".colorpicker-showinput-intial").spectrum({
            showInitial: true,
            showInput: true
            });
        });
        $(document).on('click', '.form-field-add-btn', function(event) {
            event.preventDefault();
            // var total = $('.form-field-id-div').length;
            // console.log(total);
            // $(".form-field-id-div).each(function(index) {
            //     if (index === total - 1) {
            //         id = $(this).children('.form-field-id');
            //         id.val('');
            //     }
            // });
        });



        $('[data-toggle="tooltip"]').tooltip();
       // $('.have_condition').change(function(){
        //$('input.have_condition').on('change', function() {
        $(document).on("change", ".have_condition", function(){
            parentDiv = $(this).parents('.data-item');
            conditionField = parentDiv.find(".condition-field-form");
            if($(this).val() == 'Yes'){
                conditionField.show();
            }else{
                conditionField.hide();
            }
        }).trigger('change');
        $(document).on("change", ".type_id", function(){
            //addAption = $(this). attr('data-option');
            addAption = $(this).find("option:selected").attr('data-option');
            if(addAption == 'Yes'){
                parentDiv = $(this).parents('.data-item');
                optionField = parentDiv.find(".option-field");
                optionField.show();
            }else{
                parentDiv = $(this).parents('.data-item');
                optionField = parentDiv.find(".option-field");
                optionField.hide();
            }
        });

        $(document).on('click', '.delete-form-field', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl =  $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        $(document).on('click', '.delete-image', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl =  $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){
                    location.reload(true);
                },
                error: function (data) {
                    
                },
            });
        });
        $(document).on('click', '.delete-form-button', function(event) {
            event.preventDefault();
            actionUrl =  $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        $( "#edit_form" ).submit(function( event ) {
             event.preventDefault();
             actionUrl = "{{ route('cms.forms.validate') }}";
             form = $( "#edit_form" );
             $.ajax({
                 type: "POST",
                 url: actionUrl,
                 data: form.serialize(), // serializes the form's elements.
                 success: function(data){ 
                     $('.needs-validation').addClass('validated');
                     form.unbind().submit(); 
                 },
                 error: function (data) {
                     console.log('An error occurred.');
                     response = data.responseJSON;
                     if(response.status == false){
                         $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                         });
                     }
                 },
             });
        });
    });
    </script>
@endsection