@extends('layouts.master')

@section('title') @lang('Form') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!--<link href="{{ URL::asset('/assets/libs/bootstrap-editable/bootstrap-editable.min.css') }}" rel="stylesheet" type="text/css" /> -->
    <!--<link href="https://cdn.datatables.net/rowreorder/1.2.7/css/rowReorder.dataTables.min.css" rel="stylesheet" type="text/css" />-->
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->

@endsection
@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Content Management @endslot
        @slot('title') Form  @endslot
    @endcomponent
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <select id="slug" class="form-control select2">
                                <option value=''>--By Slug--</option>
                                @foreach($formList as $form)
                                    <option value="{{ $form->slug }}">{{ $form->slug}}</option>
                                @endforeach 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="title" class="form-control select2">
                                <option value=''>--By Title--</option>
                                @foreach($formList as $form)
                                    <option value="{{ $form->title }}">{{ $form->title}}</option>
                                @endforeach 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="updated_by" class="form-control select2">
                                <option value=''>--By Updated By --</option>
                                @foreach($formList as $form)
                                    @if($form->updatedUser))
                                    <option value="{{ $form->updatedUser->id }}">{{ $form->updatedUser->name }}</option>
                                    @endif
                                @endforeach 
                            </select>
                        </div> <!--<label class="col-sm-1" >Search: </label>-->
                        <div class="col-sm-2">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                        </div>
                        <div class="col-sm-2">
                        </div>
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                                <a href="{{ route('cms.forms.create')}}" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Form</a>
                            </div>
                        </div><!-- end col-->
                    </div>
                    <div class="row mb-2">
                        <div class="col-sm-4">
                            <div class="search-box me-2 mb-2 d-inline-block">
                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="text-sm-end">
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <!--<th>Order</th>-->
                                    <th>Slug</th>
                                    <th>Title</th>
                                    <th>Created At</th>
                                    <th>Updated At</th>
                                    <th>Updated by</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <!--<script src="https://cdn.datatables.net/rowreorder/1.2.7/js/dataTables.rowReorder.min.js"></script>-->
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <!--<script src="{{ URL::asset('/assets/libs/bootstrap-editable/bootstrap-editable.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/moment/moment.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-xeditable.init.js') }}"></script>-->
   
    <script type="text/javascript">
        $(document).ready(function(){
            
            
            $('#title').on('change', function() {
                updateTables();
            });
            $('#updated_by').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "{{ csrf_token() }}"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            updateTables();
            // var table = $('#agax_datatable').DataTable( {
            //     serverSide: true,
            //     processing: true,
            //     searching:false,
            //     paging: true,
            //     pageLength:50,
            //     "ajax": {
            //         "url": "{{ route('cms.forms.tab-index') }}",
            //         "type": "POST",
            //         'data': {
            //             "slug": $('#title').val(),
            //             "title": $('#title').val(),
            //             "updated_by": $('#updated_by').val(),
            //             "search": $('#search').val(),
            //             "_token": "{{ csrf_token() }}"
            //         }
            //     },
            //     dom: 'Blfrtip',
            //     "columns": [
            //         { "data": "id" },
            //         { "data": "priority" },
            //         { "data": "slug" },
            //         { "data": "title" },
            //         { "data": "updated_by" },
            //         { "data": "updated_at" },
            //         { "data": "created_at" },
            //         { "data": "action" },

            //     ],
            //     rowReorder: {
            //         dataSrc: 'id',
            //         selector: 'tr'
            //     },
            //     "buttons":[

            //     ],
            // });
            // table.on( 'row-reorder', function ( e, diff, edit ) {
            //     idQ ='';
            //     position ='';
            //     for ( var i=0, ien=diff.length ; i<ien ; i++ ) {
            //         // get id row
            //         idQ = diff[i].node.id;
            //         console.log('diff');
            //         console.log(diff[i]);
            //         position = diff[i].newPosition+1;
                    
            //     }
            //      if(idQ && position){
            //         updateOrder(idQ, position);
            //     }
            // } );
        });

        // function updateOrder(id, position) {
        //     var tabel_url = "{{ route('cms.forms.order-tab-index') }}";
        //  $.ajax({
        //         url: tabel_url,
        //         type: 'POST',
        //         dataMode: 'json',
        //         data: {
        //             id: id,
        //             position: position,
        //             "_token": "{{ csrf_token() }}"
        //         }
        //         }).always(function (data) {
        //             updateTables();
        //         });

        // }
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                pageLength:50,
                "ajax": {
                    "url": "{{ route('cms.forms.tab-index') }}",
                    "type": "POST",
                    'data': {
                        "slug": $('#title').val(),
                        "title": $('#title').val(),
                        "updated_by": $('#updated_by').val(),
                        "search": $('#search').val(),
                        "_token": "{{ csrf_token() }}"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    //{ "data": "priority" },
                    { "data": "slug" },
                    { "data": "title" },
                    { "data": "updated_by" },
                    { "data": "updated_at" },
                    { "data": "created_at" },
                    { "data": "action" },

                 ],
                // rowReorder: {
                //     dataSrc: 'id',
                //     selector: 'tr'
                // },
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
@endsection
