@extends('layouts.master')

@section('title') @lang('translation.Terms & Condition') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Terms & Condition @endslot
@slot('title') Add Terms & Condition @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="{{ route('cms.terms-condition.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <h5>Terms & Condition Details</h5><br>
                <div class="mb-3 row">
                    <label for="terms_condition_title" class="col-md-2 col-form-label">Terms & Condition Title</label>
                    <div class="col-md-6">
                        <input id="terms_condition_title" name="terms_condition_title" type="text" class="form-control" placeholder="Terms & Condition Title" required>
                        <div  id="terms_condition_title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App">Customer App</option>
                            <option value="Angel Driver">Angel Driver</option>
                            <option value="OPS Angel">OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Content Details</h5><br>
                <div class="mb-3 row">
                    <label for="publish" class="col-md-2 col-form-label">Publish</label>
                    <div class="col-md-2">
                        <input class="form-check-input" type="radio" name="publish" value="Document" id="publish1">
                        <label class="form-check-label" for="publish1">
                            PDF Document
                        </label>
                    </div>
                    <div class="col-md-2">
                        <input class="form-check-input" type="radio" name="publish"  value="HTML" id="publish2">
                        <label class="form-check-label" for="publish2">
                            HTML Link
                        </label>
                    </div>
                </div>
                <div class="mb-3 row pdf-doc">
                    <label for="terms_condition_doc" class="col-md-2 col-form-label">Upload PDF Document</label>
                    <div class="col-md-6">
                        <input id="terms_condition_doc" name="terms_condition_doc" type="file" class="form-control"  />
                        <small>Choose an PDF from the computer</small>
                    </div>
                </div>
                <div class="mb-3 row html-link">
                    <label for="html_link_page" class="col-md-2 col-form-label">Link an HTML URL</label>
                    <div class="col-md-6">
                        <input id="html_link_page" name="html_link_page" type="text" class="form-control" placeholder="Linking Page" />
                        <small>Add/Type the URL which will open  on mobile APP</small>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        $('.html-link').hide();
        $('.pdf-doc').hide();

        $('input[type=radio][name=publish]').change(function() {
            if (this.value == 'Document') {
                $('.pdf-doc').show();
                $('.html-link').hide();
            }else if (this.value == 'HTML') {
                $('.pdf-doc').hide();
                $('.html-link').show();
            }
        });
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('cms.terms-condition.validate') }}";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
@endsection