@extends('layouts.master')

@section('title') @lang('translation.Location') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')


<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Location Classification</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="{{ route('location.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <h5>Operational Location</h5><br>
                <div class="mb-3 row">
                    <label for="location" class="col-md-2 col-form-label">Name the Location<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="location" name="location" type="text" class="form-control" placeholder="Type here" required>
                        <div  id="location_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="location_classification_id" class="col-md-2 col-form-label">Location Classification<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="location_classification_id" name="location_classification_id" class="form-control" required>
                            <option value=''>Select...</option>
                            @foreach($locationClassification as $classification)
                                <option value="{{ $classification->id }}">{{ $classification->location_classification}}</option>
                            @endforeach 
                        </select>
                        <div  id="location_classification_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="property_type_id" class="col-md-2 col-form-label">Property Type<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="property_type_id" name="property_type_id" class="form-select" required>
                            <option value=''>Select...</option>
                                @foreach($propertyTypeList as $propertyType)
                                    <option value="{{ $propertyType->id }}" >{{ $propertyType->property_type}}</option>
                                @endforeach 
                        </select>
                        <div  id="property_type_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Contact Details</h5><br>
                <div class="mb-3 row">
                    <label for="phone_number" class="col-md-2 col-form-label">Phone Number</label>
                    <div class="col-md-6">
                        <input id="phone_number" name="phone_number" type="text" class="form-control" placeholder="Type here" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="email" class="col-md-2 col-form-label">Email Id</label>
                    <div class="col-md-6">
                        <input id="email" name="email" type="text" class="form-control" placeholder="Type here" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="address" class="col-md-2 col-form-label">Address<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="address" name="address" type="text" class="form-control" placeholder="Type here" required />
                        <div  id="address_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="postal_code" class="col-md-2 col-form-label">Pin Code<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="postal_code" name="postal_code" type="text" class="form-control" placeholder="Type here" required />
                        <div  id="postal_code_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-select" required>
                            <option value=''>Select...</option>
                            @foreach($cities as $city)
                                <option value="{{ $city->id }}">{{ $city->city}}</option>
                            @endforeach 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $('#city_id').on('change', function() {
                updateStateOptions();
                updateDistrictOptions();
                updateZoneOptions();
        });
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('location.validate') }}";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        validationErrors(response);
                    }
                },
            });
        });
    });
    
    function updateStateOptions(){

        var city_id = $('#city_id').val();
        var states = [];
        actionUrl = "{{ route('city') }}";
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "city_id":city_id,
                "with":'state',
                "_token": "{{ csrf_token() }}"
            },
            success: function(data){ 
                console.log(data['data']);
                console.log(data['data'].id);
                if(data['data']){
                    var sel = $("#state_id");
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    sel.append('<option value="'+ data['data'].id +'"selected>'+ data['data'].state +'</option>');
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    function updateDistrictOptions(){
        var city_id = $('#city_id').val();
        var states = [];
        actionUrl = "{{ route('city') }}";
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "city_id":city_id,
                "with":'district',
                "_token": "{{ csrf_token() }}"
            },
            success: function(data){ 
                if(data['data']){
                    var sel = $("#district_id");
                    sel.find('option').remove().end();
                   // sel.append('<option value="">Select...</option>');
                    sel.append('<option value="'+ data['data'].id +'" selected>'+ data['data'].district +'</option>');
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    function updateZoneOptions(){
        var city_id = $('#city_id').val();
        var states = [];
        actionUrl = "{{ route('city') }}";
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "city_id":city_id,
                "with":'zone',
                "_token": "{{ csrf_token() }}"
            },
            success: function(data){ 
                if(data['data']){
                    var sel = $("#zone_id");
                    sel.find('option').remove().end();
                   // sel.append('<option value="">Select...</option>');
                    sel.append('<option value="'+ data['data'].id +'" selected>'+ data['data'].zone +'</option>');
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    </script>
@endsection