@extends('layouts.master')

@section('title') @lang('translation.Add_Asset') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Ecommerce @endslot
@slot('title') Add Asset @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="email_template_form" action="{{ route('email-templates.post.update',$mailTemplate->id) }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Basic Information</h4>
                <p class="card-title-desc">Fill all information below</p>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="mb-3">
                                <label for="Title">Title</label>
                                <input id="title" name="title" type="text" class="form-control" placeholder="Title" value="{{ $mailTemplate->title }}" required>
                                <div  id="title_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="subject">Subject</label>
                                <input id="subject" name="subject" type="text" class="form-control" placeholder="Manufacturer Name"  value="{{ $mailTemplate->subject }}" >
                            </div>
                        </div>

                        <div class="col-sm-6">
                            
                        <div class="mb-3">
                                <label for="template_key"> Template Key</label>
                                <input id="template_key" name="template_key" type="text" class="form-control" placeholder="Manufacturer Template Key" value="{{ $mailTemplate->template_key }}"  disabled>
                            </div>
                            <div class="mb-3">
                                <label for="duration"></label>
                                <div class="form-check  {{ $mailTemplate['status'] == 1 ? 'form-radio-success' : 'form-radio-primary' }}  mb-3 user-status-field" >
                                    <input type="radio"  class="form-check-input"  name="status"  value="1" {{ $mailTemplate['status'] == 1 ? 'checked' : '' }} id="mail_status">
                                    <label class="form-check-label" for="mail_status">
                                        {{ $mailTemplate['status'] == 1 ? 'Activated' : 'Activate' }}
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>

            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3">Mail Content</h4>

                <textarea class="form-control" id="elm1" rows="5" name="mail_content" placeholder="Asset Description"> {{ $mailTemplate->mail_content }} </textarea>
            </div>

        </div> <!-- end card-->

        <div class="d-flex flex-wrap gap-2">
            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
            <a href="{{ route('email-templates.index') }}" class="btn btn-secondary waves-effect waves-light">Cancel</a>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
       
    });
    </script>
@endsection