@extends('layouts.master')

@section('title') @lang('translation.Cashback') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Cashback @endslot
@slot('title') Edit Cashback @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="{{ route('marketing.cashback.update', ['cashback' => $cashback->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('put')
    @csrf
    <input name="id" type="hidden"  value="{{ $cashback->id }}" />
    
    <div class="card">
            <div class="card-body">
                <h5>Cashback Details</h5><br>
                <div class="mb-3 row">
                    <label for="cashback_condition" class="col-md-2 col-form-label">Cashback Condition</label>
                    <div class="col-md-6">
                        <input id="cashback_condition" name="cashback_condition" type="text" class="form-control" placeholder="Cashback Condition" value="{{ $cashback->cashback_condition }}" required>
                        <div  id="cashback_condition_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="business_category_id" class="col-md-2 col-form-label">For Business Category</label>
                    <div class="col-md-6">
                        <select id="business_category_id" name="business_category_id" class="form-select select2">
                            <option value=''>Select...</option>
                            @foreach($businessCategoryList as $businessCategory)
                                <option value="{{ $businessCategory->id }}" {{ $businessCategory->id  == $cashback->business_category_id ? 'selected' :''}}>{{ $businessCategory->business_category}}</option>
                            @endforeach 
                        </select>
                        <div  id="business_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Cashback Program Details</h5><br>
                <div class="mb-3 row">
                    <label for="image" class="col-md-2 col-form-label">Image</label>
                    <div class="col-md-6">
                        <img src="" />
                        <input id="image" name="image" type="file" class="form-control"  />
                        <small>Choose an image from the computer</small>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="link_page" class="col-md-2 col-form-label">Linking Page</label>
                    <div class="col-md-6">
                        <input id="link_page" name="link_page" type="text" class="form-control" placeholder="Linking Page"  value="{{ $cashback->link_page }}"/>
                        <small>Add/Type the URL which will open when the image is clicked on mobile APP</small>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Applicable LOcation</h5><br>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-control" required>
                            <option value=''>Select...</option>
                            @foreach($cities as $city)
                                <option value="{{ $city->id }}" {{ $city->id  == $cashback->city_id ? 'selected' :''}}>{{ $city->city}}</option>
                            @endforeach 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Cashback Points and Redemption Formula</h5><br>
                <div class="mb-3 row">
                    <label for="subscription_plan_id" class="col-md-2 col-form-label">Subscription Plan</label>
                    <div class="col-md-6">
                        <select id="subscription_plan_id" name="subscription_plan_id" class="form-select select2">
                            <option value=''>Select...</option>
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="minimum_order_cost" class="col-md-2 col-form-label">Minimum Order Cost</label>
                    <div class="col-md-6">
                        <input id="minimum_order_cost" name="minimum_order_cost" type="text" class="form-control" placeholder="Minimum Order Cost"value="{{ $cashback->minimum_order_cost }}" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="cashback" class="col-md-2 col-form-label">Cashback %</label>
                    <div class="col-md-6">
                        <input id="cashback" name="cashback" type="text" class="form-control" placeholder="Cashback %" value="{{ $cashback->cashback }}" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="add_cashback_to" class="col-md-2 col-form-label">Up to Cost</label>
                    <div class="col-md-6">
                        <select id="add_cashback_to" name="add_cashback_to" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Wallet" {{ $cashback->add_cashback_to == 'Wallet' ? 'selected' : ''}}>Wallet</option>
                            <option value="Bank"  {{ $cashback->add_cashback_to == 'Bank' ? 'selected' : ''}}>Bank</option>
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="expiry_date" class="col-md-2 col-form-label">Cashback Expiry On</label>
                    <div class="col-md-6">
                        <input id="expiry_date" name="expiry_date" type="date" class="form-control" placeholder="Cashback Expiry On" value="{{ $cashback->expiry_date }}" />
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var token = "{{ csrf_token() }}";
        actionUrl = "{{ route('city') }}";
        updateStateOptions(actionUrl, token);
        updateDistrictOptions(actionUrl, token);
        updateZoneOptions(actionUrl, token);
        $('#city_id').on('change', function() {
            actionUrl = "{{ route('city') }}";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('marketing.cashback.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    
    </script>
@endsection