@extends('layouts.master')

@section('title') @lang('translation.Activity Status') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Activity Status</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="{{ route('activity-status.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create New Activity Status</div>
                <div class="mb-3 row">
                <div class="form-group mb-3">
                    <label for="activity_status" class="col-md-2 col-form-label">Name the Activity Status</label>
                    <div class="col-md-6">
                        <input id="activity_status" name="activity_status" type="text" class="form-control" placeholder="Name the Activity Status" required>
                        <div  id="activity_status_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>             
                        <div class="col-md-7">
                <div class="mb-3 row"> 
                        <label for="activity_status" class="col-md-1 col-form-label">From</label>
                        <div class="col-md-4">
                            <input type="date" id="input-date1" class="form-control input-mask" data-inputmask="'alias': 'datetime'" data-inputmask-inputformat="dd/mm/yyyy" im-insert="false">
                            <div  id="activity_status_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                        <label for="activity_status" class="col-md-1 col-form-label">To</label>
                        <div class="col-md-4">
                            <input  type="date" id="input-date1" class="form-control input-mask" data-inputmask="'alias': 'datetime'" data-inputmask-inputformat="dd/mm/yyyy" im-insert="false">
                            <div  id="activity_status_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                        </div>
                </div>

<!--                 
                <div class="mb-3 row">
                    <label for="type" class="col-md-2 col-form-label">For</label>
                    <div class="col-md-6">
                        <select name="type" id="type" class="form-select" required>
                            <option value='' >Select...</option>
                            <option value="Payment">Payment</option>
                            <option value="Order">Order</option>
                        </select>
                        <div  id="type_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div> -->

            </div>
        </div>

        
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>

    
    <!-- form mask -->
    <script src="{{ URL::asset('/assets/libs/inputmask/inputmask.min.js') }}"></script>

    <!-- form mask init -->
    <script src="{{ URL::asset('/assets/js/pages/form-mask.init.js') }}"></script>

    
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('activity-status.validate') }}";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
@endsection