@extends('layouts.master')

@section('title') @lang('translation.Service Types') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Create new / edit Angel SERVICE TYPES</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    @if($angelService->id)
    <form  class="needs-validation" id="edit_form" action="{{ route('master.angel-service.update', ['angel_service' => $angelService->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('put')
    @else
    <form  class="needs-validation" id="edit_form" action="{{ route('master.angel-service.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @endif
    @csrf
    <input name="id" type="hidden"  value="{{ $angelService->id }}" />

        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create New/ Edit Angel service type</div>
                <div class="mb-3 row">
                    <label class="col-md-2 col-form-label" for="service_type">Name the Angel Service</label>
                    <div class="col-md-6">
                        <input id="service_type" name="service_type" type="text" class="form-control" placeholder="Service Type" value="{{ $angelService->service_type }}" required>
                        <div  id="service_type_errors"  class="invalid-feedback">
                             Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-md-2 col-form-label" for="image">Upload image (front)</label>
                    <div class="col-md-6" style="{{ $angelService->image ? 'display:none' : '' }}">
                        <input id="image" name="image" type="file" class="form-control" placeholder="Service Type" value="{{ $angelService->image }}">
                        <small>Choose an image from the computer 100 x100</small>
                        <div  id="image_errors"  class="invalid-feedback">
                             Required
                        </div>
                    </div>
                    @if($angelService->image)
                    <div class="col-md-4" style="{{ $angelService->image ? '' : 'display:none' }}">
                        <img src="/storage{{ $angelService->image }}" style="width: 100px;" /><a href="{{ route('master.angel.delete-service-type-image', $angelService->id) }}" class="btn btn-primary-borderd waves-effect waves-light" data-url ="{{ route('master.angel.delete-service-type-image', $angelService->id) }}">Delete</a>
                    </div>
                    @endif
                </div>
            </div>
        </div>

        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
       
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('master.angel-service.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit();
                   
                },
                error: function (data) {
                    response = data.responseJSON;
                    if(response.mode == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
        
    });
    </script>
@endsection