@extends('layouts.master')

@section('title') @lang('translation.Designation') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Form Field Group </h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="{{ route('form-field-group.update', ['form_field_group' => $formFieldGroup->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('put')
    @csrf
    <input name="id" type="hidden"  value="{{ $formFieldGroup->id }}" />
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Edit Form Field Group</div>
                <div class="mb-3 row">
                    <label for="field_group" class="col-md-2 col-form-label">Name the Designation</label>
                    <div class="col-md-6">
                        <input id="field_group" name="field_group" type="text" class="form-control" placeholder="Name the Designation" value="{{ $formFieldGroup->field_group }}"  required>
                        <div  id="field_group_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="title" class="col-md-2 col-form-label">Title</label>
                    <div class="col-md-6">
                        <input id="title" name="title" type="text" class="form-control" placeholder="Name the Field Group"  value="{{ $formFieldGroup->title }}" >
                        <div  id="title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="sub_title" class="col-md-2 col-form-label">Subtitle</label>
                    <div class="col-md-6">
                        <input id="sub_title" name="sub_title" type="text" class="form-control" placeholder="Name the Field Group"  value="{{ $formFieldGroup->sub_title }}" >
                        <div  id="sub_title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row ">
                    <label for="priority" class="col-md-2 col-form-label">Priority</label>
                    <div class="col-md-6 priority-div">
                        <select id="priority" name="priority" class="priority form-select">
                            <option value=''>Select...</option>
                            @foreach (range(1,20) as $option)
                            <option value='{{ $option }}' {{ $formFieldGroup->priority == $option ? 'selected' : '' }}>{{ $option }}</option>
                            @endforeach
                        </select>
                        <div  id="priority_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('form-field-group.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
@endsection