@extends('layouts.master')

@section('title') @lang('translation.Insurance Type') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Insurance Types @endslot
@slot('title') Add Insurance Type @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="insurance_duration_form" action="{{ route('insurance-durations.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create New Insurance Types</div>
                <div class="mb-3 row">
                    <label class="col-md-3 col-form-label" for="insurance_duration">Name the Insurance Duration</label>
                    <div class="col-md-6">
                        <input id="insurance_duration" name="insurance_duration" type="text" class="form-control" placeholder="Insurance Duration"  required>
                        <div  id="insurance_type_errors"  class="invalid-feedback">
                             Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="duration_by_days" class="col-md-3 col-form-label">Business Category</label>
                    <div class="col-md-6">
                        <select name="duration_by_days" id="duration_by_days" class="form-select" required="">
                            <option value="">Select...</option>
                            <option value="1">30</option>
                            <option value="90">90</option>
                            <option value="180">180</option>
                            <option value="360">360</option>
                        </select>
                        <div id="duration_by_days_errors" class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>

        
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#insurance_duration_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('insurance-duration.validate') }}";
            form = $( "#insurance_duration_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
@endsection