@extends('layouts.master')

@section('title') @lang('Insurance Duration') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
@endsection
@section('content')

    @component('components.breadcrumb')
        @slot('li_1') <a href="{{ url('/admin/insurance-durations') }}" title="Back">Insurance Duration</a> @endslot
        @slot('title') Insurance Duration @endslot
    @endcomponent

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-4">
                            <div class="search-box me-2 mb-2 d-inline-block">
                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="text-sm-end">
                                <a href="{{ route('insurance-durations.create')}}" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Insurance Duration</a>
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> Id </th>
                                    <th> Insurance Duration </th>
                                    <th> By Days </th>
                                    <th> Created At </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                            <tbody>
                            @if($insuranceDurations)
                                @foreach ($insuranceDurations as $insuranceDuration)
                                    <tr>
                                        <td>{{ $insuranceDuration->id }}</td>
                                        <td>{{ $insuranceDuration->insurance_duration }}</td>
                                        <td>{{ $insuranceDuration->duration_by_days }}</td>
                                        <td>{{ $insuranceDuration->created_at }}</td>
                                        <td>
                                            <form id="destroy-form" action="{{ route('insurance-durations.destroy', ['insurance_duration' => $insuranceDuration->id]) }}" method="POST" >
                                                @method('DELETE')
                                                @csrf
                                                 <a href="{{ route('insurance-durations.edit', ['insurance_duration' => $insuranceDuration->id]) }}" ><i class="mdi mdi-pencil font-size-16 text-success me-1"></i></a> 
                                                <a  href="javascript: void(0);" class="destroy-form">  <i  class="mdi mdi-trash-can font-size-16 text-danger me-1"></i> </a>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            $(document).on("click",".destroy-form",function(e) {
                e.preventDefault();
                form = $(this).parent('form');
                form.submit();
            });
        });
    </script>
@endsection
