@extends('layouts.master')

@section('title') @lang('translation.Taxation Profile') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Tax Percentage</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="{{ route('tax-percentage.update', ['tax_percentage' => $taxPercentage->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('put')
    @csrf
    <!--<input name="id" type="hidden"  value="{{ $taxPercentage->id }}" /> -->
        
    <div class="card">
            <div class="card-body">
                <h5 class="card-title">Create New Tax Percentage</h5>
                <div class="mb-3 row" style="margin-top: 25px;">
                    <label for="taxation_profile_id" class="col-md-2 col-form-label">Taxtion Profile</label>
                    <div class="col-md-6">                        
                        <select name="taxation_profile_id" id="taxation_profile_id" class="form-control select2">
                            <option value=''>Select</option>
                            @foreach($taxProfileList as $taxProfileData)
                                <option value="{{ $taxProfileData->id }}" {{ $taxProfileData->id == $taxPercentage->taxation_profile_id ? 'selected' : '' }}>{{ $taxProfileData->taxation_profile}}</option>
                            @endforeach 
                        </select>
                        <div  id="taxation_profile_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="repeater" enctype="multipart/form-data">
                    <div data-repeater-list="tax-list">
                        
                        @foreach ($taxProfile->taxPercentage as $taxPercentageData)
                        <div data-repeater-item class="row">
                            <div class="mb-3 row">
                                <label for="tax_name" class="col-md-2 col-form-label">Name the tax</label>
                                <div class="col-md-6">
                                    <input name="tax_id" type="hidden" value="{{ $taxPercentageData->id }}">
                                    <input id="tax_name" name="tax_name" type="text" class="form-control" placeholder="Type here" value="{{ $taxPercentageData->tax_name }}" required>
                                    <div  id="tax_name_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="percentage" class="col-md-2 col-form-label">Percentage</label>
                                <div class="col-md-6">
                                    <input id="percentage" name="percentage" type="text" class="form-control" placeholder="Type here"  value="{{ $taxPercentageData->percentage }}" required>
                                    <div  id="percentage_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                        </div> 
                        @endforeach             
                    </div>               
                    <div class="mb-3 row">
                        <div class="col-md-9">
                            <div class="d-flex flex-wrap gap-2 btn-sm-end">
                                <input data-repeater-create type="button" class="btn btn-primary mt-3 mt-lg-0" value="Add More" style="position: relative;top: -54px;"/>
                            </div>
                        </div>
                    </div>
                </div>               
            </div>
        </div>


        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-repeater.int.js') }}"></script>
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('tax-percentage.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
@endsection