@extends('layouts.master')

@section('title') @lang('translation.Verification Type') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">verification PARAMETER</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="{{ route('verification-types.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create New Verification parameter</div>
                <div class="mb-3 row">
                    <label for="verification_parameter" class="col-md-2 col-form-label">Name the Verification Parameter</label>
                    <div class="col-md-6">
                        <input id="verification_parameter" name="verification_parameter" type="text" class="form-control" placeholder="Name the Verification Type" required>
                        <div  id="verification_parameter_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="oblication" class="col-md-2 col-form-label">Obligation</label>
                    <div class="col-md-6">
                        <select name="oblication" id="oblication" class="form-control" required>
                            <option value="">Select...</option>
                            <option value="Photo Copy">Photo Copy</option>
                            <option value="Original">Original</option>
                        </select>
                        <div  id="oblication_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>

                <div class="mb-3 row">
                    <label for="proof_required" class="col-md-2 col-form-label">Proof Required</label>
                    <div class="col-md-6">
                        <input class="form-check-input" type="radio" name="proof_required" id="proof_required1" value="Yes">
                        <label class="form-check-label" for="proof_required1">Yes</label>
                        <input class="form-check-input" type="radio" name="proof_required" id="proof_required2" value="No">
                        <label class="form-check-label" for="proof_required2">No</label>
                        <div  id="verification_parameter_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="user_role" class="col-md-2 col-form-label">User Role</label>
                    <div class="col-md-6">
                        <select id="user_role" name="user_role" class="form-control select2">
                            <option value=''>select...</option>
                            @foreach($roles as $role)
                                <option value="{{ $role->id }}">{{ $role->name}}</option>
                            @endforeach 
                        </select>
                        <div  id="verification_parameter_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('verification-type.validate') }}";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
@endsection