@extends('layouts.master')

@section('title') @lang('Battery Swap Order') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
@endsection
@section('content')


    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">                        
                        <div class="col-sm-2">
                            <select id="battery_dealer_id" class="form-control select2">
                                <option value=''>--By Vehicle Order --</option>
                                @foreach($vehicleOrderList as $vehicleOrder)
                                    <option value="{{ $vehicleOrder->id }}">{{ $vehicleOrder->order_number}}</option>
                                @endforeach 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                        </div>
                        <div class="col-sm-4">
                        </div>
                        
                        <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                        </div>
                        <div class="col-sm-2">
                            <input type="search" id="search" name="search" class="form-control" placeholder="Search">
                        </div>
                        <div class="col-sm-2">
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="order_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Order Number</th>
                                    <th> Order status</th>
                                    <th> Payment status</th>
                                    <th> Payment Type</th>
                                    <th> Service/Order Type </th>
                                    <th> Cost </th>
                                    <th> Convinence Fee </th>
                                    <th> Delivery Charge </th>
                                    <th> Order sub Total </th>
                                    <th> Delivery Type </th>
                                    <th> Subscription Plan </th>
                                    <th> Created Date </th>
                                    <th> Updated Date </th>
                                    <th> Action </th>

                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
            updateTables();
           
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                updateTables();
            });
            $("#search").change(function(){
                updateTables();
            });
            
        });
        
        $(document).on('change','.order_status', function(){
            status = $(this).val();
            
            //var orderId =  $(this).find(":selected").attr("class");
            var orderId =  $(this).attr('id');
            console.log($(this).attr('id'));
            actionUrl = "{{ route('order.change_battery_order_status') }}";
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: {
                    "_token": "{{ csrf_token() }}",
                    "id" : orderId,
                    "status" : status
                },
                success: function(response){ 
                    updateTables();
                },
                error: function (data) {
                    console.log(data);
                    response = data.responseJSON;
                     
                    if(response.mode == false){
                        $.toast({
                            heading: 'Error',
                            text: response.message,
                            showHideTransition: 'fade',
                            icon: 'error'
                        })
                    }
                },
            });
        });
        $(document).on('change','.payment_status', function(){
            status = $(this).val();
            
            var orderId =  $(this).attr('id');
            console.log($(this).attr('id'));
            // actionUrl = "#";
            // $.ajax({
            //     type: "POST",
            //     url: actionUrl,
            //     data: {
            //         "_token": "{{ csrf_token() }}",
            //         "id" : orderId,
            //         "status" : status
            //     },
            //     success: function(response){ 
            //         updateTables();
            //     },
            //     error: function (data) {
            //         console.log(data);
            //     },
            // });
        });

             
        $(document).on("click",".delete",function(e) {
           e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            var url = $(this).attr('data-url');
            // confirm then
            $.ajax({
                url: url,
                type: 'DELETE',
                dataMode: 'json',
                data: {
                    //  method: 'DELETE', 
                    submit: true,
                    "_token": "{{ csrf_token() }}"
                }
            }).always(function (data) {
                updateTables();
            });
        });
        
        function updateTables() {
            $("#order_datatable").DataTable().destroy();
            var table = $('#order_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "{{ route('order.battery-swap.tab_index') }}",
                    "type": "POST",
                    'data': {
                       // "category_id": $('#category_id').val(),
                        "search": $('#search').val(),
                        "_token": "{{ csrf_token() }}"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "order_number" },
                    { "data": "status" },
                    { "data": "payment_status" },
                    { "data": "payment_type" },
                    { "data": "order_type" },
                    { "data": "cost" },
                    { "data": "convenience_fee" },
                    { "data": "delivery_charge" },
                    { "data": "order_sub_total" },
                    { "data": "delivery_type" },
                    { "data": "subscription_id" },
                    { "data": "created_at" },
                    { "data": "updated_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
@endsection
