@extends('layouts.master')

@section('title') @lang('translation.Assets Detail View') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
    <style>
        .img-thumbnail {
            width: 100px;
            height: 100px;
        }
    </style>
@endsection
@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Assets @endslot
        @slot('title') Detail View @endslot
    @endcomponent

            <div class="col-md-12">
                <div class="">
                    <div class="">Asset {{ $asset->id }}</div>
                    <div class="">

                        <a href="{{ url('/admin/assets') }}" title="Back"><button class="btn btn-warning btn-sm"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</button></a>
                        <a href="{{ url('/admin/assets/' . $asset->id . '/edit') }}" title="Edit Asset"><button class="btn btn-primary btn-sm"><i class="fa fa-pencil-square-o" aria-hidden="true"></i> Edit</button></a>

                        <form method="POST" action="{{ url('admin/assets' . '/' . $asset->id) }}" accept-charset="UTF-8" style="display:inline">
                            {{ method_field('DELETE') }}
                            {{ csrf_field() }}
                            <button type="submit" class="btn btn-danger btn-sm" title="Delete Asset" onclick="return confirm(&quot;Confirm delete?&quot;)"><i class="fa fa-trash-o" aria-hidden="true"></i> Delete</button>
                        </form>
                        <br/>
                        <br/>

                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Asset Details</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <th>ID</th><td>{{ $asset->id }}</td>
                                            </tr>
                                            <!--<tr><th> Vendor Id </th><td> {{ $asset->vendor_id }} </td></tr><tr><th> Category Id </th><td> {{ $asset->category_id }} </td></tr>-->
                                            <tr><th> Asset/Electric Product </th><td> {{ $asset->name }} </td></tr>
                                            <tr><th>Name of the Model </th><td> {{ $asset->model_name }} </td></tr>
                                            <tr><th>Model Number </th><td> {{ $asset->model_number }} </td></tr>
                                            <tr><th>Registration Number</th><td> {{ $asset->registeration_number }} </td></tr>
                                            <tr><th> Category </th><td> {{ $asset->category->category_name }} </td></tr>
                                            <tr><th> Asset Type </th><td> {{ $asset->asset_type }} </td></tr>
                                            <tr><th> Price </th><td> {{ $asset->cost }} </td></tr>
                                            <tr><th> Image </th>
                                                <td>
                                                    @if($assetDocuments)
                                                        @foreach ($assetDocuments as $assetDocument)
                                                        <img src="{{ $assetDocument['path'] }}" class="img-thumbnail" /> 
                                                        @endforeach
                                                    @endif
                                                </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">OEM/Dealer Details</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> OEM </th><td> {{ $asset->oem }} </td></tr>
                                            <tr><th>Dealer </th><td> {{ $asset->dealer }} </td></tr>
                                            <tr><th>Purchase Invoice Number </th><td> {{ $asset->purchased_invoice_number }} </td></tr>
                                            <tr><th>Purchased Date</th><td> {{ $asset->purchased_date }} </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Location Details</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Location </th><td> {{ $asset->location }} </td></tr>
                                            <tr><th>City </th><td> {{ $asset->city }} </td></tr>
                                            <tr><th>District </th><td> {{ $asset->district }} </td></tr>
                                            <tr><th>State</th><td> {{ $asset->state }} </td></tr>
                                            <tr><th>Postal Code</th><td> {{ $asset->postal_code }} </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Service Plane</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Service Plan </th><td></td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Insurance Plane</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Insurance Plan </th><td>  </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Parts</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Parts </th><td>  </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
        });
    </script>
@endsection
