@extends('layouts.master')

@section('title') @lang('translation.Manpower') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ URL::asset('/assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="{{ URL::asset('/assets/libs/datepicker/datepicker.min.css') }}">
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Manpower @endslot
@slot('title') Add Manpower @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
        <form  class="needs-validation" id="edit_form" action="{{ route('purchased-service.manpower.update', ['manpower' => $manpower->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
        @method('put')
        @csrf
            <input name="id" type="hidden"  value="{{ $manpower->id }}" />
    
            <div class="card">
                <div class="card-body">
                    <h5>Purchased Service Details</h5><br>
                    <div class="mb-3 row">
                        <label for="purchased_service_id" class="col-md-2 col-form-label">Purchased Service</label>
                        <div class="col-md-6">
                            <select id="purchased_service_id" name="purchased_service_id" class="form-select" required>
                                <option value=''>Select...</option>
                                @foreach($purchasedServiceList as $purchasedService)
                                    <option value="{{ $purchasedService->id }}" {{ $manpower->purchased_service_id == $purchasedService->id ? 'selected' : ''}} >{{ $purchasedService->purchased_service}} </option>
                                @endforeach 
                            </select>
                            <div  id="purchased_service_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="location_id" class="col-md-2 col-form-label">Location</label>
                        <div class="col-md-6">
                            <select id="location_id" name="location_id" class="form-control" required>
                                <option value=''>Select...</option>
                                @foreach($locationList as $location)
                                    <option value="{{ $location->id }}"  {{ $manpower->location_id == $location->id ? 'selected' : ''}} >{{ $location->location }}</option>
                                @endforeach 
                            </select>
                            <div  id="location_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="vendor_manpower_id" class="col-md-2 col-form-label">Service Vendor Workshop</label>
                        <div class="col-md-6">
                            <select id="vendor_manpower_id" name="vendor_manpower_id" class="form-select" required>
                                <option value=''>Select...</option>
                                @foreach($manpowerList as $vendorManpower)
                                    <option value="{{ $vendorManpower->id }}" address="{{ $vendorManpower->address }}" {{ $manpower->vendor_manpower_id == $vendorManpower->id ? 'selected' : '' }} >{{ $vendorManpower->organisation_name}}</option>
                                @endforeach 
                            </select>
                            <div  id="vendor_manpower_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="vendor_address" class="col-md-2 col-form-label">Workshop Address</label>
                        <div class="col-md-6">
                            <input id="vendor_address" name="vendor_address" type="text" class="form-control" placeholder="Name the Manpower Dealer" readonly>
                        </div>
                    </div>
                </div>
            </div>
            
        <div class="card">
            <div class="card-body">
                <h5>Work Details</h5><br>
                <div class="mb-3 row">
                    <label for="resource_name" class="col-md-2 col-form-label">Name of the Resource</label>
                    <div class="col-md-6">
                        <input id="resource_name" name="resource_name" type="text" class="form-control" placeholder="Name of the Resource" value="{{ $manpower->resource_name }}"  />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="work_call" class="col-md-2 col-form-label">Work Call</label>
                    <div class="col-md-6">
                        <input id="work_call" name="work_call" type="text" class="form-control" placeholder="Work Call" value="{{ $manpower->work_call }}"  >
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="designation_id" class="col-md-2 col-form-label">Designation / Skill Type</label>
                    <div class="col-md-6">
                        <select id="designation_id" name="designation_id" class="form-select" required>
                            <option value=''>Select...</option>
                            @foreach($designationList as $designation)
                                <option value="{{ $designation->id }}" {{ $manpower->designation_id == $designation->id ? 'selected' : '' }} >{{ $designation->designation}}</option>
                            @endforeach 
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="gozap_id" class="col-md-2 col-form-label">GoZap ID</label>
                    <div class="col-md-6">
                        <div class="row">
                            <label for="gozap_prefix" class="col-sm-2 col-form-label">Prefix</label>
                            <div class="col-sm-4">
                                <input id="gozap_prefix" name="gozap_prefix" type="text" class="form-control" placeholder="Prefix" value="{{ $manpower->gozap_prefix }}"/>
                            </div>
                            <label for="gozap_number" class="col-sm-2 col-form-label">Number</label>
                            <div class="col-sm-4">
                                <input id="gozap_number" name="gozap_number" type="text" class="form-control" placeholder="Number" value="{{ $manpower->gozap_number }}"/>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="duration_id" class="col-md-2 col-form-label">Duration/Term</label>
                    <div class="col-md-6">
                        <select id="duration" name="duration_id" class="form-select" >
                            <option value=''>Select...</option>
                            @foreach($durationList as $duration)
                                <option value="{{ $duration->id }}" {{ $manpower->duration_id == $duration->id ? 'selected' : '' }}>{{ $duration->duration}}</option>
                            @endforeach 
                        </select>
                    </div>
                </div>
            </div>
        </div>
            <div class="card">
                <div class="card-body">
                    <h5>Product Details</h5><br>
                
                    <div class="mb-3 row">
                        <label for="bill_number" class="col-md-2 col-form-label">Bill No</label>
                        <div class="col-md-6">
                            <input id="bill_number" name="bill_number" type="text" class="form-control" placeholder="Bill No" value="{{ $manpower->bill_number }}" />
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="service_cost" class="col-md-2 col-form-label">Service Cost</label>
                        <div class="col-md-6">
                            <input id="service_cost" name="service_cost" type="text" class="form-control" placeholder="Service Cost" value="{{ $manpower->service_cost }}" />
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="start_date" class="col-md-2 col-form-label">Start date</label>
                        <div class="col-md-6">
                            <div class="input-group" id="datepicker2">
                                <input type="text" class="form-control" id="start_date" name="start_date" placeholder="Start Date"
                                    value="{{ date('d-m-Y', strtotime($manpower->start_date)) }}" 
                                    data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                    data-provide="datepicker" data-date-autoclose="true">

                                <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="end_date" class="col-md-2 col-form-label">Start date</label>
                        <div class="col-md-6">
                            <div class="input-group" id="datepicker2">
                                <input type="text" class="form-control" id="end_date" name="end_date" placeholder="Start Date"
                                    value="{{ date('d-m-Y', strtotime($manpower->end_date)) }}" 
                                    data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                    data-provide="datepicker" data-date-autoclose="true">

                                <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="remarks" class="col-md-2 col-form-label">Remarks</label>
                        <div class="col-md-6">
                            <input id="remarks" name="remarks" type="text" class="form-control" placeholder="Remarks" value="{{ $manpower->remarks }}" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-body">

                        <div class="d-flex flex-wrap gap-2">
                            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                        </div>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/datepicker/datepicker.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        updateWorkshopData($('#vendor_manpower_id'));
        $('#vendor_manpower_id').on('change', function() {            
            updateWorkshopData($('#vendor_manpower_id'));
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('purchased-service.manpower.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    function updateAssetData(ele){
        
        model_name = ele.find("option:selected").attr('model_name');
        vin_number = ele.find("option:selected").attr('vin_number');
        $('#model_name').val(model_name);
        $('#vin_number').val(vin_number);
    }
    
    function updateWorkshopData(ele){
        
        address = ele.find("option:selected").attr('address');
        $('#vendor_address').val(address);
    }
    </script>
@endsection