@extends('layouts.master')

@section('title') @lang('FLIPKART REPORT') @endsection
@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')
<h2></h2>
    @if (session()->has('success'))
        <div class="alert alert-success">
            {{ session()->get('success') }}
        </div>
    @endif

    @component('components.breadcrumb')
   
        @slot('title') 3PL - Flipkart Final Report  @endslot
    @endcomponent
  
    <div class="panel panel-default">
        <div class="panel-body">
            
            <form action="{{ route('filterflipkart') }}" method="get">
                 <div class="row">
                    <div class="col-md-3 form-group">
                        <label for="">Date From</label>
                        <input type="date" name="date_from" class="form-control"  value="{{ $request->date_from ?? null }}">
                     </div>
                     <div class="col-md-3 form-group">
                        <label for="">Date From</label>
                        <input type="date" name="date_to" class="form-control"  value="{{ $request->date_to ?? null }}">
                     </div>
                     <div class="col-md-2 form-group" style="margin-top:25px;">
                        <input type="submit" class="btn btn-primary" value="Get">
                     </div>

                     <div class="col-md-2 form-group" style="margin-top:25px;">
                     <a href="{{ route('flipkart.report') }}" key="t-zones"><button class="btn btn-warning">Clear Filter </a></button>
                 </div>

</div>
            </form>
            <br><br>

           
            <table id="datatable-buttons" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>AgentName</th>
                                    <th>EmployeeID</th>
                                    <th>Total Shipment</th>
                                    <th>COD</th>
                                    <th>PP</th>
                                    <th>Rvp</th>
                                    <th>COD Price</th>
                                    <th>Delivered</th>
                                    <th>Pending</th>
                                </tr>
                            </thead>
                            <tbody>
               
                                @foreach ($data as $userData)
                                    <tr>
                                        <td>{{ $userData['name'] }}</td>
                                        <td>{{ $userData['employee_id'] }}</td>
                                        <td>{{ $userData['total_shipments'] }}</td>
                                        <td>{{ $userData['cod_count'] }}</td>
                                        <td>{{ $userData['pp_count'] }}</td>
                                        <td>{{ $userData['rvp_count'] }}</td>
                                        <td>{{ $userData['cod_total'] }}</td>
                                        <td>{{ $userData['total_delivery'] }}</td>
                                        <td>{{ $userData['non_delivery'] }}</td> <!-- Add data for Total Hours if available -->
 
                                        <!-- Add data for Total Hours if available -->
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
        </div>
    </div>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Laravel') }}</title>
    <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"> -->
</head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</body>
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
@endsection
@endsection