@extends('layouts.master')

@section('title') @lang('Sunscription Battery') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
@endsection
@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Battery Swap  - subscriptions</h4>
    </div>
    <div class="col-sm-8">
        <div class="text-sm-end">
            <a href="{{ route('subscription-plan.battery.create')}}" class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i> Create New</a>
        </div>
    </div>
</div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <select id="plan_name" class="form-control select2">
                                <option value=''>--By Plan--</option>
                                @foreach($batteryList as $battery)
                                    <option value="{{ $battery->plan_name }}">{{ $battery->plan_name}}</option>
                                @endforeach 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="business_category_id" class="form-control select2">
                                <option value=''>--By Business Category--</option>
                                @foreach($businessCategoryList as $businessCategory)
                                    <option value="{{ $businessCategory->id }}">{{ $businessCategory->business_category}}</option>
                                @endforeach 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="battery_type" class="form-control select2">
                                <option value=''>--By Battery Type--</option>
                                @foreach($batteryList as $battery)
                                    <option value="{{ $battery->battery_type }}">{{ $battery->battery_type}}</option>
                                @endforeach 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="base_plan" class="form-control select2">
                                <option value=''>--By Base Plan--</option>
                                @foreach($batteryList as $battery)
                                    <option value="{{ $battery->base_plan }}">{{ $battery->base_plan}}</option>
                                @endforeach 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                        </div> 
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                            </div>
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Plan Name</th>
                                    <th> Business Category</th>
                                    <th> Business Models</th>
                                    <th> Battery Type</th>
                                    <th> Battery Model</th>
                                    <th> KWH Units</th>
                                    <th> Product</th>
                                    <th> Fixed Price </th>
                                    <th> Base Plan</th>
                                    <th> Location</th>
                                    <th> T&C</th>
                                    <th> Created At </th>
                                    <th> Created By </th>
                                    <th> Updated At </th>
                                    <th> Updated By </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            
            updateTables();
            $('#plan_name').on('change', function() {
                updateTables();
            });
            $('#business_category_id').on('change', function() {
                updateTables();
            });
            $('#battery_type').on('change', function() {
                updateTables();
            });
            $('#base_plan').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "{{ csrf_token() }}"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "{{ route('subscription-plan.battery.tab-index') }}",
                    "type": "POST",
                    'data': {
                        "plan_name": $('#plan_name').val(),
                        "business_category_id": $('#business_category_id').val(),
                        "battery_type": $('#battery_type').val(),
                        "base_plan": $('#base_plan').val(),
                        "search": $('#search').val(),
                        "_token": "{{ csrf_token() }}"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "plan_name" },
                    { "data": "business_category_id" },
                    { "data": "business_model_id" },
                    { "data": "battery_type" },
                    { "data": "model_name" },
                    { "data": "kwh_units" },
                    { "data": "asset_type_id" },
                    { "data": "fixed_price" },
                    { "data": "base_plan" },
                    { "data": "location" },
                    { "data": "terms" },
                    { "data": "created_at" },
                    { "data": "created_by" },
                    { "data": "updated_at" },
                    { "data": "updated_by" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
@endsection
