@extends('layouts.master')

@section('title') @lang('Value Added Service Subscription') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/css/custom-dropzone.css') }}" rel="stylesheet" type="text/css" />
<style>
    .nav-tabs .nav-link.active span.tab-title{
        color:#50DDE2;
    }
    .tab-title{
        color:#000;
    }
    .tab-header{
        margin-bottom: 50px;
    }
    </style>
@endsection

@section('content')

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">VALUE ADDED SERVICE - subscriptions</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    @if($valueAddedService->id)
    <form  class="needs-validation" id="edit_form" action="{{ route('subscription-plan.value-added-service.update', ['value_added_service' => $valueAddedService->id] ) }}" method="post" enctype="multipart/form-data" novalidate>
    @method('put')
    @else
    <form  class="needs-validation" id="edit_form" action="{{ route('subscription-plan.value-added-service.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @endif

    @csrf


    <input name="id" type="hidden"  value="{{ $valueAddedService->id }}" />
   
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create / Edit  Value Added Service Subscription Details</div>
                <div class="mb-3 row">
                    <label for="plan_name" class="col-md-2 col-form-label">Plan Name<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="plan_name" name="plan_name" type="text" class="form-control" placeholder="Type here" value="{{ $valueAddedService->plan_name }}" required>
                        <div  id="plan_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="business_category_id" class="col-md-2 col-form-label">Business Category<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="business_category_id" name="business_category_id" class="form-select" required>
                            <option value=''>Select...</option>
                                @foreach($businessCategoryList as $businessCategory)
                                    <option value="{{ $businessCategory->id }}" {{ $valueAddedService->business_category_id ==  $businessCategory->id ? 'selected' : ''}}>{{ $businessCategory->business_category}}</option>
                                @endforeach 
                        </select>
                        <div  id="business_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="business_model_id" class="col-md-2 col-form-label">Business Model<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="business_model_id" name="business_model_id" class="form-select" required>
                            <option value=''>Select...</option>
                                @foreach($businessModelsList as $businessModels)
                                    <option value="{{ $businessModels->id }}" {{ $valueAddedService->business_model_id ==  $businessModels->id ? 'selected' : ''}}>{{ $businessModels->business_model}}</option>
                                @endforeach 
                        </select>
                        <div  id="business_model_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Subscription Policy</h4>
                <div>
                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-bs-toggle="tab" href="#product_tab" role="tab">
                                <span class="d-none d-sm-block tab-title">Product</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#base_plan_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Base Plan</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#location_regions_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Location / Regions</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#terms_condition_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Terms & Condition</span>
                            </a>
                        </li>
                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content p-3 text-muted">
                        <!-- User Details -->
                        <!--<h3>Product</h3>
                        <section>-->
                        <div class="tab-pane active" id="product_tab" role="tabpanel">
                            <div class="tab-header">
                                <h5 class="tab-title">Product</h5>
                                <small>Select the Service that you want to create subscription for</small>
                            </div>
                            <div class="mb-3 row">
                                <label for="va_service_id" class="col-md-2 col-form-label">Value Added Service<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <select id="va_service_id" name="va_service_id" class="form-select  select2 " required/>
                                        <option value=''>Select...</option>
                                        @foreach($vAServiceTypeList as $vAServiceType)
                                            <option value="{{ $vAServiceType->id }}"  {{ $vAServiceType->id ==  $valueAddedService->va_service_id  ? 'selected' : ''}}>{{ $vAServiceType->va_service_type}}</option>
                                        @endforeach 
                                    </select>
                                    <div  id="va_service_id_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="product_overview" class="col-md-2 col-form-label">Product Overview<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <textarea class="form-control" name="product_overview" id="product_overview" placeholder="Type here" required>{{ $valueAddedService->product_overview  }}</textarea>
                                    <div  id="product_overview_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                            
                        
                        <div class="tab-pane" id="base_plan_tab" role="tabpanel">
                            
                            <div class="tab-header">
                                <h5 class="tab-title">Base Plan Price</h5>
                                <small>The cost or amount of money that a subscriber will pay</small>
                            </div>
                            <div class="mb-3 row">
                                <label for="fixed_price" class="col-md-2 col-form-label">Fixed Price<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <input id="fixed_price" name="fixed_price" type="text" class="form-control" placeholder="Type here" value="{{  $valueAddedService->fixed_price }}" required>
                                    <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>
                                    <div  id="fixed_price_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row" >
                                <label for="fixed_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Fixed Price</label>
                                <div class="col-md-6">
                                    <select id="fixed_price_taxation_profile_id" name="fixed_price_taxation_profile_id" class="fixed_price_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            @foreach($taxationProfileList as $taxationProfile)
                                                <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}" {{ $valueAddedService->fixed_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :'' }} >{{ $taxationProfile['taxation_profile']}}</option>
                                            @endforeach  
                                    </select>
                                    <small class="fixed-price-tax-percentage"></small>
                                </div>
                                <div  id="fixed_price_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="convenience_price" class="col-md-2 col-form-label">Convenience price<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <input type="radio" name="have_convenience_price"  id="have_convenience_price1" value="Yes" {{ $valueAddedService?->have_convenience_price == 'Yes' ? 'checked' : '' }} required />
                                    <label for="have_convenience_price1">Yes</label>
                                    <input type="radio" name="have_convenience_price"  id="have_convenience_price2" value="No" {{ $valueAddedService?->have_convenience_price == 'No' ? 'checked' : '' }} required />
                                    <label for="have_convenience_price2">No</label>
                                    <div  id="have_convenience_price_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                    <div class="have_convenience_price_yes_fields" style="{{ $valueAddedService?->have_convenience_price == 'Yes' ? '' : 'display:none;' }}" >
                                        <input id="convenience_price" name="convenience_price" type="text" class="form-control" placeholder="Type here" value="{{ $valueAddedService?->convenience_price }}" />
                                        <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row have_convenience_price_yes_fields" style="{{ $valueAddedService?->have_convenience_price == 'Yes' ? '' : 'display:none;' }}" >
                                <label for="convenience_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience price</label>
                                <div class="col-md-6">
                                    <select id="convenience_price_taxation_profile_id" name="convenience_price_taxation_profile_id" class="convenience_price_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            @foreach($taxationProfileList as $taxationProfile)
                                                <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}" {{ $valueAddedService->convenience_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :'' }} >{{ $taxationProfile['taxation_profile']}}</option>
                                            @endforeach  
                                    </select>
                                    <small class="convenience-price-tax-percentage"></small>
                                </div>
                                <div  id="convenience_price_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="delivery_charge" class="col-md-2 col-form-label">Delivery Charge<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <input type="radio" name="have_delivery_charge"  id="have_delivery_charge1" value="Yes" {{ $valueAddedService?->have_delivery_charge == 'Yes' ? 'checked' : '' }} required />
                                    <label for="have_delivery_charge1">Yes</label>
                                    <input type="radio" name="have_delivery_charge"  id="have_delivery_charge2" value="No" {{ $valueAddedService?->have_delivery_charge == 'No' ? 'checked' : '' }} required />
                                    <label for="have_delivery_charge2">No</label>
                                    <div  id="have_delivery_charge_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                    <div class="have_delivery_charge_yes_fields" style="{{ $valueAddedService?->have_delivery_charge == 'Yes' ? '' : 'display:none;' }}" >
                                        <input id="delivery_charge" name="delivery_charge" type="text" class="form-control" placeholder="Type here" value="{{ $valueAddedService?->delivery_charge }}">
                                        <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>                                       
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row have_delivery_charge_yes_fields" style="{{ $valueAddedService?->have_delivery_charge == 'Yes' ? '' : 'display:none;' }}" >
                                <label for="delivery_charge_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Charge</label>
                                <div class="col-md-6">
                                    <select id="delivery_charge_taxation_profile_id" name="delivery_charge_taxation_profile_id" class="delivery_charge_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            @foreach($taxationProfileList as $taxationProfile)
                                                <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}" {{ $valueAddedService->delivery_charge_taxation_profile_id == $taxationProfile['id'] ? 'selected' :'' }} >{{ $taxationProfile['taxation_profile']}}</option>
                                            @endforeach  
                                    </select>
                                    <small class="delivery-charge-tax-percentage"></small>
                                </div>
                                <div  id="delivery_charge_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="tab-header">
                                <h5 class="tab-title">Renewal Type</h5>
                                <small>Based on the choice the customer will be able to use this product</small>
                            </div>
                                
                            <div class="mb-3 row">
                                <div class="col-md-12">
                                    <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                        <input class="form-check-input" type="radio" id="prepaid" value="Prepaid" name="base_plan" {{ $valueAddedService->base_plan == "Prepaid" ? 'checked' :''  }} required />
                                        <label class="form-check-label" for="prepaid">Prepaid</label><small> (The user will pay the with or without offer before every usage)</small>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                        <input class="form-check-input" type="radio" id="freemium" value="Freemium" name="base_plan" {{ $valueAddedService->base_plan == "Freemium" ? 'checked' :'' }} required />
                                        <label class="form-check-label" for="freemium">Freemium</label><small> (Allow to use the product for FREE for limited period. Once the period is over, thye plan should change to premium)</small>
                                    </div>
                                </div>
                                
                                <div  id="base_plan_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            
                            <div class="tab-header prepaid_fields">
                                <h5 class="tab-title">Pre-Paid</h5>
                                <small>The user will pay the with or without offer before every usage</small>
                            </div>
                            <div class="mb-3 row prepaid_fields">
                                <label for="prepaid_billing_cycle_id" class="col-md-2 col-form-label">Billing Cycle</label>
                                <div class="col-md-6">
                                    <select id="prepaid_billing_cycle_id" name="prepaid_billing_cycle_id" class="form-select">
                                        <option value=''>Select...</option>
                                            @foreach($durationList as $duration)
                                                <option value="{{ $duration->id }}"  {{ $valueAddedService->billing_period_id == $duration->id ? 'selected' :''  }} >{{ $duration->days}}</option>
                                            @endforeach 
                                    </select>
                                    <small>Each user will be qable to use the product in these n umber of days</small>
                                </div>
                            </div>
                            <div class="mb-3 row prepaid_fields" style="{{ $valueAddedService?->base_plan == 'Prepaid' ? '' : 'display:none;' }}">
                                <label for="prepaid_grace_time_hr" class="col-md-2 col-form-label">Grace Time</label>
                                <div class="col-md-6">
                                    <input type="radio" name="prepaid_grace_time_hr"  id="prepaid_grace_time_hr1" value="Yes" {{ $valueAddedService?->grace_time_hr == 'Yes' ? 'checked' :'' }} />
                                    <label for="prepaid_grace_time_hr1">Yes</label>
                                    <input type="radio" name="prepaid_grace_time_hr"  id="prepaid_grace_time_hr2" value="No" {{ $valueAddedService?->grace_time_hr == 'No' ? 'checked' :'' }} />
                                    <label for="prepaid_grace_time_hr2">No</label>
                                    <div class="prepaid_grace_time_hr_yes_fiels" style="{{ $valueAddedService?->grace_time_hr == 'Yes' ? '' : 'display:none;' }}">
                                        <input id="prepaid_grace_time" name="prepaid_grace_time" type="text" class="form-control" placeholder="Type here" value="{{ $valueAddedService?->grace_time }}" />
                                        <small>The hrs that customer can use the bike befor locking</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row prepaid_fields"  style="{{ $valueAddedService?->base_plan == 'Prepaid' ? '' : 'display:none;' }}">
                                <label for="prepaid_lock_bike" class="col-md-2 col-form-label">Lock Bike</label>
                                <div class="col-md-6 row" style="margin-top: 10px;">
                                    <div class="col-md-2">
                                        <input type="radio" name="prepaid_lock_bike"  id="prepaid_lock_bike1" value="0"  {{ $valueAddedService?->lock_bike == '0' ? 'checked' :'' }} />
                                        <label for="prepaid_lock_bike1" >No</label>
                                    </div>
                                    <div class="col-md-5">
                                        <input type="radio" name="prepaid_lock_bike"  id="prepaid_lock_bike2" value="1"  {{ $valueAddedService?->lock_bike == '1' ? 'checked' :'' }} />
                                        <label for="prepaid_lock_bike2">Manual (From Intellicar)</label>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="radio" name="prepaid_lock_bike"  id="prepaid_lock_bike3" value="2"  {{ $valueAddedService?->lock_bike == '2' ? 'checked' :'' }} />
                                        <label for="re_subscribe_lock_bike3">Automatic</label>
                                    </div>
                                </div>
                            </div>
                            
                            
                            

                            <div class="tab-header freemium_fields"  style="{{ $valueAddedService?->base_plan == 'Frremium' ? '' : 'display:none;' }}">
                                <h5 class="tab-title">Freemium</h5>
                                <small>Allow to use the product for FREE for limited period. Once the period is over, thye plan should change to premium</small>
                            </div>
                            <div class="mb-3 row freemium_fields" style="{{ $valueAddedService?->base_plan == 'Frremium' ? '' : 'display:none;' }}">
                                <label for="freemium_free_usages_id" class="col-md-2 col-form-label">Free Usages</label>
                                <div class="col-md-6">
                                    <select id="freemium_free_usages_id" name="freemium_free_usages_id" class="form-select">
                                        <option value=''>Select...</option>
                                            @foreach($durationList as $duration)
                                                <option value="{{ $duration->id }}"  {{ $valueAddedService?->billing_period_id == $duration->id ? 'selected' :'' }} >{{ $duration->days}}</option>
                                            @endforeach 
                                    </select>
                                    <small>Each user will be qable to use the product in these n umber of days</small>
                                </div>
                            </div>
                            <div class="mb-3 row freemium_fields"  style="{{ $valueAddedService?->base_plan == 'Frremium' ? '' : 'display:none;' }}">
                                <label for="freemium_grace_time_hr" class="col-md-2 col-form-label">Grace Time</label>
                                <div class="col-md-6">
                                    <input type="radio" name="freemium_grace_time_hr"  id="freemium_grace_time_hr1" value="Yes" {{ $valueAddedService?->grace_time_hr == 'Yes' ? 'checked' :'' }} />
                                    <label for="freemium_grace_time_hr1">Yes</label>
                                    <input type="radio" name="freemium_grace_time_hr"  id="freemium_grace_time_hr2" value="No" {{ $valueAddedService?->grace_time_hr == 'No' ? 'checked' :'' }} />
                                    <label for="freemium_grace_time_hr2">No</label>
                                    <div class="freemium_grace_time_hr_yes_fiels"  style="{{ $valueAddedService?->grace_time_hr == 'Yes' ? '' : 'display:none;' }}">
                                        <input id="freemium_grace_time" name="freemium_grace_time" type="text" class="form-control" placeholder="Type here" value="{{ $valueAddedService?->grace_time }}" />
                                        <small>The hrs that customer can use the bike befor locking</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row freemium_fields"  style="{{ $valueAddedService?->base_plan == 'Frremium' ? '' : 'display:none;' }}">
                                <label for="freemium_lock_bike" class="col-md-2 col-form-label">Lock Bike</label>
                                <div class="col-md-6 row" style="margin-top: 10px;">
                                    <div class="col-md-2">
                                        <input type="radio" name="freemium_lock_bike"  id="freemium_lock_bike1" value="0" {{ $valueAddedService?->lock_bike == '0' ? 'checked' :'' }} />
                                        <label for="freemium_lock_bike1">No</label>
                                    </div>
                                    <div class="col-md-5">
                                        <input type="radio" name="freemium_lock_bike"  id="freemium_lock_bike2" value="1" {{ $valueAddedService?->lock_bike == '1' ? 'checked' :'' }} />
                                        <label for="freemium_lock_bike2">Manual (From Intellicar)</label>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="radio" name="freemium_lock_bike"  id="freemium_lock_bike3" value="2" {{ $valueAddedService?->lock_bike == '2' ? 'checked' :'' }} />
                                        <label for="freemium_lock_bike3">Automatic</label>
                                    </div>
                                </div>
                            </div>

                        </div>
                        
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                        <div class="tab-pane" id="location_regions_tab" role="tabpanel">
                            
                            <div class="repeater" enctype="multipart/form-data">
                                <div data-repeater-list="location_regions_list" class="location_regions_tab">
                                    <div class="row">
                                    <div class="tab-header col-md-10 ">
                                        <h5 class="tab-title">Location / Regions</h5>
                                        <small>The location where the plan is applicable</small>
                                    </div>
                                    
                                    <div class="col-md-2">
                                        <input data-repeater-create type="button"  class="add_loaction btn btn-primary waves-effect waves-light" value="Add Location" />
                                    </div>
                                    </div>
                                    @if(isset($valueAddedService->location[0]))
                                    @foreach($valueAddedService->location as $locationReg)
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="location_id" class="col-md-2 col-form-label">Choose Location</label>
                                            <div class="col-md-6">
                                                <input name="value_added_service_location_id" type="hidden"  value="{{ $locationReg->id }}" />

                                                <select id="location_id" name="location_id" class="form-select">
                                                    <option value=''>Select...</option>
                                                        @foreach($locationList as $location)
                                                            <option value="{{ $location->id }}" {{ $locationReg->location_id == $location->id ? 'selected' :'' }}>{{ $location->location}}</option>
                                                        @endforeach 
                                                </select>
                                                <small>Please choose the location</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="base_price" class="col-md-2 col-form-label">Location Base Price</label>
                                            <div class="col-md-6">
                                                <input id="base_price" name="base_price" type="text" class="form-control" placeholder="Type here" value="{{ $locationReg->base_price }}" required>
                                                <small>Add the amount as required to the location and cliend relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="base_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Location Base Price</label>
                                            <div class="col-md-6">
                                                <select id="base_price_taxation_profile_id" name="base_price_taxation_profile_id" class="base_price_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        @foreach($taxationProfileList as $taxationProfile)
                                                            <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}" {{ $locationReg->base_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :'' }} >{{ $taxationProfile['taxation_profile']}}</option>
                                                        @endforeach  
                                                </select>
                                                <small class="base-price-tax-percentage"></small>
                                            </div>
                                            <div  id="base_price_taxation_profile_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="convenience_fee" class="col-md-2 col-form-label">Convenience Fee</label>
                                            <div class="col-md-6">
                                                <input id="convenience_fee" name="convenience_fee" type="text" class="convenience_fee form-control" placeholder="Type here" value="{{ $locationReg->convenience_fee }}">
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="convenience_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="convenience_fee_taxation_profile_id" name="convenience_fee_taxation_profile_id" class="convenience_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        @foreach($taxationProfileList as $taxationProfile)
                                                            <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}" {{ $locationReg->convenience_fee_taxation_profile_id == $taxationProfile['id'] ? 'selected' :'' }} >{{ $taxationProfile['taxation_profile']}}</option>
                                                        @endforeach  
                                                </select>
                                                <small class="convenience-fee-tax-percentage"></small>
                                                <div  id="convenience_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="delivery_fee" class="col-md-2 col-form-label">Delivery Fee</label>
                                            <div class="col-md-6">
                                                <input id="delivery_fee" name="delivery_fee" type="text" class="delivery_fee form-control" placeholder="Type here" value="{{ $locationReg->delivery_fee }}">
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="delivery_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="delivery_fee_taxation_profile_id" name="delivery_fee_taxation_profile_id" class="delivery_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        @foreach($taxationProfileList as $taxationProfile)
                                                            <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}" {{ $locationReg->delivery_fee_taxation_profile_id == $taxationProfile['id'] ? 'selected' :'' }} >{{ $taxationProfile['taxation_profile']}}</option>
                                                        @endforeach  
                                                </select>
                                                <small class="delivery-fee-tax-percentage"></small>
                                                <div  id="delivery_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="delete-location btn btn-primary-borderd" value="Delete Location"  data-id="{{ $locationReg->id }}" data-url="{{ route('subscription-plan.value-added-service.delete-location', $locationReg->id) }}"/>
                                            </div>
                                        </div>
                                    </div>
                                    @endforeach
                                    @else
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="location_id" class="col-md-2 col-form-label">Choose Location</label>
                                            <div class="col-md-6">
                                                <select id="location_id" name="location_id" class="form-select">
                                                    <option value=''>Select...</option>
                                                        @foreach($locationList as $location)
                                                            <option value="{{ $location->id }}">{{ $location->location}}</option>
                                                        @endforeach 
                                                </select>
                                                <small>Please choose the location</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="base_price" class="col-md-2 col-form-label">Location Base Price</label>
                                            <div class="col-md-6">
                                                <input id="base_price" name="base_price" type="text" class="form-control" placeholder="Type here" required>
                                                <small>Add the amount as required to the location and cliend relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="base_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Location Base Price</label>
                                            <div class="col-md-6">
                                                <select id="base_price_taxation_profile_id" name="base_price_taxation_profile_id" class="base_price_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        @foreach($taxationProfileList as $taxationProfile)
                                                            <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}"  >{{ $taxationProfile['taxation_profile']}}</option>
                                                        @endforeach  
                                                </select>
                                                <small class="base-price-tax-percentage"></small>
                                            </div>
                                            <div  id="base_price_taxation_profile_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="convenience_fee" class="col-md-2 col-form-label">Convenience Fee</label>
                                            <div class="col-md-6">
                                                <input id="convenience_fee" name="convenience_fee" type="text" class="convenience_fee form-control" placeholder="Type here" >
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="convenience_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="convenience_fee_taxation_profile_id" name="convenience_fee_taxation_profile_id" class="convenience_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        @foreach($taxationProfileList as $taxationProfile)
                                                            <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}"  >{{ $taxationProfile['taxation_profile']}}</option>
                                                        @endforeach  
                                                </select>
                                                <small class="convenience-fee-tax-percentage"></small>
                                                <div  id="convenience_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="delivery_fee" class="col-md-2 col-form-label">Delivery Fee</label>
                                            <div class="col-md-6">
                                                <input id="delivery_fee" name="delivery_fee" type="text" class="delivery_fee form-control" placeholder="Type here" >
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="delivery_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Fee</label>
                                            <div class="col-md-6">
                                                <select id="delivery_fee_taxation_profile_id" name="delivery_fee_taxation_profile_id" class="delivery_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        @foreach($taxationProfileList as $taxationProfile)
                                                            <option value="{{ $taxationProfile['id'] ?? '' }}" data-percentage="{{ $taxationProfile['tax-percentage']  }}"  >{{ $taxationProfile['taxation_profile']}}</option>
                                                        @endforeach  
                                                </select>
                                                <small class="delivery-fee-tax-percentage"></small>
                                                <div  id="delivery_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                            </div>
                                        </div>
                                    </div>
                                    @endif

                                </div>
                            </div>
                        </div>
                        
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                        <div class="tab-pane" id="terms_condition_tab" role="tabpanel">
                            
                            <div class="repeater" enctype="multipart/form-data">
                                <div data-repeater-list="terms_condition_list" class="terms_condition_tab">
                                    <div class="row">
                                    <div class="tab-header col-md-10 ">
                                        <h5 class="tab-title">Terms & Condition</h5>
                                        <small>Set Terms and condition for this plan</small>
                                    </div>
                                    
                                    <div class="col-md-2">
                                        <input data-repeater-create type="button"  class="add_terms_conditions btn btn-primary waves-effect waves-light" value="Add Terms & Condition" />
                                    </div>
                                    </div>
                                    
                                    @if(isset($valueAddedService->terms[0]))
                                    @foreach($valueAddedService->terms as $terms)

                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="image" class="col-md-2 col-form-label">Image</label>
                                            <div class="col-md-6">
                                                <input name="terms_conditionn_id" type="hidden"  value="{{ $terms->id }}" />
                                               <div class="{{ $terms->image ? ' ' :'collapse '}}terms_image /">
                                                <img src="{{ '/storage' .$terms->image }}" style="width: 80px;" />
                                                <input  type="button" class="terms-condition-image btn btn-primary-borderd" value="Delete Image" data-id="{{ $terms->id }}" data-url="{{ route('subscription-plan.value-added-service.terms-condition-image', $terms->id) }}" />
                                                </div>
                                               <div class="{{ $terms->image ? 'collapse ' :''}}terms_image_field ">
                                                <input type="file" name="image" class="form-control" id="image" />
                                                <small>Choose an image of zice 200 x 200 to upload as icon</small>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="terms_condition" class="col-md-2 col-form-label">T & C Text</label>
                                            <div class="col-md-6">
                                                <input id="terms_condition" name="terms_condition" type="text" class="form-control" placeholder="Type here" value="{{ $terms->terms_condition }}" />
                                                <small></small>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="terms-condition btn btn-primary-borderd" value="Delete Terms & Condition" data-id="{{ $terms->id }}" data-url="{{ route('subscription-plan.value-added-service.terms-condition', $terms->id) }}" />
                                            </div>
                                        </div>
                                    </div>
                                    @endforeach
                                    @else
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="image" class="col-md-2 col-form-label">Image</label>
                                            <div class="col-md-6">
                                                <input type="file" name="image" class="form-control" id="image" />
                                                <small>Choose an image of zice .. to upload as icon</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="terms_condition" class="col-md-2 col-form-label">T & C Text</label>
                                            <div class="col-md-6">
                                                <input id="terms_condition" name="terms_condition" type="text" class="form-control" placeholder="Type here" />
                                                <small></small>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                            </div>
                                        </div>
                                    </div>
                                    @endif

                                </div>
                            </div>
                            
                
                        </div>
                        <!--</section>-->
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2" style="float: right;">
                    <a href="{{ route('subscription-plan.value-added-service.index') }}" type="button" class="save_changes btn btn-secondary waves-effect waves-light">Cancel</a>
                    <button type="submit" class="save_changes btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div> 
    
   </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

<!-- init js -->
<script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
<!--tinymce js-->
<script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

<!-- init js -->
<script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

<script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js') }}"></script>

<script src="{{ URL::asset('/assets/js/pages/form-repeater.int.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var token = "{{ csrf_token() }}";
        
        $('.freemium_fields').hide();
        $('.prepaid_fields').hide();
        base_plan_change($('input[type=radio][name=base_plan]:checked').val());
        $('input[type=radio][name=base_plan]').on('change', function() { 
            base_plan_change($(this).val());
        });
        $('input[type=radio][name=prepaid_grace_time_hr]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.prepaid_grace_time_hr_yes_fiels').show();
            }else{
                $('.prepaid_grace_time_hr_yes_fiels').hide();
            }

        });
        
        $('input[type=radio][name=freemium_grace_time_hr]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.freemium_grace_time_hr_yes_fiels').show();
            }else{
                $('.freemium_grace_time_hr_yes_fiels').hide();
            }

        });
        $('input[type=radio][name=have_convenience_price]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.have_convenience_price_yes_fields').show();
            }else{
                $('.have_convenience_price_yes_fields').hide();
            }

        });
        $('#convenience_price').on('change', function() {
            convenience_fee = $('.convenience_fee').val();
            if(convenience_fee == ''){
                $('.convenience_fee').val($(this).val());
            }
        });
        $('input[type=radio][name=have_delivery_charge]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.have_delivery_charge_yes_fields').show();
            }else{
                $('.have_delivery_charge_yes_fields').hide();
            }

        });
        $('#delivery_charge').on('change', function() {
            
            deliveryCharge = $('.delivery_fee ').val();
            if(deliveryCharge == ''){
                $('.delivery_fee ').val($(this).val());
            }
        });
        $('#fixed_price').on('change', function() {
            
            base_price = $('.base_price ').val();
            if(base_price == ''){
                $('.base_price ').val($(this).val());
            }
        });
        $(document).on('change', '.taxation_profile_id', function(event) {
            taxPercentage = $(this).find(":selected").attr('data-percentage');
            if(taxPercentage != ''){
                $(this).next().text( taxPercentage);
            }
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('subscription-plan.value-added-service.validate') }}";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit();
                   
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    subscriptionPlanValidationErrors(response);
                },
            });
        });
        
        $(document).on('click', '.delete-location', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        $(document).on('click', '.terms-condition', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        
        $(document).on('click', '.terms-condition-image', function(event) {
            event.preventDefault();
            button = $(this);
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){
                    fieldDiv = button.next('div.terms_image_field ');
                    fieldDiv.removeClass('collapse')
                    console.log(fieldDiv);
                },
                error: function (data) {
                    
                },
            });
        });
        
        $(document).on("click", ".add_terms_conditions", function(event){            
            event.preventDefault();
            var html ='';
            var total = $('.terms_image_field ').length;
            
            $(".terms_image  ").each(function(index) {
                if (index === total - 1) {
                    $(this).addClass('collapse ');
                }
            });
            $(".terms_image_field ").each(function(index) {
                if (index === total - 1) {
                    $(this).removeClass('collapse ');
                }
            });
        });
    });
    
    function base_plan_change(base_plan){
        if(base_plan == 'Freemium'){
            $('.freemium_fields').show();
            $('.prepaid_fields').hide();
        }else if(base_plan == 'Prepaid'){ 
            $('.prepaid_fields').show();
            $('.freemium_fields').hide();
        }
    }

    function updateAssetPartsByAssetModel(actionUrl,  token){
        console.log('updateAssetPartsByAssetModel');
        let model_name =  $('#model_name').find("option:selected").val();
        if(model_name){
            $.ajax({
                type: "POSt",
                url: actionUrl,
                data: {
                    "model_name" : model_name,
                    "with" : "parts",
                    "_token": token
                },
                success: function(data){ 
                    if(data['data']){
                        let sel = $("#part_id");
                        dataSelected = sel.attr('data-selected');
                        sel.find('option').remove().end();
                        sel.append('<option value="">Select...</option>');
                        $.each(data['data'], function(index, item) {
                            selected ='';
                            var dataSelectedArray = dataSelected.split(',');
                            // $.each(dataSelectedArray, function(indexS, selectedPart) {
                            //     if(selectedPart == index ){
                            //         selected = 'selected';
                            //     }else{
                            //         selected='';
                            //     }
                            // });
                            
                            if($.inArray(index, dataSelectedArray) != -1) {
                                selected = 'selected';
                            }
                            if(item){
                                sel.append('<option value="'+ index +'" '+selected+'>'+ item +'</option>');
                            }
                        });
                    }
                },
                error: function (data) {
                    console.log(actionUrl+' Failes.');
                },
            });
        }
        
    }
    </script>
@endsection