@extends('layouts.master')

@section('title') @lang('3PL Working Report') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
@endsection
@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Users @endslot
        @slot('title') 3PL - Flipkart Work Report  @endslot
    @endcomponent

    <div class="row">
    <div class="col-12">
    <div class="card">
        <div class="card-body">
            <div class="row mb-2">
                <div class="col-sm-4">
                    <form action="{{ route('import.report') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group mb-4">
                            <div class="custom-file text-left">
                                <label class="custom-file-label" for="customFile">Upload Excel </label>
                                <input type="file" name="file" class="custom-file-input" id="customFile">
                                
                            </div>
                        </div>
                        <button class="btn btn-primary">Import Report</button>

                        </div>
                        <div class="col-sm-4">
                        <div class="custom-file  text-right">
                        <a class="btn btn-success" href="{{ route('export-users') }}">Sample Report Download</a>
                        </div>
                    </form>
                </div>

                <div class="col-sm-4">
                    <label for="file">Search</label>
                    <input type="search" id="search" name="search" class="form-control" placeholder="Search">
                </div>
            </div>
        </div>
    </div>
</div>


                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="user_datatable" class="table align-middle table-nowrap ">
                            <thead>
                                <tr>
                                    <th> Id </th>
                                    <th> RunsheetId </th>
                                    <th> ShipmentUpdate </th>
                                    <th> AgentName</th>
                                    <th> EmployeeID</th>
                                    <th> DeliveryHub </th>
                                    <th> City </th>
                                    <th> Zone </th>
                                    <th> State </th>
                                    <th> ShipmentId </th>
                                    <th> ShipmentType </th>
                                    <th> ShipmentPrice </th>
                                    <th> ShipmentStatus </th>
                                  
                           
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
   
     <!-- Required datatable js -->
     <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            showDataTable();
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                showDataTable();
            });
            $("#search").change(function(){
                showDataTable();
            });
            
        });

        
        function showDataTable() {
            $("#user_datatable").DataTable().destroy();
            var table = $('#user_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "{{ route('admin.3plworkdata') }}",
                    "type": "POST",
                    'data': {
                       // "category_id": $('#category_id').val(),
                        "search": $('#search').val(),
                        "_token": "{{ csrf_token() }}"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "RunsheetId" },
                    { "data": "ShipmentUpdate" },
                    { "data": "AgentName" },
                    { "data": "EmployeeID" },
                    { "data": "DeliveryHub" },
                    { "data": "City" },
                    { "data": "Zone" },
                    { "data": "State" },
                    { "data": "ShipmentId" },
                    { "data": "ShipmentType" },
                    { "data": "ShipmentPrice" },
                    { "data": "ShipmentStatus" },
                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
@endsection
