@extends('layouts.master')

@section('title') @lang('translation.Customers') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
@endsection
@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Users @endslot
        @slot('title') Customers @endslot
    @endcomponent

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                    <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                            <select id="category_id" class="form-control select2">
                                <option value=''>--By User Type--</option>
                                <option value='Corporate Client'>Corporate Client</option>
                                <option value='Corporate Ridert'>Corporate Rider</option>
                                <option value='Rider'>Rider</option>
                            </select>
                        </div>
                        <div class="col-sm-2">
                            
                        </div>
                        <div class="col-sm-2">
                            
                        </div>
                        
                        <div class="col-sm-2">
                            
                        </div>
                        <div class="col-sm-2">
                            <input type="search" id="search" name="search" class="form-control" placeholder="Search">
                        </div>
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                                @if(Route::current()->getName() == 'admin.customers')
                                <a href="{{ route('add_customer_form')}}" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Customers</a>
                                @elseif(Route::current()->getName() == 'admin.angels')
                                <a href="{{ route('add_customer_form')}}" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Angels</a>
                                @endif
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="user_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>  Id </th>
                                    <th> User Type </th>
                                    <th> Username </th>
                                    <th> Email </th>
                                    <th> Phone Number </th>
                                    <th> Wallet Balance </th>
                                    <th> Status </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            showAssets();
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                showAssets();
            });
            $("#search").change(function(){
                showAssets();
            });
            
        });

        
        function showAssets() {
            $("#user_datatable").DataTable().destroy();
            var table = $('#user_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "{{ route('users.tab-customers') }}",
                    "type": "POST",
                    'data': {
                        "category_id": $('#category_id').val(),
                        "search": $('#search').val(),
                        "_token": "{{ csrf_token() }}"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "user_type" },
                    { "data": "name" },
                    { "data": "email" },
                    { "data": "phone_number" },
                    { "data": "wallet_balance" },
                    { "data": "status" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
@endsection
