@extends('layouts.master')

@section('title') @lang('translation.Add Vendor') @endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ URL::asset('/assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Vendors @endslot
@slot('title') Add Vendor @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="vendor_form" action="{{ route('vendors.store') }}" method="post" enctype="multipart/form-data" novalidate>
    @csrf
        
    <div class="card">
            <div class="card-body">
                <h5>Vendor</h5><br>
                
                <div class="mb-3 row">
                    <label for="category_id" class="col-md-2 col-form-label">Vendor Category</label>
                    <div class="col-md-6">
                        <select id="category_id" name="category_id" class="form-control">
                            <option value=''>Select...</option>
                            @foreach($vendorCategoryList as $vendorCategory)
                                <option value="{{ $vendorCategory->id }}">{{ $vendorCategory->vendor_category}}</option>
                            @endforeach 
                        </select>
                        <div  id="category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="vendor_name" class="col-md-2 col-form-label">Vendor Name</label>
                    <div class="col-md-6">
                        <input id="vendor_name" name="vendor_name" type="text" class="form-control" placeholder="Name the Vendor Name" required>
                        <div  id="vendor_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="oem_id" class="col-md-2 col-form-label">Vendor OEM</label>
                    <div class="col-md-6">
                        <select id="oem_id" name="oem_id" class="form-control"  data-selected="0" >
                            <option value=''>Select...</option>
                        </select>
                        <div  id="oem_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Contact Details</h5><br>
                <div class="mb-3 row">
                    <label for="contact_phone" class="col-md-2 col-form-label">Phone Number</label>
                    <div class="col-md-6">
                        <input id="contact_phone" name="contact_phone" type="text" class="form-control" placeholder="Phone Number" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="contact_email" class="col-md-2 col-form-label">Email Id</label>
                    <div class="col-md-6">
                        <input id="contact_email" name="contact_email" type="text" class="form-control" placeholder="Email Id" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="address" class="col-md-2 col-form-label">Address</label>
                    <div class="col-md-6">
                        <input id="address" name="address" type="text" class="form-control" placeholder="Address" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="postal_code" class="col-md-2 col-form-label">Pin Code</label>
                    <div class="col-md-6">
                        <input id="postal_code" name="postal_code" type="text" class="form-control" placeholder="Pin Code" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-control">
                            <option value=''>Select...</option>
                            @foreach($cities as $city)
                                <option value="{{ $city->id }}">{{ $city->city}}</option>
                            @endforeach 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="d-flex flex-wrap gap-2">
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                        <a href="{{ route('vendors.index') }}" class="btn btn-secondary waves-effect waves-light">Cancel</a>
                    </div>
            </div>
        </div>
        <!-- Meta Details for vendor -->
        <!--<div class="card">
            <div class="card-body">

                <h4 class="card-title">Meta Data</h4>
                <p class="card-title-desc">Fill all information below</p>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="mb-3">
                                <label for="meta_title">Meta title</label>
                                <input id="meta_title" name="meta_title" type="text" class="form-control" placeholder="Metatitle">
                            </div>
                            <div class="mb-3">
                                <label for="meta_keyword">Meta Keywords</label>
                                <input id="meta_keyword" name="meta_keyword" type="text" class="form-control" placeholder="Meta Keywords">
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="mb-3">
                                <label for="meta_description">Meta Description</label>
                                <textarea name="meta_description" class="form-control" id="meta_description" rows="5" placeholder="Meta Description"></textarea>
                            </div>
                        </div>
                    </div>


            </div>
        </div> -->
    </form>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $('#category_id').on('change', function() {
            actionUrl = "{{ route('vendor-oem.oem-by-category') }}";
            token = "{{ csrf_token() }}";
            updateVendorOemOption(actionUrl, token);
        });
        $('#city_id').on('change', function() {
            actionUrl = "{{ route('city') }}";
            token = "{{ csrf_token() }}";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $( "#vendor_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "{{ route('vendor.validate') }}";
            form = $( "#vendor_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                        $.each(response.errors, function(i, item) {
                            $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
@endsection