@extends('layouts.master')

@section('title') @lang('translation.Customers') @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
@endsection
@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Ecommerce @endslot
        @slot('title') Customers @endslot
    @endcomponent

            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">Asset {{ $asset->id }}</div>
                    <div class="card-body">

                        <a href="{{ url('/admin/assets') }}" title="Back"><button class="btn btn-warning btn-sm"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</button></a>
                        <a href="{{ url('/admin/assets/' . $asset->id . '/edit') }}" title="Edit Asset"><button class="btn btn-primary btn-sm"><i class="fa fa-pencil-square-o" aria-hidden="true"></i> Edit</button></a>

                        <form method="POST" action="{{ url('admin/assets' . '/' . $asset->id) }}" accept-charset="UTF-8" style="display:inline">
                            {{ method_field('DELETE') }}
                            {{ csrf_field() }}
                            <button type="submit" class="btn btn-danger btn-sm" title="Delete Asset" onclick="return confirm(&quot;Confirm delete?&quot;)"><i class="fa fa-trash-o" aria-hidden="true"></i> Delete</button>
                        </form>
                        <br/>
                        <br/>

                        <div class="table-responsive">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <th>ID</th><td>{{ $asset->id }}</td>
                                    </tr>
                                    <!--<tr><th> Vendor Id </th><td> {{ $asset->vendor_id }} </td></tr><tr><th> Category Id </th><td> {{ $asset->category_id }} </td></tr>-->
                                    <tr><th> Name </th><td> {{ $asset->name }} </td></tr>
                                    <tr><th>Manufacturer Name </th><td> {{ $asset->manufacturer_name }} </td></tr>
                                    <tr><th>Model Name </th><td> {{ $asset->model_name }} </td></tr>
                                    <tr><th>Model Number </th><td> {{ $asset->model_number }} </td></tr>
                                    <tr><th>Registered Name </th><td> {{ $asset->registered_number }} </td></tr>
                                    <tr><th> Brand </th><td> {{ $asset->brand }} </td></tr>
                                    <tr><th> Duration </th><td> {{ $asset->duration }} </td></tr>
                                    <tr><th> Asset Type </th><td> {{ $asset->asset_type }} </td></tr>
                                    <tr><th> Cost </th><td> {{ $asset->cost }} </td></tr>
                                    <tr><th> Description </th><td> {{ $asset->description }} </td></tr>
                                    <tr><th> Image </th><td><img src="{{ $asset->image }}" /> </td></tr>
                                    <tr><th> Name </th><td> {{ $asset->slug }} </td></tr>


                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
    <!-- end row -->
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
        });
    </script>
@endsection
