@extends('layouts.master-without-nav')

@section('title')
    @lang('translation.FAQ')
@endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/css/custom.css') }}" rel="stylesheet" type="text/css" />
    <style>
        .bx{
            line-height: 1.5 !important;
        }
        .input-group-text{            
            background: #fff !important;
            border-right: unset !important;
            border-radius: 15px 0px 0px 15px !important;
            border: 2px solid #50dde2 !important;
            margin-right: -1px !important;
        }
        .form-control{
            border: 2px solid #50dde2 !important;
            border-left: unset !important;
            border-radius: 0px 15px 15px 0px !important;
        }
        .accordion{            
            padding: 10px;
        }
        .faq-title{
            padding: 10px;
        }
        .faq-head-title{
            padding: 25px 10px;
        }
    </style>
@endsection

@section('body')

    <body>
    @endsection

    @section('content')
        <div class="account-pages my-5 pt-sm-5">
            <div class="container">
                <h2 class="faq-head-title">FAQ</h2>
                
                 <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="inputGroup-sizing-default"><i class="bx bx-search-alt-2"></i></span>
                    </div>
                    <input type="search" class="form-control" id="search" placeholder="Search here" > 
                </div>
                <div class="accordion" id="accordionFaq">
                @foreach($faqCategoryList as $cateKey => $faqCategory)
                    <h2 class="faq-title">{{ $faqCategory->faq_category }}</h2>
                    @foreach($faqCategory->faqs as $key => $faqs)
                        
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="heading{{$cateKey.'-'.$key}}">
                            <button class="accordion-button {{ ($cateKey == 0  && $key ==0)  ?  'collapsed' : ''}}" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_{{$faqCategory->faq_category . $key}}" aria-expanded="false" aria-controls="collapse{{$key}}"><b>{{ $faqs->question }}</b>
                            </button>
                            </h2>
                            <div id="collapse_{{$faqCategory->faq_category . $key}}" class="accordion-collapse collapse  {{ ($cateKey == 0 && $key ==0)  ?  'show' : ''}}" aria-labelledby="heading{{$key}}" data-bs-parent="#accordionExample">
                            <div class="accordion-body">
                                {{ $faqs->search_answer }}
                            </div>
                            </div>
                        </div>
                    @endforeach 
                @endforeach 
                </div>

                </div>
            </div>
        </div>
        <!-- end account-pages -->

    @endsection

    @section('script')
    <!-- select 2 plugin -->
    <script src="{{ URL::asset('/assets/libs/select2/select2.min.js') }}"></script>

    <!-- dropzone plugin -->
    <script src="{{ URL::asset('/assets/libs/dropzone/dropzone.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/ecommerce-select2.init.js') }}"></script>
    <!--tinymce js-->
    <script src="{{ URL::asset('/assets/libs/tinymce/tinymce.min.js') }}"></script>

    <!-- init js -->
    <script src="{{ URL::asset('/assets/js/pages/form-editor.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>

    <script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
    <script src="{{ URL::asset('/assets/js/custom.js') }}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        //updateNotification();
        $(document).on("change", "#search", function( event ){
            event.preventDefault();
            updateNotification();
         

        }).trigger('change');
        
    });
    function updateNotification(){
   
        $.ajax({
                type: "GET",
                url: "{{ route('cms.faq_question') }}",
                data: {
                    "search": $('#search').val(),
                    "_token": "{{ csrf_token() }}"
                }, 
                success: function(data){ 
                    $('#accordionFaq').html(data);
                },
                error: function (data) {
                   
                },
            });
    }
    
    </script>
@endsection