

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Subscription Angel'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">ANGEL SERVICES  - subscriptions</h4>
    </div>
    <div class="col-sm-8">
        <div class="text-sm-end">
            <a href="<?php echo e(route('subscription-plan.angel-service.create')); ?>" class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i> Create New</a>
        </div>
    </div>
</div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <select id="plan_name" class="form-control select2">
                                <option value=''>--By Plan--</option>
                                <?php $__currentLoopData = $angelServiceList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $angelService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($angelService->plan_name); ?>"><?php echo e($angelService->plan_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="business_category_id" class="form-control select2">
                                <option value=''>--By Business Category--</option>
                                <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessCategory->id); ?>"><?php echo e($businessCategory->business_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="service_type_id" class="form-control select2">
                                <option value=''>--By Service Type--</option>
                                <?php $__currentLoopData = $serviceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serviceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($serviceType->id); ?>"><?php echo e($serviceType->service_type); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div> 
                        <div class="col-sm-2">
                        </div> 
                        <div class="col-sm-2">
                        </div> 
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                            </div>
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Plan Name</th>
                                    <th> Business Category</th>
                                    <th> Business Models</th>
                                    <th> Service Type</th>
                                    <th> Fixed Price </th>
                                    <th> Base Plan</th>
                                    <th> Location</th>
                                    <th> T&C</th>
                                    <th> Created At </th>
                                    <th> Created By </th>
                                    <th> Updated At </th>
                                    <th> Updated By </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            
            updateTables();
            $('#plan_name').on('change', function() {
                updateTables();
            });
            $('#business_category_id').on('change', function() {
                updateTables();
            });
            $('#service_type_id').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('subscription-plan.angel-service.tab-index')); ?>",
                    "type": "POST",
                    'data': {
                        "plan_name": $('#plan_name').val(),
                        "business_category_id": $('#business_category_id').val(),
                        "service_type_id": $('#service_type_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "plan_name" },
                    { "data": "business_category_id" },
                    { "data": "business_model_id" },
                    { "data": "service_type_id" },
                    { "data": "fixed_price" },
                    { "data": "base_plan" },
                    { "data": "location" },
                    { "data": "terms" },
                    { "data": "created_at" },
                    { "data": "created_by" },
                    { "data": "updated_at" },
                    { "data": "updated_by" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\subscription_plan\angel_service\index.blade.php ENDPATH**/ ?>