

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Reward'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Reward <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Edit Reward <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('marketing.reward.update', ['reward' => $reward->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($reward->id); ?>" />
    
    <div class="card">
            <div class="card-body">
                <h5>Reward Details</h5><br>
                <div class="mb-3 row">
                    <label for="reward_name" class="col-md-2 col-form-label">Reward Name</label>
                    <div class="col-md-6">
                        <input id="reward_name" name="reward_name" type="text" class="form-control" placeholder="Reward Name" value="<?php echo e($reward->reward_name); ?>" required>
                        <div  id="reward_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="business_category_id" class="col-md-2 col-form-label">For Business Category</label>
                    <div class="col-md-6">
                        <select id="business_category_id" name="business_category_id" class="form-select select2">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($businessCategory->id); ?>" <?php echo e($businessCategory->id  == $reward->business_category_id ? 'selected' :''); ?>><?php echo e($businessCategory->business_category); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="business_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Reward Program Details</h5><br>
                <div class="mb-3 row">
                    <label for="image" class="col-md-2 col-form-label">Image</label>
                    <div class="col-md-6">
                        <img src="" />
                        <input id="image" name="image" type="file" class="form-control"  />
                        <small>Choose an image from the computer</small>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="link_page" class="col-md-2 col-form-label">Linking Page</label>
                    <div class="col-md-6">
                        <input id="link_page" name="link_page" type="text" class="form-control" placeholder="Linking Page"  value="<?php echo e($reward->link_page); ?>"/>
                        <small>Add/Type the URL which will open when the image is clicked on mobile APP</small>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Applicable LOcation</h5><br>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-control" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($city->id); ?>" <?php echo e($city->id  == $reward->city_id ? 'selected' :''); ?>><?php echo e($city->city); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Reward Points and Redemption Formula</h5><br>
                <div class="mb-3 row">
                    <label for="reward_point" class="col-md-2 col-form-label">Reward Point</label>
                    <div class="col-md-6">
                        <?php $rewardPoints = range(10, 1000, 10) ?>
                        <select id="reward_point" name="reward_point" class="form-select select2">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $rewardPoints; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rewardPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($rewardPoint); ?>"  <?php echo e($rewardPoint  == $reward->reward_point ? 'selected' :''); ?>><?php echo e($rewardPoint); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="redemption_cost" class="col-md-2 col-form-label">Redemption Cost</label>
                    <div class="col-md-6">
                        <input id="redemption_cost" name="redemption_cost" type="text" class="form-control" placeholder="Redemption Cost"value="<?php echo e($reward->redemption_cost); ?>" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="redemption_duration" class="col-md-2 col-form-label">Redemption Duration</label>
                    <div class="col-md-6">
                        <select id="redemption_duration" name="redemption_duration" class="form-select select2">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($duration->id); ?>" <?php echo e($duration->id  == $reward->redemption_duration ? 'selected' :''); ?>><?php echo e($duration->days); ?> days</option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="redemption_validity" class="col-md-2 col-form-label">Auto Redemption Validity</label>
                    <div class="col-md-6">
                        <select id="redemption_validity" name="redemption_validity" class="form-select select2">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($duration->id); ?>" <?php echo e($duration->id  == $reward->redemption_validity ? 'selected' :''); ?>><?php echo e($duration->days); ?> days</option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var token = "<?php echo e(csrf_token()); ?>";
        actionUrl = "<?php echo e(route('city')); ?>";
        updateStateOptions(actionUrl, token);
        updateDistrictOptions(actionUrl, token);
        updateZoneOptions(actionUrl, token);
        $('#city_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('marketing.reward.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\marketing\reward\edit.blade.php ENDPATH**/ ?>