

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Walkaround Checklist'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="row content-panel-header">
        <div class="col-sm-4 page-title-box">
            <h4 class="mb-sm-0 font-size-18">Walkaround Checklists </h4>
        </div>
        <div class="col-sm-8">
            <div class="text-sm-end">
                <a href="<?php echo e(route('cms.walkaround-checklist.create')); ?>" class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i> Create New</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <select id="product_type_id" class="form-control select2">
                                <option value=''>--By Product Type--</option>
                                <?php $__currentLoopData = $productTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $productType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($productType->id); ?>"><?php echo e($productType->product_type); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="product_model" class="form-control select2">
                                <option value=''>--By Model --</option>
                                <?php $__currentLoopData = $assetList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($asset->model_name); ?>"><?php echo e($asset->model_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="category_id" class="form-control select2">
                                <option value=''>--By Category --</option>
                                <?php $__currentLoopData = $categoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>"><?php echo e($category->category_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="updated_by" class="form-control select2">
                                <option value=''>--By Updated by--</option>
                                <?php $__currentLoopData = $walkaroundChecklistData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $walkaroundChecklist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($walkaroundChecklist->updatedUser): ?>)
                                    <option value="<?php echo e($walkaroundChecklist->updatedUser->id); ?>"><?php echo e($walkaroundChecklist->updatedUser->name); ?></option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                        </div> 
                        
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                            </div>
                        </div><!-- end col-->
                    </div>
                    <div class="row mb-2">
                        
                    </div>

                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Product Type</th>
                                    <th> Model</th>
                                    <th> Subscription Policy </th>
                                    <th> User Role </th>
                                    <th> Created By </th>
                                    <th> Updated By </th>
                                    <th> Created At </th>
                                    <th> Updated At </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            
            updateTables();
            $('#product_type_id').on('change', function() {
                updateTables();
            });
            $('#product_model').on('change', function() {
                updateTables();
            });
            $('#category_id').on('change', function() {
                updateTables();
            });
            $('#updated_by').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('cms.walkaround-checklist.tab-index')); ?>",
                    "type": "POST",
                    'data': {
                        "product_type_id": $('#product_type_id').val(),
                        "product_model": $('#product_model').val(),
                        "category_id": $('#category_id').val(),
                        "updated_by": $('#updated_by').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "product_type" },
                    { "data": "product_model" },
                    { "data": "subscription_plan_id" },
                    { "data": "mobile_user" },
                    { "data": "created_by" },
                    { "data": "updated_by" },
                    { "data": "created_at" },
                    { "data": "updated_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\walkaround_checklist\index.blade.php ENDPATH**/ ?>