

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Purchased Service Charging Station'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?>  Purchased Services <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> Charging Station <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <select id="purchased_service_id" class="form-select select2">
                                <option value=''>--By Purchased Service--</option>
                                <?php $__currentLoopData = $purchasedServiceList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $purchasedService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($purchasedService->id); ?>"><?php echo e($purchasedService->purchased_service); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="location_id" class="form-select select2">
                                <option value=''>--By Location--</option>
                                <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($location->id); ?>"><?php echo e($location->location); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="vendor_workshop_id" class="form-select select2">
                                <option value=''>--By Service Workshop--</option>
                                <?php $__currentLoopData = $serviceWorkshopList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serviceWorkshop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($serviceWorkshop->id); ?>" address="<?php echo e($serviceWorkshop->address); ?>"><?php echo e($serviceWorkshop->service_workshop); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="asset_type_id" class="form-select select2">
                                <option value=''>--By Asset Type--</option>
                                <?php $__currentLoopData = $assetTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assetType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($assetType->id); ?>" ><?php echo e($assetType->product_type); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        
                        <div class="col-sm-2">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                        </div>
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                                <a href="<?php echo e(route('purchased-service.charging-station.create')); ?>" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Charging Station</a>
                            </div>
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Purchased Service</th>
                                    <th> Location </th>
                                    <th> Service Workshop </th>
                                    <th> Asset Type</th>
                                    <th> Asset</th>
                                    <th> Bill No</th>
                                    <th> Service Cost</th>
                                    <th> Start Date</th>
                                    <th> Estimated Delivery Date</th>
                                    <th> Actual Delivery Date</th>
                                    <th> Remarks   </th>
                                    <th> Created At </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            
            updateTables();
           
            $('#purchased_service_id').on('change', function() {
                updateTables();
            });
            $('#location_id').on('change', function() {
                updateTables();
            });
            $('#vendor_workshop_id').on('change', function() {
                updateTables();
            });
            $('#asset_id').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('purchased-service.charging-station.tab-index')); ?>",
                    "type": "POST",
                    'data': {
                        "purchased_service_id": $('#purchased_service_id').val(),
                        "location_id": $('#location_id').val(),
                        "vendor_workshop_id": $('#vendor_workshop_id').val(),
                        "asset_type_id": $('#asset_type_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "purchased_service_id" },
                    { "data": "location_id" },
                    { "data": "vendor_workshop_id" },
                    { "data": "asset_type_id" },
                    { "data": "asset_id" },
                    { "data": "bill_number" },
                    { "data": "service_cost" },
                    { "data": "start_date" },
                    { "data": "estimated_delivery_date" },
                    { "data": "actual_delivery_date" },
                    { "data": "remarks" },
                    { "data": "created_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\purchased_service\charging_station\index.blade.php ENDPATH**/ ?>