

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Edit City'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">city</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="city_form" action="<?php echo e(route('cities.update', ['city' => $city->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Edit Existing City</div>
                <div class="mb-3 row">
                    <label for="business_category" class="col-md-2 col-form-label">Business Category</label>
                    <div class="col-md-6">
                        <select name="zone_id" id="zone_id" class="form-select" required>
                                <option value='' >Select...</option>
                                <?php $__currentLoopData = $zones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($zone->id); ?>" <?php echo e((($zone->id == $city->zone_id) ? 'selected' : '')); ?> ><?php echo e($zone->zone); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select name="state_id" id="state_id" class="form-select" required>
                                <option value='' >Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select name="district_id" id="district_id" class="form-select" required>
                                <option value='' >Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city" class="col-md-2 col-form-label">Name the City</label>
                    <div class="col-md-6">
                        <input id="city" name="city" type="text" class="form-control" placeholder="Name the City" value="<?php echo e($city->city); ?>" required>
                        <div  id="state_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        updateState();
        updateDistrictOptions();


        $('#zone_id').change(function() {
            var zone_id = $(this).val();
            updateState();
        });
        $('#state_id').change(function() {
            var state_id = $(this).val();
            updateDistrictOptions();
        });
        function updateState() {
            var zone_id = $('#zone_id').val();
            var states = [];
            actionUrl = "<?php echo e(route('state.states-by-zone')); ?>";
            $.ajax({
                type: "POSt",
                url: actionUrl,
                data: {
                    "zone_id":zone_id,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                success: function(data){ 
                    if(data['data']){
                        var sel = $("#state_id");
                        sel.find('option').remove().end();
                        sel.append('<option value="">Select...</option>');
                        var selectedId = '<?php echo e($city->state_id); ?>';
                        $.each(data['data'], function(index, item) {
                            if(selectedId == item.id){
                                selected = 'selected';
                                //$("#state_id").val('"'+item.id+'"').trigger('change');
                            }else{
                                selected = '';
                            }
                            if(item.state != ''){
                                sel.append('<option value="'+ item.id +'" '+ selected + '>'+ item.state +'</option>');
                            }
                        });
                    }
                },
                error: function (data) {
                    console.log(actionUrl+' Failes.');
                },
            });
        }
        
        function updateDistrictOptions(){
            var state_id =  $('#state_id').val();
            if(state_id == ''){
                state_id = '<?php echo e($city->state_id); ?>';
            }
            var states = [];
            actionUrl = "<?php echo e(route('district.districts-by-state')); ?>";
            $.ajax({
                type: "POSt",
                url: actionUrl,
                data: {
                    "state_id":state_id,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                success: function(data){ 
                    if(data['data']){
                        var sel = $("#district_id");
                        sel.find('option').remove().end();
                        sel.append('<option value="">Select...</option>');
                        var selectedId = '<?php echo e($city->district_id); ?>';
                        $.each(data['data'], function(index, item) {
                            if(selectedId == item.id){
                                selected = 'selected';
                            }else{
                                selected = '';
                            }
                            if(item.state != ''){
                                sel.append('<option value="'+ item.id +'" '+ selected + '>'+ item.district +'</option>');
                            }
                        });
                    }
                },
                error: function (data) {
                    console.log(actionUrl+' Failes.');
                },
            });
        }
        $( "#city_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('city.validate')); ?>";
            form = $( "#city_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\master\zone_city\edit.blade.php ENDPATH**/ ?>