

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Assets'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?> Assets <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> Assets <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                            <select id="category_id" class="form-control select2">
                                <option value=''>--By Category--</option>
                                <?php $__currentLoopData = $assetCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assetCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($assetCategory->id); ?>"><?php echo e($assetCategory->asset_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                        </div>
                        <div class="col-sm-2">
                        </div>
                        
                        <div class="col-sm-2">
                        </div>
                        <div class="col-sm-2">
                            <input type="search" id="search" name="search" class="form-control" placeholder="Search">
                        </div>
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                                <a href="<?php echo e(route('assets.create')); ?>" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Products</a>
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="asset_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Asset Name</th>
                                    <th> Category</th>
                                    <th> Asset Type </th>
                                    <th> OEM </th>
                                    <th> Model Name </th>
                                    <th> Model Number </th>
                                    <th> Created At </th>
                                    <th> Action </th>

                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
            showAssets();
           
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                showAssets();
            });
            $("#search").change(function(){
                showAssets();
            });
            
        });

        
        function showAssets() {
            $("#asset_datatable").DataTable().destroy();
            var table = $('#asset_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('asset.tab-index')); ?>",
                    "type": "POST",
                    'data': {
                        "category_id": $('#category_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "name" },
                    { "data": "category" },
                    { "data": "asset_type" },
                    { "data": "oem" },
                    { "data": "model_name" },
                    { "data": "model_number" },
                    { "data": "created_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\assets\asset\index.blade.php ENDPATH**/ ?>