

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Assets Detail View'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
    <style>
        .img-thumbnail {
            width: 100px;
            height: 100px;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?> Assets <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> Detail View <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>

            <div class="col-md-12">
                <div class="">
                    <div class="">Asset <?php echo e($asset->id); ?></div>
                    <div class="">

                        <a href="<?php echo e(url('/admin/assets')); ?>" title="Back"><button class="btn btn-warning btn-sm"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</button></a>
                        <a href="<?php echo e(url('/admin/assets/' . $asset->id . '/edit')); ?>" title="Edit Asset"><button class="btn btn-primary btn-sm"><i class="fa fa-pencil-square-o" aria-hidden="true"></i> Edit</button></a>

                        <form method="POST" action="<?php echo e(url('admin/assets' . '/' . $asset->id)); ?>" accept-charset="UTF-8" style="display:inline">
                            <?php echo e(method_field('DELETE')); ?>

                            <?php echo e(csrf_field()); ?>

                            <button type="submit" class="btn btn-danger btn-sm" title="Delete Asset" onclick="return confirm(&quot;Confirm delete?&quot;)"><i class="fa fa-trash-o" aria-hidden="true"></i> Delete</button>
                        </form>
                        <br/>
                        <br/>

                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Asset Details</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <th>ID</th><td><?php echo e($asset->id); ?></td>
                                            </tr>
                                            <!--<tr><th> Vendor Id </th><td> <?php echo e($asset->vendor_id); ?> </td></tr><tr><th> Category Id </th><td> <?php echo e($asset->category_id); ?> </td></tr>-->
                                            <tr><th> Asset/Electric Product </th><td> <?php echo e($asset->name); ?> </td></tr>
                                            <tr><th>Name of the Model </th><td> <?php echo e($asset->model_name); ?> </td></tr>
                                            <tr><th>Model Number </th><td> <?php echo e($asset->model_number); ?> </td></tr>
                                            <tr><th>Registration Number</th><td> <?php echo e($asset->registeration_number); ?> </td></tr>
                                            <tr><th> Category </th><td> <?php echo e($asset->category->category_name); ?> </td></tr>
                                            <tr><th> Asset Type </th><td> <?php echo e($asset->asset_type); ?> </td></tr>
                                            <tr><th> Price </th><td> <?php echo e($asset->cost); ?> </td></tr>
                                            <tr><th> Image </th>
                                                <td>
                                                    <?php if($assetDocuments): ?>
                                                        <?php $__currentLoopData = $assetDocuments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assetDocument): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <img src="<?php echo e($assetDocument['path']); ?>" class="img-thumbnail" /> 
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php endif; ?>
                                                </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">OEM/Dealer Details</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> OEM </th><td> <?php echo e($asset->oem); ?> </td></tr>
                                            <tr><th>Dealer </th><td> <?php echo e($asset->dealer); ?> </td></tr>
                                            <tr><th>Purchase Invoice Number </th><td> <?php echo e($asset->purchased_invoice_number); ?> </td></tr>
                                            <tr><th>Purchased Date</th><td> <?php echo e($asset->purchased_date); ?> </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Location Details</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Location </th><td> <?php echo e($asset->location); ?> </td></tr>
                                            <tr><th>City </th><td> <?php echo e($asset->city); ?> </td></tr>
                                            <tr><th>District </th><td> <?php echo e($asset->district); ?> </td></tr>
                                            <tr><th>State</th><td> <?php echo e($asset->state); ?> </td></tr>
                                            <tr><th>Postal Code</th><td> <?php echo e($asset->postal_code); ?> </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Service Plane</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Service Plan </th><td></td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Insurance Plane</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Insurance Plan </th><td>  </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Parts</h4>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr><th> Parts </th><td>  </td></tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\orders\vehicle\show.blade.php ENDPATH**/ ?>