

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Banner'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Banner <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Edit Banner <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('cms.banner.update', ['banner' => $banner->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($banner->id); ?>" />
    
    <div class="card">
            <div class="card-body">
                <h5>Banner Details</h5><br>
                <div class="mb-3 row">
                    <label for="banner_name" class="col-md-2 col-form-label">Banner Name</label>
                    <div class="col-md-6">
                        <input id="banner_name" name="banner_name" type="text" class="form-control" placeholder="Banner Name" value="<?php echo e($banner->banner_name); ?>" required>
                        <div  id="banner_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App" <?php echo e($banner->mobile_user == 'Customer App' ? 'selected' : ''); ?>>Customer App</option>
                            <option value="Angel Driver" <?php echo e($banner->mobile_user == 'Angel Driver' ? 'selected' : ''); ?>>Angel Driver</option>
                            <option value="OPS Angel" <?php echo e($banner->mobile_user == 'OPS Angel' ? 'selected' : ''); ?>>OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Banner Program Details</h5><br>
                <div class="mb-3 row">
                    <label for="image" class="col-md-2 col-form-label">Image</label>
                    <div class="col-md-6">
                        <?php if($banner->image): ?>
                            <div  class="mb-3 row">
                                <img src="<?php echo e($banner->image); ?>" style="width: 150px;" />
                            </div>
                        <?php endif; ?>
                        <input id="image" name="image" type="file" class="form-control"  />
                        <small>Choose an image from the computer</small>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="link_page" class="col-md-2 col-form-label">Linking Page</label>
                    <div class="col-md-6">
                        <input id="link_page" name="link_page" type="text" class="form-control" placeholder="Linking Page" value="<?php echo e($banner->link_page); ?>" />
                        <small>Add/Type the URL which will open when the image is clicked on mobile APP</small>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Applicable Location</h5><br>
                <div class="mb-3 row">
                    <div class="col-md-2">
                        <input class="form-check-input location" type="radio" name="location" id="location1" value="All Locations" <?php echo e($banner->location == 'All Locations' ? 'checked' : ''); ?>/>
                        <label class="form-check-label" for="location1">
                        All Locations
                        </label>
                    </div>
                    <div class="col-md-6">
                        <input class="form-check-input location" type="radio" name="location" id="location2"  value="Selected Location" <?php echo e($banner->location == 'Selected Location' ? 'checked' : ''); ?> />
                        <label class="form-check-label" for="location2">
                            Selected Location
                        </label>
                    </div>
                </div>
                <div class="location-field" style=" <?php echo e($banner->location == 'All Locations' ? 'display:none;' : ''); ?>">
                    <div class="mb-3 row">
                        <label for="city_id" class="col-md-2 col-form-label">City</label>
                        <div class="col-md-6">
                            <select id="city_id" name="city_id" class="form-control" required>
                                <option value=''>Select...</option>
                                <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($city->id); ?>" <?php echo e(((isset($banner->bannerLocation->city_id)) ? ($banner->bannerLocation->city_id == $city->id ) ? 'selected' : '' : '')); ?>><?php echo e($city->city); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                            <div  id="city_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="district_id" class="col-md-2 col-form-label">District</label>
                        <div class="col-md-6">
                            <select id="district_id" name="district_id" class="form-control" required>
                                <option value=''>Select...</option>
                            </select>
                            <div  id="district_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="state_id" class="col-md-2 col-form-label">State</label>
                        <div class="col-md-6">
                            <select id="state_id" name="state_id" class="form-control" required>
                                <option value=''>Select...</option>
                            </select>
                            <div  id="state_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                        <div class="col-md-6">
                            <select id="zone_id" name="zone_id" class="form-control" required>
                                <option value=''>Select...</option>
                            </select>
                            <div  id="zone_id_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
   </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $(document).on("change", ".location", function(){
            conditionField = $(".location-field");
            if($(this).val() == 'Selected Location'){
                conditionField.show();
            }else{
                conditionField.hide();
            }
        }).trigger('change');
        var token = "<?php echo e(csrf_token()); ?>";
        actionUrl = "<?php echo e(route('city')); ?>";
        updateStateOptions(actionUrl, token);
        updateDistrictOptions(actionUrl, token);
        updateZoneOptions(actionUrl, token);
        $('#city_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('cms.banner.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\banner\edit.blade.php ENDPATH**/ ?>