

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Angel Service Order'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">                        
                        <div class="col-sm-2">
                            <select id="order_id" class="form-control select2">
                                <option value=''>--By Vehicle Order --</option>
                                <?php $__currentLoopData = $vehicleOrderList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicleOrder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($vehicleOrder->id); ?>"><?php echo e($vehicleOrder->order_number); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                        </div>
                        <div class="col-sm-4">
                        </div>
                        
                        <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                        </div>
                        <div class="col-sm-2">
                            <input type="search" id="search" name="search" class="form-control" placeholder="Search">
                        </div>
                        <div class="col-sm-2">
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="order_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Order Number</th>
                                    <th> Order status</th>
                                    <th> Payment status</th>
                                    <th> Payment Type</th>
                                    <th> Service/Order Type </th>
                                    <th> Cost </th>
                                    <th> Convinence Fee </th>
                                    <th> Delivery Charge </th>
                                    <th> Order sub Total </th>
                                    <th> Delivery Type </th>
                                    <th> Subscription Plan </th>
                                    <th> Created Date </th>
                                    <th> Updated Date </th>
                                    <th> Action </th>

                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
            updateTables();
           
            $('#order_id').on('change', function() {
                updateTables();
            });
            $("#search").change(function(){
                updateTables();
            });
            
        });
        
        $(document).on('change','.order_status', function(){
            status = $(this).val();
            
            //var orderId =  $(this).find(":selected").attr("class");
            var orderId =  $(this).attr('id');
            console.log($(this).attr('id'));
            actionUrl = "<?php echo e(route('order.change_angel_service_order_status')); ?>";
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: {
                    "_token": "<?php echo e(csrf_token()); ?>",
                    "id" : orderId,
                    "status" : status
                },
                success: function(response){ 
                    updateTables();
                },
                error: function (data) {
                    console.log(data);
                    response = data.responseJSON;
                     
                    if(response.mode == false){
                        $.toast({
                            heading: 'Error',
                            text: response.message,
                            showHideTransition: 'fade',
                            icon: 'error'
                        })
                    }
                },
            });
        });
        $(document).on('change','.payment_status', function(){
            status = $(this).val();
            
            var orderId =  $(this).attr('id');
            console.log($(this).attr('id'));
            // actionUrl = "#";
            // $.ajax({
            //     type: "POST",
            //     url: actionUrl,
            //     data: {
            //         "_token": "<?php echo e(csrf_token()); ?>",
            //         "id" : orderId,
            //         "status" : status
            //     },
            //     success: function(response){ 
            //         updateTables();
            //     },
            //     error: function (data) {
            //         console.log(data);
            //     },
            // });
        });

             
        $(document).on("click",".delete",function(e) {
           e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            var url = $(this).attr('data-url');
            // confirm then
            $.ajax({
                url: url,
                type: 'DELETE',
                dataMode: 'json',
                data: {
                    //  method: 'DELETE', 
                    submit: true,
                    "_token": "<?php echo e(csrf_token()); ?>"
                }
            }).always(function (data) {
                updateTables();
            });
        });
        
        function updateTables() {
            $("#order_datatable").DataTable().destroy();
            var table = $('#order_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('order.angel-service.tab_index')); ?>",
                    "type": "POST",
                    'data': {
                        "order_id": $('#order_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "order_number" },
                    { "data": "status" },
                    { "data": "payment_status" },
                    { "data": "payment_type" },
                    { "data": "order_type" },
                    { "data": "cost" },
                    { "data": "convenience_fee" },
                    { "data": "delivery_charge" },
                    { "data": "order_sub_total" },
                    { "data": "delivery_type" },
                    { "data": "subscription_id" },
                    { "data": "created_at" },
                    { "data": "updated_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\orders\angel_service\index.blade.php ENDPATH**/ ?>