

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Charging Equipment Asset'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/css/custom-dropzone.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(URL::asset('/assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.css')); ?>" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="<?php echo e(URL::asset('/assets/libs/datepicker/datepicker.min.css')); ?>">

    <style>
        
    img{
        width:100px;
        height:100px;
    }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>



<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18"> Charging Equipment Asset details</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <?php if($chargingEquipment->id): ?>
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('asset.charging-equipment.update', ['charging_equipment' => $chargingEquipment->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php else: ?>
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('asset.charging-equipment.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php endif; ?>
    <?php echo csrf_field(); ?>

    <input name="id" type="hidden"  value="<?php echo e($chargingEquipment->id); ?>" />
    
    
    <div class="card">
            <div class="card-body">
                <h5>Asset Details</h5><br>
                <div class="mb-3 row"> 
                    <label for="product_id" class="col-md-2 col-form-label">Asset/Electric Product<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="product_id" name="product_id" class="form-select" required>
                            <option value=''>Select...</option>
                                <?php $__currentLoopData = $productTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $productType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($productType->id); ?>" <?php echo e($chargingEquipment->product_id == $productType->id ? 'selected' : ''); ?>><?php echo e($productType->product_type); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="product_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="charger_type" class="col-md-2 col-form-label">Charger Type</label>
                    <div class="col-md-6">
                        <select id="charger_type" name="charger_type" class="form-select" required>
                            <option value=''>Select...</option>
                            <option value='AC' <?php echo e($chargingEquipment->charger_type == 'AC' ? 'selected' : ''); ?>>AC</option>
                            <option value='DC' <?php echo e($chargingEquipment->charger_type == 'DC' ? 'selected' : ''); ?>>DC</option>
                        </select>
                        <div  id="charger_type_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="model_name" class="col-md-2 col-form-label">Model</label>
                    <div class="col-md-6">
                        <input id="model_name" name="model_name" type="text" class="form-control" placeholder="Type here" value="<?php echo e($chargingEquipment->model_name); ?>" required>
                        <div  id="model_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="model_number" class="col-md-2 col-form-label">Model number<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="model_number" name="model_number" type="text" class="form-control" placeholder="Type here" value="<?php echo e($chargingEquipment->model_number); ?>" required>
                        <div  id="model_number_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="kwh_units" class="col-md-2 col-form-label">KWH Units</label>
                    <div class="col-md-6">
                        <input id="kwh_units" name="kwh_units" type="text" class="form-control" placeholder="Type here" value="<?php echo e($chargingEquipment->kwh_units); ?>" >
                        <div  id="kwh_units_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="gun_type" class="col-md-2 col-form-label">Gun Type</label>
                    <div class="col-md-6">
                        <input id="gun_type" name="gun_type" type="text" class="form-control" placeholder="Type here" value="<?php echo e($chargingEquipment->gun_type); ?>" >
                        <div  id="gun_type_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <!-- <div class="mb-3 row">
                    <label for="qr_code" class="col-md-2 col-form-label">OR Code of the Asset</label>
                    <div class="col-md-6">
                        <button type="button" class="btn btn-primary waves-effect waves-light">Generate QR Code</button>
                        <button type="button" class="btn btn-primary waves-effect waves-light">Print QR</button>
                        <button type="button" class="btn btn-primary waves-effect waves-light">View QR</button>
                    </div>
                </div>  -->
            </div>
        </div>
        <?php 

        $images = [];
        foreach($chargingEquipment->images as $image){
            $images[] = $image->path;
        }
        $images = json_encode($images);
        ?>
        <div class="card">
                <div class="card-body">

                    <h4 class="card-title">Asset Documents</h4>
                    <div>
                        <div action="#" class="dropzone_file" data-images="<?php echo e($images); ?>">
                            <div class="fallback">
                                <input name="file" type="file" multiple="multiple">
                            </div>
                            <div class="dz-message needsclick">
                                <div class="mb-3">
                                    <i class="display-4 text-muted bx bxs-cloud-upload"></i>
                                </div>

                                <h4>Drop files here or click to upload.</h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <div class="card">
            <div class="card-body">
                <h5>OEM/Dealer Details</h5><br>
                <div class="mb-3 row">
                    <input id="category_id" name="category_id" type="hidden"  value="3">
                    <label for="oem_id" class="col-md-2 col-form-label">OEM<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="oem_id" name="oem_id" class="form-select" data-selected="<?php echo e($chargingEquipment->oem_id); ?>" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="oem_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="charging_equipment_dealer_id" class="col-md-2 col-form-label">Dealer<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="charging_equipment_dealer_id" name="charging_equipment_dealer_id" class="form-select"  data-selected="<?php echo e($chargingEquipment->charging_equipment_dealer_id); ?>" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="charging_equipment_dealer_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="purchased_invoice_number" class="col-md-2 col-form-label">Purchase Invoice Number<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="purchased_invoice_number" name="purchased_invoice_number" type="text" class="form-control" placeholder="Type here"  value="<?php echo e($chargingEquipment->purchased_invoice_number); ?>" required>
                        <div  id="purchased_invoice_number_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="purchased_date" class="col-md-2 col-form-label">Purchased Date<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <div class="input-group" id="datepicker2">
                            <input type="text" class="form-control" id="purchased_date" name="purchased_date" placeholder="Type here"
                                
                            value="<?php echo e(date('d-m-Y', strtotime($chargingEquipment->purchased_date))); ?>" 
                                data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                data-provide="datepicker" data-date-autoclose="true">

                            <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                        </div>
                        <div  id="purchased_date_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Add Parts</h5>
                        </div>
                        <div class="col-md-2">
                            <input data-repeater-create type="button"  class="add_parts btn btn-primary waves-effect waves-light" value="Add" />
                        </div>
                    </div>
                    <hr>
                    
                    <div data-repeater-list="asset-parts" class="asset-parts">
                    <?php if($chargingEquipment->parts->count() > 0): ?>
                        <?php $__currentLoopData = $chargingEquipment->parts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div data-repeater-item class="row asset_part_item">
                            <div class="parts-start"></div>
                            <div class="mb-3 row">
                                <label for="adapter_name" class="col-md-2 col-form-label">Name the Adapter </label>
                                <div class="col-md-6">
                                    <input name="asset_part_id" type="hidden" value="<?php echo e($parts->id); ?>" />
                                    <input class="form-control" name="adapter_name" type="text" placeholder="Type here"  id="adapter_name" value=" <?php echo e($parts->adapter_name); ?>" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="adapter_id" class="col-md-2 col-form-label">Adapter ID # </label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_id" type="text" placeholder="Type here"  id="adapter_id" value=" <?php echo e($parts->adapter_id); ?>" />
                                    <div  id="adapter_id_errors"  class="adapter_id_errors invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="adapter_model" class="col-md-2 col-form-label">Adaper model</label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_model" type="text" placeholder="Type here"  id="adapter_model" value=" <?php echo e($parts->adapter_model); ?>" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="plug_pin_points" class="col-md-2 col-form-label">Plug pin points </label>
                                <div class="col-md-4">
                                    <input class="form-control" name="plug_pin_points" type="text" placeholder="Type here"  id="plug_pin_points" value=" <?php echo e($parts->plug_pin_points); ?>" />
                                </div>
                                <div class="col-md-2">Pins
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="adapter_description" class="col-md-2 col-form-label">Adapter Description Appears in the Customer app </label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_description" type="text" placeholder="Type here"  id="adapter_description" value=" <?php echo e($parts->adapter_description); ?>" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="dispesing_units" class="col-md-2 col-form-label">Dispensing Units <br><small>Formula to calculate units per hour this adapter dispenses  </small></label>
                                <div class="col-md-4">
                                    <input class="form-control" name="dispesing_units" type="text" placeholder="Type here"  id="dispesing_units" value=" <?php echo e($parts->dispesing_units); ?>" />
                                </div>
                                <div class="col-md-4">
                                KWH units per minute
                                </div>
                            </div>
                            <?php 
                                $vehicle_oem = isset($parts->vehicle_oem) ? explode(',', $parts->vehicle_oem) : [];
                                
                            ?>
                            <div class="mb-3 row">
                                <label for="vehicle_oem" class="col-md-2 col-form-label">Link to GoZap Assets  </label>
                                <div class="col-md-6">
                                    <select id="part_id" name="vehicle_oem" class="vehicle_oem form-select  select2 select2-multiple"   multiple />
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $vehicleOemList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicleOem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($vehicleOem->vendor_oem); ?>" <?php echo e(in_array($vehicleOem->vendor_oem, $vehicle_oem) ? 'selected' : ''); ?>><?php echo e($vehicleOem->vendor_oem); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div  id="part_id_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="market_vehicle_oem" class="col-md-2 col-form-label"> Market Vehicles OEM </label>
                                <div class="col-md-6">
                                    <input class="form-control" name="market_vehicle_oem" type="text" placeholder="Type here" id="market_vehicle_oem" value=" <?php echo e($parts->market_vehicle_oem); ?>" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="market_vehicle_model" class="col-md-2 col-form-label">Market Vehicle - Model</label>
                                <div class="col-md-6">
                                    <input class="form-control" name="market_vehicle_model" type="text" placeholder="Type here"  id="market_vehicle_model"  value=" <?php echo e($parts->market_vehicle_model); ?>"/>
                                </div>
                                <div class="col-md-4">
                                    <input data-repeater-delete type="button" class="delete-child-table btn btn-primary-borderd" value="Delete"   data-id="<?php echo e($parts->id); ?>" data-url="<?php echo e(route('asset.charging-equipment.delete-parts', $parts->id)); ?>" />
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                         <?php else: ?>
                         <p>No Parts Added yet</p>
                         <div data-repeater-item class="row asset_part_item">
                            <div class="parts-start"></div>
                            <div class="mb-3 row">
                                <label for="adapter_name" class="col-md-2 col-form-label">Name the Adapter </label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_name" type="text" placeholder="Type here"  id="adapter_name" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="adapter_id" class="col-md-2 col-form-label">Adapter ID # </label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_id" type="text" placeholder="Type here"  id="adapter_id" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="adapter_model" class="col-md-2 col-form-label">Adaper model</label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_model" type="text" placeholder="Type here"  id="adapter_model" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="plug_pin_points" class="col-md-2 col-form-label">Plug pin points </label>
                                <div class="col-md-4">
                                    <input class="form-control" name="plug_pin_points" type="text" placeholder="Type here"  id="plug_pin_points" />
                                </div>
                                <div class="col-md-2">Pins
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="adapter_description" class="col-md-2 col-form-label">Adapter Description <br><small>Appears in the Customer app </small></label>
                                <div class="col-md-6">
                                    <input class="form-control" name="adapter_description" type="text" placeholder="Type here"  id="adapter_description"  />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="dispesing_units" class="col-md-2 col-form-label">Dispensing Units <br><small>Formula to calculate units per hour this adapter dispenses  </small></label>
                                <div class="col-md-4">
                                    <input class="form-control" name="dispesing_units" type="text" placeholder="Type here"  id="dispesing_units" />
                                </div>
                                <div class="col-md-4">
                                KWH units per minute
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="vehicle_oem" class="col-md-2 col-form-label">Link to GoZap Assets  </label>
                                <div class="col-md-6">
                                    <select id="vehicle_oem" name="vehicle_oem[]" class="vehicle_oem form-select  select2 select2-multiple"   multiple />
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $vehicleOemList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicleOem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($vehicleOem->vendor_oem); ?>" ><?php echo e($vehicleOem->vendor_oem); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div  id="vehicle_oem_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="market_vehicle_oem" class="col-md-2 col-form-label"> Market Vehicles OEM </label>
                                <div class="col-md-6">
                                    <input class="form-control" name="market_vehicle_oem" type="text" placeholder="Type here"  id="market_vehicle_oem" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="market_vehicle_model" class="col-md-2 col-form-label">Market Vehicle - Model</label>
                                <div class="col-md-6">
                                    <input class="form-control" name="market_vehicle_model" type="text" placeholder="Type here"  id="market_vehicle_model" />
                                </div>
                                <div class="col-md-4">
                                    <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                </div>
                            </div>

                        </div>
                    <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Assign Location</h5><br>
                
                <div class="mb-3 row">
                    <label for="location_id" class="col-md-2 col-form-label">Location Name<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="location_id" name="location_id" class="form-select" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($location->id); ?>" data-city_id="<?php echo e($location->city_id); ?>" <?php echo e($chargingEquipment->location_id == $location->id ? 'selected' : ''); ?>><?php echo e($location->location); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="location_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Service Maintenance  Plan</h5>
                        </div>
                        <div class="col-md-2">
                            <input data-repeater-create type="button"  class="servicePlan btn btn-primary waves-effect waves-light" value="Add" />
                        </div>
                    </div>
                    <hr>
                    <?php if(isset($MaintenanceTypeList[0])): ?>
                    <div data-repeater-list="asset-maintenance" class="asset-maintenance">
                        
                    <?php if(isset($chargingEquipment->servicePlan)): ?>
                        <?php $__currentLoopData = $chargingEquipment->servicePlan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $servicePlan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div data-repeater-item class="row asset_maintenance_item">
                            <div class="mb-3 row">
                                <label for="maintenance_type_id" class="col-md-2 col-form-label">Service Maintenance Type</label>  
                                <div class="col-md-6">
                                    <input type="hidden" name="asset_service_id" value="<?php echo e($servicePlan->id); ?>" />                            
                                    <select id="maintenance_type_id" name="maintenance_type_id" class="form-select" />
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $MaintenanceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $MaintenanceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($MaintenanceType->id); ?>" <?php echo e($MaintenanceType->id == $servicePlan->maintenance_type_id ? 'selected' : ''); ?>><?php echo e($MaintenanceType->maintenance_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_duration" class="col-md-2 col-form-label">Maintenance Duration</label>
                                <div class="col-md-3">
                                    <select id="maintenance_duration" name="maintenance_duration" class="form-select" />
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>" <?php echo e($servicePlan->maintenance_duration ==  $duration->id ? 'selected' : ''); ?>><?php echo e($duration->duration); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                                <label for="maintenance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="maintenance_duration_date" name="maintenance_duration_date" placeholder="Type here"
                                            value="<?php echo e(date('d-m-Y', strtotime($servicePlan->maintenance_duration_date))); ?>" 
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_cost" class="col-md-2 col-form-label">Maintenance Cost</label>
                                <div class="col-md-6">
                                    <input class="form-control" name="maintenance_cost" type="text" placeholder="Type here"  id="maintenance_cost" value="<?php echo e($servicePlan->maintenance_cost); ?>" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                    <input class="form-control" name="service_reminder" type="text" placeholder="Type here"  id="service_reminder"value="<?php echo e($servicePlan->service_reminder); ?>"  />
                                </div>
                                <label for="service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="service_reminder_date" name="service_reminder_date" placeholder="Type here"
                                            value="<?php echo e(date('d-m-Y', strtotime($servicePlan->service_reminder_date))); ?>" 
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <input data-repeater-delete type="button" class="delete-child-table btn btn-primary-borderd" value="Delete" data-id="<?php echo e($servicePlan->id); ?>" data-url="<?php echo e(route('asset.charging-equipmen.delete-service-plan', $servicePlan->id)); ?>"/>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <p> No Service Maintenance Plan and schedule added yet</p>
                        <div data-repeater-item class="row asset_maintenance_item">
                            <div class="mb-3 row">
                                <label for="maintenance_type_id" class="col-md-2 col-form-label">Service Maintenance Type</label>  
                                <div class="col-md-6">                             
                                    <select id="maintenance_type_id" name="maintenance_type_id" class="form-select" />
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $MaintenanceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $MaintenanceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($MaintenanceType->id); ?>" ><?php echo e($MaintenanceType->maintenance_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_duration" class="col-md-2 col-form-label">Maintenance Duration</label>
                                <div class="col-md-3">
                                    <select id="maintenance_duration" name="maintenance_duration" class="form-select" />
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>"><?php echo e($duration->duration); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                                <label for="maintenance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="maintenance_duration_date" name="maintenance_duration_date" placeholder="Type here"
                                        
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_cost" class="col-md-2 col-form-label">Maintenance Cost</label>
                                <div class="col-md-6">
                                    <input class="form-control" name="maintenance_cost" type="text" placeholder="Type here"  id="maintenance_cost" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                    <input class="form-control" name="service_reminder" type="text" placeholder="Type here"  id="service_reminder" />
                                </div>
                                <label for="service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="service_reminder_date" name="service_reminder_date" placeholder="Type here"
                                        
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                    <?php else: ?>
                        <p> No Service Maintenance Plan and schedule added yet</p>
                    <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Insurance Plan</h5>
                        </div>
                        <div class="col-md-2">
                            <input data-repeater-create type="button"  class="insurancePlan btn btn-primary waves-effect waves-light" value="Add" />
                        </div>
                    </div>
                    <hr>
                    <?php if(isset($insuranceTypeList[0])): ?>
                    <div data-repeater-list="asset-insurance" class="asset-insurance">
                        
                        <?php if(isset($chargingEquipment->insurancePlan)): ?>
                        <?php $__currentLoopData = $chargingEquipment->insurancePlan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insurancePlan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div data-repeater-item class="row asset_insurance_item">
                            <div class="mb-3 row">
                                <label for="insurance_type_id" class="col-md-2 col-form-label">Insurance Type</label>  
                                <div class="col-md-6">   
                                    <input type="hidden" name="asset_insurance_id" value="<?php echo e($insurancePlan->id); ?>" />                                 
                                    <select id="insurance_type_id" name="insurance_type_id" class="form-select" />
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $insuranceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insuranceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($insuranceType->id); ?>" <?php echo e($insuranceType->id == $insurancePlan->insurance_type_id ? 'selected' : ''); ?>><?php echo e($insuranceType->insurance_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_duration" class="col-md-2 col-form-label">Insurance Duration</label>
                                <div class="col-md-3">
                                    <select id="insurance_duration" name="insurance_duration" class="form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>"  <?php echo e($duration->id == $insurancePlan->insurance_duration ? 'selected' : ''); ?>><?php echo e($duration->duration); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                                <label for="insurance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="insurance_duration_date" name="insurance_duration_date" placeholder="Type here"
                                        
                                        value="<?php echo e(date('d-m-Y', strtotime($insurancePlan->insurance_duration_date))); ?>" 
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                    <input class="form-control" name="insurance_service_reminder" type="text" placeholder="Type here"  id="insurance_service_reminder" value="<?php echo e($insurancePlan->service_reminder); ?>" />
                                </div>
                                <label for="insurance_service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="insurance_service_reminder_date" name="insurance_service_reminder_date" placeholder="Type here"
                                        
                                        value="<?php echo e(date('d-m-Y', strtotime($insurancePlan->insurance_service_reminder_date))); ?>" 
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <input data-repeater-delete type="button" class="delete-child-table btn btn-primary-borderd" value="Delete"  data-id="<?php echo e($insurancePlan->id); ?>" data-url="<?php echo e(route('asset.charging-equipmen.delete-insurance-plan', $insurancePlan->id)); ?>"/>
                                </div>
                            </div>
                        </div>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <p> No Insurance Plan an schedule added yet</p>
                            <div data-repeater-item class="row asset_insurance_item">
                            <div class="mb-3 row">
                                <label for="insurance_type_id" class="col-md-2 col-form-label">Insurance Type</label>  
                                <div class="col-md-6">                      
                                    <select id="insurance_type_id" name="insurance_type_id" class="form-select">
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $insuranceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insuranceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($insuranceType->id); ?>"><?php echo e($insuranceType->insurance_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_duration" class="col-md-2 col-form-label">Insurance Duration</label>
                                <div class="col-md-3">
                                    <select id="insurance_duration" name="insurance_duration" class="form-select">
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>"><?php echo e($duration->duration); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                                <label for="insurance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="insurance_duration_date" name="insurance_duration_date" placeholder="Type here"
                                        
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                    <input class="form-control" name="insurance_service_reminder" type="text" placeholder="Type here"  id="insurance_service_reminder" />
                                </div>
                                <label for="insurance_service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                    <div class="input-group" id="datepicker2">
                                        <input type="text" class="form-control" id="insurance_service_reminder_date" name="insurance_service_reminder_date" placeholder="Type here"
                                        
                                            data-date-format="dd-mm-yyyy" data-date-container='#datepicker2'
                                            data-provide="datepicker" data-date-autoclose="true">

                                        <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>
                    <?php else: ?>
                        <p> No Insurance Plan an schedule added yet</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

<!-- init js -->
<script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
<!--tinymce js-->
<script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

<!-- init js -->
<script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
<script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
<script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var actionUrl = "<?php echo e(route('vendor-oem.oem-by-category')); ?>";
        var token = "<?php echo e(csrf_token()); ?>";
        updateVendorOemOption(actionUrl, token);
        actionUrl = "<?php echo e(route('city')); ?>";
        updateCityOptionByCityID(actionUrl, token);
        $('#oem_id').on('change', function() {
            actionUrl = "<?php echo e(route('vendor-oem.oem')); ?>";
            updateChargingEquipmentDealerOptionsByOem(actionUrl, token);
        });
        $('#location_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateCityOptionByCityID(actionUrl, token);
        });
        
        $('#city_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        Dropzone.autoDiscover = false;
        var myDropzone  = new Dropzone(".dropzone_file", { 
            autoProcessQueue: false,
            addRemoveLinks:true,
            parallelUploads: 10 // Number of files process at a time (default 2)
            // The setting up of the dropzone
          
        });
        myDropzone.on("removedfile", function(file) {
            console.log(file);
            var name = file.name;
            $.ajax({
                type: 'GET',
                url: "/admin/asset/asset-charging-equipment-delete-images/"+ "<?php echo e($chargingEquipment->id); ?>",
                data: {
                    "name":name,
                    "id": "<?php echo e($chargingEquipment->id); ?>",
                    "path": file.path,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                dataType: 'html'
            });
        });

        images = $('.dropzone_file').attr('data-images');
        images = $.parseJSON( images );
        console.log('images'); 
        console.log(images); 
        console.log(images.length ); 
        if(images.length > 0){
            $('.dz-message').hide();
            html = '';
            $.each(images, function(index, item) {
                var tarr = item.split('/');      // ["static","images","banner","blue.jpg"]
                var name = tarr[tarr.length-1]; // "blue.jpg"
                var type = name.split('.')[1]; 
                var mockFile = { 
                    name: name,
                    size: 12345, 
                    type: 'audio/*,image/*', 
                    status: Dropzone.ADDED, 
                    url: '/storage'+item,
                    "path": item
                };

                // Call the default addedfile event handler
                myDropzone.emit("addedfile", mockFile);

                // And optionally show the thumbnail of the file:
                myDropzone.emit("thumbnail", mockFile, '/storage'+item);

                myDropzone.files.push(mockFile);
            });

        }else{
            $('.dz-message').show();
        }
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('asset.charging-equipment.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    //console.log(myDropzone.getQueuedFiles());
                    //form.unbind().submit(); 
                    file = myDropzone.getQueuedFiles();
                    //form.unbind().submit();
                    actionUrl = form.attr('action')
                    var fd = new FormData();
                    fd.append('_token', token);
                   // fd.append('data', form.serialize());
                    console.log(form.serializeArray());
                    $.each(form.serializeArray(), function(index, item) {
                        fd.append(item.name, item.value);
                    });
                    $.each(file, function(index, item) {
                        fd.append('asset_image['+index+']', item);
                    });
                    console.log(fd);
                    $.ajax({
                        type: "POST",
                        url: actionUrl,
                        data:  fd,
                        contentType: false,
                        processData: false,
                        success: function(response){ 
                            console.log(response);
                            if(response.mode == true){
                                window.location.href = "<?php echo e(url()->previous()); ?>";
                            }
                        },
                        error: function (data) {
                            console.log('An error occurred.');
                        },
                    });
                },
                error: function (data) {
                    response = data.responseJSON;
                    if(response.mode == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
        
        $(document).on('click', '.delete-child-table', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        
        $(document).on('click', '.add_parts', function(event) {
            
            event.preventDefault();
            var total = $('.parts-start').length;
            console.log(total);
            $(".parts-start").each(function(index) {
                if (index === total - 1) {
                    $(this).html('<hr>');
                }
            });
            $(".vehicle_oem").each(function(index) {
                sel = $(this);
                console.log(sel);
                if (sel.hasClass("select2")) {
                    sel.next().removeClass();
                    sel.next().html('');                    
                }
                sel.select2();
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\assets\charging_equipment\edit.blade.php ENDPATH**/ ?>