

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Customers'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?> Ecommerce <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> <?php echo e($user->user_type); ?> <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Asset <?php echo e($user->id); ?></div>
                <div class="card-body">

                    <a href="<?php echo e(route('admin.customers',  ['slug' => $slug])); ?>" title="Back"><button class="btn btn-warning btn-sm"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</button></a>
                    <a href="<?php echo e(route('edit_customer', ['id' => $user->id, 'slug' => $slug])); ?>" title="Edit Asset"><button class="btn btn-primary btn-sm"><i class="fa fa-pencil-square-o" aria-hidden="true"></i> Edit</button></a>

                    <form method="POST" action="<?php echo e(route('user.destroy', ['id' => $user->id, 'slug' => $slug])); ?>" accept-charset="UTF-8" style="display:inline">
                        <?php echo e(method_field('DELETE')); ?>

                        <?php echo e(csrf_field()); ?>

                        <button type="submit" class="btn btn-danger btn-sm" title="Delete Asset" onclick="return confirm(&quot;Confirm delete?&quot;)"><i class="fa fa-trash-o" aria-hidden="true"></i> Delete</button>
                    </form>
                    <br/>
                    <br/>

                    <div class="table-responsive">
                        <table class="table">
                            <tbody>
                                <tr><th>ID</th><td><?php echo e($user->id); ?></td></tr>
                                <tr><th> Name </th><td> <?php echo e($user->name); ?> </td></tr>
                                <tr><th>Email</th><td> <?php echo e($user->email); ?> </td></tr>
                                <tr><th>User Country Code</th><td> <?php echo e($user->userData->user_country_code ?? null); ?>  </td></tr>
                                <tr><th>Phone Number</th><td> <?php echo e($user->phone_number); ?> </td></tr>
                                <tr><th>User Type </th><td> <?php echo e($user->user_type); ?> </td></tr>
                                <tr><th>Referral Code</th><td> <?php echo e($user->userData->referral_code ?? null); ?> </td></tr>
                                <tr><th>Referred By</th><td> <?php echo e($user->userData->referred_by ?? null); ?> </td></tr>
                                <tr><th> Wallet Amount </th><td> <?php echo e($user->userData->wallet_amount ?? null); ?>  </td></tr>
                                <tr><th> Device Type </th><td> <?php echo e($user->userData->device_type ?? null); ?>  </td></tr>
                                <tr><th> Device ID </th><td> <?php echo e($user->userData->device_id ?? null); ?>  </td></tr>
                                <tr><th> Image </th><td> <?php echo e($user->userData->image ?? null); ?>  </td></tr>
                            </tbody>
                        </table>
                    </div>

                    <h4>Wallet Histry</h4>
                    <?php $i=0 ?> 
                    <div class="table-responsive">
                        <table id="datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Transaction Type</th>
                                    <th> Purpose</th>
                                    <th> Transaction Details</th>
                                    <th>Transaction ID</th>
                                    <th>Amount</th>
                                    <th>Amount Added At</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php if($walletHistories): ?>
                                <?php $__currentLoopData = $walletHistories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $walletHistory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(++$i); ?></td>
                                        <td><?php echo e($walletHistory->transaction_type); ?></td>
                                        <td><?php echo e($walletHistory->purpose); ?></td>
                                        <td><?php echo e($walletHistory->transaction_details); ?></td>
                                        <td><?php echo e($walletHistory->UserData); ?></td>
                                        <td><?php echo e($walletHistory->transaction_id); ?></td>
                                        <td><?php echo e($walletHistory->amount); ?></td>
                                        <td><?php echo e($walletHistory->created_at); ?></td>

                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>

                    
                    <h4>User UserDocuments</h4>
                    <?php $i=0 ?> 
                    <div class="table-responsive">
                        <table id="datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>doc_name</th>
                                    <th> doc_number</th>
                                    <th> doc_page </th>
                                    <th> description </th>
                                    <th>Image</th>
                                    <th> uploaded_name </th>
                                    <th> saved_as </th>
                                    <th> verify </th>
                                    <th> created_by </th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php if($walletHistories): ?>
                                <?php $__currentLoopData = $walletHistories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $walletHistory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(++$i); ?></td>
                                        <td><?php echo e($walletHistory->transaction_type); ?></td>
                                        <td><?php echo e($walletHistory->purpose); ?></td>
                                        <td><?php echo e($walletHistory->transaction_details); ?></td>
                                        <td><?php echo e($walletHistory->UserData); ?></td>
                                        <td><?php echo e($walletHistory->transaction_id); ?></td>
                                        <td><?php echo e($walletHistory->amount); ?></td>
                                        <td><?php echo e($walletHistory->created_at); ?></td>

                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\users\riders\show.blade.php ENDPATH**/ ?>