

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Add Discount'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Marketing <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Discount <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('marketing.discount.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h5>Discount Details</h5><br>
                <div class="mb-3 row">
                    <label for="discount_code" class="col-md-2 col-form-label">Discount Code</label>
                    <div class="col-md-6">
                        <input id="discount_code" name="discount_code" type="text" class="form-control" placeholder="Discount Code" required>
                        <div  id="discount_code_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="business_category_id" class="col-md-2 col-form-label">For Business Category</label>
                    <div class="col-md-6">
                        <select id="business_category_id" name="business_category_id" class="form-select select2">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($businessCategory->id); ?>"><?php echo e($businessCategory->business_category); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="business_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Discount Program Details</h5><br>
                <div class="mb-3 row">
                    <label for="image" class="col-md-2 col-form-label">Image</label>
                    <div class="col-md-6">
                        <input id="image" name="image" type="file" class="form-control"  />
                        <small>Choose an image from the computer</small>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="link_page" class="col-md-2 col-form-label">Linking Page</label>
                    <div class="col-md-6">
                        <input id="link_page" name="link_page" type="text" class="form-control" placeholder="Linking Page" />
                        <small>Add/Type the URL which will open when the image is clicked on mobile APP</small>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Applicable LOcation</h5><br>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-control" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($city->id); ?>"><?php echo e($city->city); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Discount Points and Redemption Formula</h5><br>
                <div class="mb-3 row">
                    <label for="subscription_plan_id" class="col-md-2 col-form-label">Subscription Plan</label>
                    <div class="col-md-6">
                        <select id="subscription_plan_id" name="subscription_plan_id" class="form-select select2">
                            <option value=''>Select...</option>
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="minimum_order_cost" class="col-md-2 col-form-label">Minimum Order Cost</label>
                    <div class="col-md-6">
                        <input id="minimum_order_cost" name="minimum_order_cost" type="text" class="form-control" placeholder="Minimum Order Cost" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="discount" class="col-md-2 col-form-label">Discount %</label>
                    <div class="col-md-6">
                        <input id="discount" name="discount" type="text" class="form-control" placeholder="Discount %"  />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="up_to_cost" class="col-md-2 col-form-label">Up to Cost</label>
                    <div class="col-md-6">
                        <input id="up_to_cost" name="up_to_cost" type="text" class="form-control" placeholder="Up to Cost"/>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="expiry_date" class="col-md-2 col-form-label">Discount Expiry On</label>
                    <div class="col-md-6">
                        <input id="expiry_date" name="expiry_date" type="date" class="form-control" placeholder="Discount Expiry On"/>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        
        var token = "<?php echo e(csrf_token()); ?>";
        $('#city_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('marketing.discount.validate')); ?>";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\marketing\discount\create.blade.php ENDPATH**/ ?>